=== ChangeLog discontinued ===

	With the move to git, gvfs is switching from a ChangeLog file
	to relying on commit messages to provide change history. Please
	see README.commits for guidance on the expected message format.

2009-04-16  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackend.[ch]:
	Add g_vfs_backend_is_mounted()

	* daemon/gvfsdaemon.c:
	(g_vfs_daemon_re_register_job_sources):
	Don't re-register backends that have not finished mounted
	yet. (#578861)

2009-04-16  Alexander Larsson  <alexl@redhat.com>

	Bug 578574 – always show drive names in computer://

	* daemon/gvfsbackendcomputer.c:
	(recompute_files):
	If mount has a drive, use its name as part of the display name.
	Patch from David Zeuthen

2009-04-16  Alexander Larsson  <alexl@redhat.com>

	Bug 523420 – gvfs-bash-completion.sh has a shebang and is executable

	* programs/Makefile.am:
	Don't install gvfs-bash-completion.sh as executable

	* programs/gvfs-bash-completion.sh:
	Remove shebang

2009-04-13  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendsftp.c:
	Pick up SSH_AUTH_SOCK from gnome-keyring (#578708)
	Patch from Stef Walter.

2009-04-13  Alexander Larsson  <alexl@redhat.com>

	* configure.ac:
	Post release version bump

=== gvfs 1.2.2 ===

2009-04-13  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release.

2009-04-11  Alexander Larsson  <alexl@redhat.com>

	* monitor/proxy/gproxyshadowmount.c:
	(g_proxy_shadow_mount_remove):
	Disconnect pre_unmount signal from right object.

2009-04-09  Benjamin Otte  <otte@gnome.org>

	Bug 573349 – Impossible to create a new folder in a ftp emplacement if
	there's already a folder named "new folder"

	* daemon/gvfsbackendftp.c: (error_550_exists), (do_make_directory):
	throw G_IO_ERROR_EXISTS if the directory we try to create already
	exists.
	based on a patch by Andreas Henriksson <andreas@fatal.se>

2009-04-09  Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsbackendftp.c: (error_550_parent_not_found):
	the last commit broke string freeze, so use an existing string
	instead.

2009-04-09  Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsbackendftp.c: (ftp_filename_get_parent),
	(error_550_parent_not_found),
	(gvfs_backend_ftp_purge_cache_of_file), (do_make_directory):
	Return the proper error in make_directory if the parent directory does
	not exist yet.
	Includes generalization of function ftp_filename_get_parent()
	based on a patch by Andreas Henriksson <andreas@fatal.se>

2009-04-09  Andreas Henriksson <andreas@fatal.se>

	reviewed by: Benjamin Otte  <otte@gnome.org>

	Bug 520399 – Nautilus can't access non-listed (hidden) ftp directory

	* daemon/gvfsbackendftp.c: (create_file_info):
	try CWD and SIZE on paths when we can't list the parent directory

2009-04-03  Alexander Larsson  <alexl@redhat.com>

	Bug 577799 – gvfs as-needed patch

	* daemon/Makefile.am:
	Fix link order when --as-needed is used.
	Patch from Cygwin Ports maintainer

2009-04-02  Alexander Larsson  <alexl@redhat.com>

	* configure.ac:
	Post release version bump
	Whitespace cleanup changelog

=== gvfs 1.2.1 ===

2009-04-02  Alexander Larsson  <alexl@redhat.com>

	Bug 577748 – gvfsd-smb crash after unconnecting and connecting again a smb share

	* daemon/gvfsbackendsmb.c (set_info_from_stat):
	Don't crash if basename is NULL

2009-04-02  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

2009-04-01  Hans Petter Jansson  <hpj@novell.com>

	* client/gvfsfusedaemon.c
	(vfs_flush)
	(vfs_fsync): Hold file mutex while closing stream.

2009-04-01  Hans Petter Jansson  <hpj@novell.com>

	Related to bug #574968 - gvfs ftp backend appears to not wait for ftpd
	return code on STOR.

	* client/gvfsfusedaemon.c
	(vfs_fsync): Implement by closing stream.

2009-04-01  Hans Petter Jansson  <hpj@novell.com>

	* client/gvfsfusedaemon.c
	(errno_from_error): Add G_IO_ERROR_WOULD_BLOCK -> EAGAIN mapping.

2009-04-01  Hans Petter Jansson  <hpj@novell.com>

	Potential fix for bug #574968 - gvfs ftp backend appears to not wait
	for ftpd return code on STOR.

	* client/gvfsfusedaemon.c
	(vfs_flush): Implement by closing stream.

2009-03-31  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonmount.c:
	(g_daemon_mount_guess_content_type):
	* monitor/proxy/gproxymount.c:
	(g_proxy_mount_guess_content_type):
	Make sure async callbacks are sent in mainloop.

2009-03-31  Alexander Larsson  <alexl@redhat.com>

	Bug 567635 – flickering context menu item

	* monitor/proxy/gproxyshadowmount.c:
	Make sure we return the shadow object as the source_object
	when wrapping the shadowed mounts operations.

2009-03-27  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendsmb.c:
	Work around bug in libsmbclient (samba bug #6228)
	Ensure we return EEXISTS in do_create even if target is a directory

2009-03-26  Carlos Garnacho  <carlosg@gnome.org>

	Bug 576083 – pre-unmount signals not being triggered

	* monitor/hal/ghalmount.c (unmount_do) (unmount_do_cb): Emit
	::mount-pre-unmount and wait 500msec before actually trying to
	unmount.
	* monitor/proxy/gproxyshadowmount.c (real_mount_pre_unmount_cb): Proxy
	the shadowed mount pre-unmount signal.
	* monitor/proxy/gproxyvolumemonitor.c (filter_function): GMount
	doesn't have the ::pre-unmount signal yet, so don't emit it.

2009-03-24  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendsftp.c:
	Fix reporting of "not found" or "not directory" errors when
	sftp returns NOT_FOUND, since that can mean either of these.

2009-03-23  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendsftp.c:
	Fix various error cases to return right error:
	Append to existing directory
	replace existing directory
	enumerate non-directory

2009-03-23  Alexander Larsson  <alexl@redhat.com>

	Bug 576337 – trash:/// show escaped filenames without decoding

	* daemon/trashlib/trashitem.c:
	(trash_item_get_trashinfo):
	Unescape Path key correctly.

2009-03-20  Alexander Larsson  <alexl@redhat.com>

	Bug 548648 – g_daemon_vfs_parse_name() fails to parse user names with '@' chars
	* client/gvfsuriutils.c (g_vfs_decode_uri):
	Make sure multiple @ in the authority part are put in the username.
	This is an invalid uri, but we might as well handle it in the better way.

2009-03-19  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendsftp.c:
	Make sure we only set the "user" part in the mountspec
	if it was in the original requested uri/mountspec to mount.
	Otherwise we might end up mounting sftp://user@foo/ instead
	of sftp://foo/, and the mounting app will fail to read after
	the mount succeeds.

2009-03-18  Alexander Larsson  <alexl@redhat.com>

	Bug 575728 – crash in Open Folder: mountin a crypto volume

	* common/gvfsdaemonprotocol.h:
	* common/gmountoperationdbus.c:
	Handle the new "aborted" signal

	* common/gmountsource.c:
	Fix argument order in g_mount_source_ask_password_finish call.
	stop signal emissions in ask_password and ask_question handlers
	to avoid the default handler sending a not implemented error.
	Handle the new "aborted" signal.

2009-03-17  Alexander Larsson  <alexl@redhat.com>

	* monitor/proxy/gproxyshadowmount.c:
	(g_proxy_shadow_mount_remove):
	Don't unref the real mount directly when we're unshadowed, because
	that means most functions in the shadow mount won't work in the
	removed signal emissions.
	This caused lots of spew in e.g. gvfs-mount -oi on unmount of
	a shadowed mount.

2009-03-17  Alexander Larsson  <alexl@redhat.com>

	Bug 575552 – icons for audio cds duplicated on the desktop after remounts

	* monitor/proxy/gproxyvolumemonitor.c:
	Dispose volumes when removed

	* monitor/proxy/gproxyvolume.c:
	When disposed, disconnect from union volume monitor so that we don't get
	a mount_added for a later mount and create a shadow mount for that.

2009-03-16  Alexander Larsson  <alexl@redhat.com>

	Bug 575286 – [PATCH] fix GError overwrite warning when missing delete permission.

	* daemon/gvfsbackendftp.c (do_delete):
	Clear error before calling set_from_response.

2009-03-16  Alexander Larsson  <alexl@redhat.com>

	* configure.ac:
	Post release version bump

=== gvfs 1.2.0 ===

2009-03-16  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

	* configure.ac:
	Bump version to 1.2.0

2009-03-13  Alexander Larsson  <alexl@redhat.com>

	Bug 563418 – gvfs backend leaks monitors

	* daemon/gvfsmonitor.c:
	(unsubscribe):
	(vfs_monitor_message_callback):
	Fix crashes when unsubscribing monitors.

2009-03-13  Alexander Larsson  <alexl@redhat.com>

	* daemon/daemon-main.c (daemon_parse_args):
	Enable debug output if GVFS_DEBUG is set in the environment.

2009-03-12  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendgphoto2.c:
	(ensure_ignore_prefix):
	Make sure we ignore broken stores the same way we do in the
	volume monitor.

2009-03-11  Alexander Larsson  <alexl@redhat.com>

	Bug 572521 – gvfsd-cdda create two different Audio Disc Icons on Desktop

	* daemon/gvfsbackendcomputer.c (recompute_files):
	Don't show shadowed mounts.

2009-03-10  Alexander Larsson  <alexl@redhat.com>

	Bug 563418 – gvfs backend leaks monitors

	* client/gdaemonfilemonitor.c:
	(g_daemon_file_monitor_cancel):
	Actually pass in object_path in unsubscribe message

2009-03-10  Alexander Larsson  <alexl@redhat.com>

	Bug 574754 – 100% cpu usage when connecting to a ssh key and denying key access

	* daemon/gvfsbackendsftp.c (read_reply_sync):
	Make sure we handle ssh exiting early.

2009-03-10  Alexander Larsson  <alexl@redhat.com>

	* configure.ac:
	Post release version bump

=== gvfs 1.1.8 ===

2009-03-10  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

2009-03-10  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendsftp.c:
	(handle_login):
	Don't ask for username when getting ssh key passphrase

2009-03-09  Alexander Larsson  <alexl@redhat.com>

	Bug 543064 – configure script does not pick up giomoduledir

	* configure.ac:
	Don't pass --define-variable libdir when getting giomoduledir.
	This was added wrongly before.

2009-03-09  Alexander Larsson  <alexl@redhat.com>

	Bug 523732 – gvfs-bash-completion.sh should not modify COMP_WORDBREAKS

	* programs/gvfs-bash-completion.sh:
	Don't override COMP_WORDBREAKS, instead workaround the colon problem

2009-03-09  Alexander Larsson  <alexl@redhat.com>

	Bug 551683 – archive backend says file doesn't exist for directories

	* daemon/gvfsbackendarchive.c:
	(do_open_for_read):
	Return G_IO_ERROR_IS_DIRECTORY if opening directory.

2009-03-09  Alexander Larsson  <alexl@redhat.com>

	Bug 570888 – gvfs-gphoto2 mount 4 devices when pluging one camera

	* monitor/gphoto2/ggphoto2volumemonitor.c:
	(get_stores_for_camera):
	Ignore stores that have 0 byte capability.

2009-03-08  Andreas Henriksson <andreas@fatal.se>

	reviewed by: Benjamin Otte  <otte@gnome.org>

	Bug 533219 - anonymous ftp login not working

	* daemon/gvfsbackendftp.c: (ftp_connection_login):
	replace the empty string with the default password

2009-03-06  Alexander Larsson  <alexl@redhat.com>

	* ChangeLog:
	* daemon/daemon-main.c:
	Only spew g_debug if backend started with --debug

2009-03-06  Alexander Larsson  <alexl@redhat.com>

	* daemon/daemon-main.c:
	* daemon/gvfsbackend.c:
	* daemon/gvfsbackendburn.c:
	* daemon/gvfsbackenddav.c:
	* daemon/gvfsbackendhttp.c:
	* daemon/gvfsbackendobexftp.c:
	* daemon/gvfsbackendtrash.c:
	* daemon/gvfsdaemon.c:
	* daemon/gvfsjobcloseread.c:
	* daemon/gvfsjobclosewrite.c:
	* daemon/gvfsjobcopy.c:
	* daemon/gvfsjobdbus.c:
	* daemon/gvfsjobenumerate.c:
	* daemon/gvfsjobmount.c:
	* daemon/gvfsjobmove.c:
	* daemon/gvfsjobpull.c:
	* daemon/gvfsjobpush.c:
	* daemon/gvfsjobread.c:
	* daemon/gvfsjobseekread.c:
	* daemon/gvfsjobseekwrite.c:
	* daemon/gvfsjobunmount.c:
	* daemon/gvfsjobwrite.c:
	* daemon/mount.c:
	Convert all spew to g_debug()

2009-03-06  Alexander Larsson  <alexl@redhat.com>

	Bug 535814 – hangup on g_input_stream_close after cancelling from other thread
	* daemon/gvfschannel.c:
	Reverted patch from bug 522192 as it caused bug 535814.
	Furthermore, its just wrong. We don't cancel streams as such, we
	cancel individual operations on the stream.

2009-03-06  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonfileinputstream.c:
	(iterate_read_state_machine):
	(iterate_close_state_machine):
	(iterate_seek_state_machine):
	(iterate_query_state_machine):
	Don't send cancel when partial header read, as that
	would throw away the part of the headers read so far.

2009-03-05  Alexander Larsson  <alexl@redhat.com>

	* common/gvfsmountinfo.c:
	Updated .xdg-volume-info format as per bug 551403:
	+ Group name is "Volume Info"
	+ Icon is not translated
	+ support IconFile key

2009-03-05  Alexander Larsson  <alexl@redhat.com>

	* monitor/hal/ghaldrive.c:
	* monitor/hal/ghalmount.c:
	* monitor/hal/ghalvolume.c:
	* monitor/hal/ghalvolumemonitor.c:
	Remove all locking (not needed since we're now
	a single threaded process).
	Don't emit signals in idle, thus risking callback
	reordering. We don't need this anymore as it was
	part of the locking structure.

	This should fix the "No mount object for mounted
	volume" error when mounting.

2009-03-05  Alexander Larsson  <alexl@redhat.com>

	Bug 564003 – gvfs Cygwin patches

	* common/Makefile.am:
	Add -no-undefined required for cygwin build

2009-03-05  Alexander Larsson  <alexl@redhat.com>

	Bug 569199 – incorrectly open smb workgroup using a space

	* client/gvfsuriutils.c (g_vfs_encode_uri),
	(g_vfs_decode_uri):
	Escape and unescape host part too. This means we handle
	e.g. smb workgroups with spaces in them. Allowing
	escapes in hostnames complies with RFC 3986.

	* client/gdaemonvfs.c (get_mountspec_from_uri):
	Fix indentation

2009-03-05  Alexander Larsson  <alexl@redhat.com>

	Bug 573381 – Memory leak in ftp_connection_parse_features()

	* daemon/gvfsbackendftp.c (ftp_connection_parse_features):
	Don't leak supported.

2009-03-04  Alexander Larsson  <alexl@redhat.com>

	Bug 573837 – gvfs-fuse does not support ftruncate size != 0

	* client/gvfsfusedaemon.c:
	Support ftruncate to the current size as a NOP.
	Fixes OOo saving

2009-03-04  Alexander Larsson  <alexl@redhat.com>

	* monitor/proxy/gproxyvolumemonitor.c:
	Break circular dependencies on dispose.

2009-03-03  Alexander Larsson  <alexl@redhat.com>

	Bug 561172 – gnome-open fails on local URIs with anchors

	* programs/gvfs-open.c:
	Don't pass file:// uris with anchor as filename

2009-03-03  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonfileinputstream.c:
	* client/gdaemonfileoutputstream.c:
	Make argument const char * as per the glib change.

2009-03-02  Ryan Lortie  <desrt@desrt.ca>

	* daemon/trashlib/trashitem.c (trash_item_restore): set 'error' on
	failure.  Fixes a crasher when attempting a restore to somewhere we
	don't have write permissions for.

2009-03-02  Alexander Larsson  <alexl@redhat.com>

	* configure.ac:
	Post release version bump

=== gvfs 1.1.7 ===

2009-03-02  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

2009-03-02  David Zeuthen  <davidz@redhat.com>

	Bug 551403 – Support Reading Volume Icon/Name Information
	from .xdg-volume-info

	* common/Makefile.am:
	* common/gvfsmountinfo.[ch]: Move autorun file detection to common
	library. Also add routines for detecting .xdg-volume-info files.

	* monitor/hal/ghalmount.c: Use g_mount_info*() functions for
	detecting autorun and .xdg-volume-info files.

2009-03-02  Paolo Borelli  <pborelli@katamail.com>

	* daemon/gvfsbackendarchive.c:
	Chain up finalize

2009-03-02  Alexander Larsson  <alexl@redhat.com>

	Bug 547161 – http string leak

	* client/httpuri.c (http_get_mount_info_for_path):
	Fix leak

2009-03-02  Christian Kellner  <gicmo@gnome.org>

	* daemon/gvfsbackendsftp.c:
	Implement query_info on sftp streams

2009-03-02  Alexander Larsson  <alexl@redhat.com>

	Bug 550929 – nautilus sftp:// doesn't read User in ~/.ssh/config

	* daemon/gvfsbackendsftp.c:
	Don't specify user unless requested explicitly by the uri.
	Patch from Christian Neumair

2009-03-02  Alexander Larsson  <alexl@redhat.com>

	Bug 569712 – Write comments for translators!

	* common/gvfsdnssdresolver.c (service_resolver_timed_out):
	Fix position of translator comments.

2009-03-02  Alexander Larsson  <alexl@redhat.com>

	Bug 545025 – gvfs doesnt use hal storage.icon.drive/volume properties

	* monitor/hal/ghaldrive.c:
	* monitor/hal/ghalmount.c:
	Use storage.icon.drive and storage.icon.volume, not
	info.desktop.icon as per the spec.

	Patch from Karl Relton

2009-03-02  Alexander Larsson  <alexl@redhat.com>

	Bug 565041 – burn: Doesn't support move

	* daemon/gvfsbackendburn.c:
	Implement try_move based on patch from Fabio Bonelli.

2009-03-02  Alexander Larsson  <alexl@redhat.com>

	Bug 569066 – gvfs' configure.ac uses non posix 'test' constructions

	* configure.ac:
	Use '=', not '==' for comparison
	Patch from Alexis Ballier

2009-03-02  Alexander Larsson  <alexl@redhat.com>

	Bug 564003 – gvfs Cygwin patches

	* daemon/gvfsbackendsftp.c:
	Include <sys/time.h> for struct timeval on cygwin

2009-03-02  Alexander Larsson  <alexl@redhat.com>

	Bug 569203 – gvfsd-sftp crashed with SIGSEGV in strlen()

	* daemon/gvfsbackendsftp.c:
	Workaround crash, spew a warning to try to get information about this crash.

2009-03-02  Alexander Larsson  <alexl@redhat.com>

	Bug 569712 – Write comments for translators!

	* common/gvfsdnssdresolver.c:
	Add some translator comments.
	Patch from David Planella

2009-03-02  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendsmb.c:
	Implement query_info on smb streams

2009-03-02  Alexander Larsson  <alexl@redhat.com>

	Bug 573371 – Unsafe g_htonl() macro expansion

	* client/gdaemonfileoutputstream.c (append_request):
	* client/gdaemonfileinputstream.c (append_request):
	Don't use ++ inside macro that may evaluate twice.

2009-03-02  Alexander Larsson  <alexl@redhat.com>

	* common/gdbusutils.[ch]:
	Remove unused functions. Pointed out by Tommi Rantala.

2009-02-27  Ryan Lortie  <desrt@desrt.ca>

	* daemon/trashlib/dirwatch.c:
	* daemon/trashlib/dirwatch.h:
	* daemon/trashlib/trashdir.c:
	* daemon/trashlib/trashitem.c:

	Use DirWatch only when watching (move broken manual-scan code out).
	Fix a bunch of leaks.

2009-02-27  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonfileoutputstream.c:
	Support query info on output streams

	* daemon/Makefile.am:
	* daemon/gvfsbackend.h:
	* daemon/gvfsjobqueryinfowrite.[ch]:
	* daemon/gvfswritechannel.c:
	Add query info write support.

	* daemon/gvfsbackendtest.c:
	Implement writing to files in test backend.
	Implement query info on write

	* test/test-query-info-stream.c:
	Test g_file_output_stream_query_info().

2009-02-27  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonfileoutputstream.c:
	Add and use g_string_remove_in_front helper function.

2009-02-27  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonfileinputstream.c:
	Support async query info

	* test/test-query-info-stream.c:
	Test async query info

2009-02-27  Alexander Larsson  <alexl@redhat.com>

	* common/Makefile.am:
	* common/gvfsfileinfo.[ch]:
	Add (de)marshalling functions for GFileInfos.

	* common/gvfsdaemonprotocol.h:
	Add protocol extensions for query info over streams

	* client/gdaemonfileinputstream.c:
	Support sync query_info.

	* daemon/Makefile.am:
	* daemon/gvfsjobqueryinforead.[ch]:
	* daemon/gvfsbackend.h:
	Added query info job and backend call for input streams

	* daemon/gvfsbackendtest.c:
	Implement query_info_on_read

	* daemon/gvfschannel.[ch]:
	Add g_vfs_channel_send_info

	* daemon/gvfsreadchannel.c:
	(read_channel_handle_request):
	Handle query info

	* test/Makefile.am:
	* test/test-query-info-stream.c:
	Add test for stream query info.

2009-02-26  Alexander Larsson  <alexl@redhat.com>

	Bug 570977 – sftp backend sends trailing zeros to communication data

	* daemon/gvfsbackendsftp.c (get_data_from_command_stream):
	Use g_memory_output_stream_get_data_size instead of old
	workaround.
	Patch from Pekka Vuorela

2009-02-26  David Zeuthen  <davidz@redhat.com>

	Implement --device option for gvfs-mount.

	This allows things like this

	$ gvfs-mount -d /dev/sdb3
	The device "Generic STORAGE DEVICE" contains encrypted data on partition 3.
	Password:
	Mounted /dev/dm-0 at /media/Encrypted Stuff

	Reviewed by: Alexander Larsson  <alexl@redhat.com>

	* programs/gvfs-mount.c: See above.

2009-02-26  David Zeuthen  <davidz@redhat.com>

	Lots of proxy monitor fixes.

	Reviewed by: Alexander Larsson  <alexl@redhat.com>

	o  add support for proxying GMountOperation to the remote volume
	   monitor process.

	o  add support for proxying GCancellable to the remote volume
	   monitor process.

	o  make each volume monitor process track callers and cancels
	   operations initiated by callers that disconnects from the bus

	o  makes the client side proxy monitor track the remote monitor. If
	   the monitor process disconnects, then all drives/volumes/mounts
	   are removed. If the monitor process reconnects, we reseed the
	   internal monitor and add drives/volumes/mounts.

	o  Each monitor process now uses ALLOW_REPLACEMENT when claiming a
	   name and also kills itself on NameLost (e.g. if it is
	   replaced). Coupled with the above disconnection/reconnection logic
	   it this makes it a lot more tolerable to hack on a remote volume
	   monitor. Simply just compile it, start it and the
	   existing (system-wide) copy will kill itself. And all the
	   clients (Nautilus, panel, drive applet, gvfsd-computer, etc.) will
	   reconnect and do the right thing.

	o  make the get_mount_for_mount_path() method on the class
	   GNativeVolumeMonitor actually work. It turns out that at least
	   gvfs-mount -u needs that.

	o  use /org/gtk/Private/RemoteVolumeMonitor instead of / as the
	   object name. Cf. the version D-Bus debacle on Lennart Poettering's
	   blog.

	o  make the proxy monitor client module resident

	o For shadow mounts, redirect can_eject() and eject() to the
	  volume for the shadow mount. Without this patch eject on
	  e.g. cdda:// volumes won't work since cdda:// volumes are
	  GDaedmonMount and these don't implement eject.

	* monitor/proxy/*.[ch]: See above.

2009-02-26  Hans Petter Jansson  <hpj@novell.com>

	* client/gvfsfusedaemon.c (vfs_ftruncate): Immediately close the stream
	we get from g_file_replace(), so truncation becomes visible. Fixes
	BRC #479199.

2009-02-26  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendsftp.c (try_make_symlink):
	Fix order of SSH_FXP_SYMLINK arguments. It seems
	openssh is not following the docs here.

2009-02-24  Paolo Borelli  <pborelli@katamail.com>

	* test/benchmark-posix-small-files.c:
	* test/benchmark-posix-big-files.c:
	* daemon/trashlib/dirwatch.c:
	* daemon/gvfsbackendsmbbrowse.c:
	* client/gvfsfusedaemon.c:
	Always use g_strerror

2009-02-24  Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsbackendftp.c:
	(ftp_connection_ensure_data_connection_pasv):
	remove unused variable

2009-02-24  Benjamin Otte  <otte@gnome.org>

	Bug 525283 - handle short reads in ftp

	* daemon/gvfsbackendftp.c: (ftp_connection_receive):
	fix usage of n_bytes variable that changed meaning with the last ftp
	fixes.
	Spotted by Filippo Argiolas <filippo.argiolas@gmail.com>

2009-02-22  Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsbackendftp.c:
	fix typo in my name (thx Wouter)

2009-02-20  David Zeuthen  <davidz@redhat.com>

	Make the gphoto2 backend work with buggy devices (such as the
	iPhone) where the basedir of the store changes.

	* daemon/gvfsbackendgphoto2.c: Revert the patch from #520123 that
	removed the ignore_prefix handling. Change ensure_ignore_prefix()
	to only use an ignore prefix if there is exactly one storage head.

	* monitor/gphoto2/ggphoto2volumemonitor.c: Nuke orphan mount
	handling since that is superseeded by shadow mounts. Also avoid
	appending the store name if there is only one storage head.

	* monitor/gphoto2/ggphoto2volume.[ch]: Rename foreign_mount_root
	to activation_root since that is really what it is now. Also
	fix a silly logical bug whereby music players (as reported by
	HAL) weren't detected.

2009-02-19  Benjamin Otte  <otte@gnome.org>

	* AUTHORS:
	* daemon/gvfsbackendftp.c:
	add Andreas as author of the ftp backend

2009-02-19  Benjamin Otte  <otte@gnome.org>

	reviewed by: Andreas Henriksson <andreas@fatal.se>

	Bug 525283 - handle short reads in ftp

	* daemon/gvfsbackendftp.c: (ftp_connection_receive):
	account for cases where soup_socket_read_until() would not read up to
	the boundary on the first read.

2009-02-18  Alexander Larsson  <alexl@redhat.com>

	Bug 563623 – build dies on platforms lacking poll() implimentation

	* client/gvfsdaemondbus.c:
	(setup_async_fd_receive):
	(_g_vfs_daemon_call_sync):
	Use g_poll instead of poll.
	Patch from ephraim_owns@hotmail.com

2009-02-17  Ryan Lortie  <desrt@desrt.ca>

	* daemon/trashlib/trashwatcher.c: rescan NFS mounts when enumerating
	trash (since not all change events are reported).

2009-02-16  Alexander Larsson  <alexl@redhat.com>

	* configure.ac:
	Post release version bump

=== gvfs 1.1.6 ===

2009-02-16  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

2009-02-16  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendsftp.c (replace_create_temp_reply):
	Return G_IO_ERROR_CANT_CREATE_BACKUP in the below case instead
	of not copying the ownership.

2009-02-16  Alexander Larsson  <alexl@redhat.com>

	Bug 546482 – Keep ownership when replacing files on sftp

	* daemon/gvfsbackendsftp.c:
	Try to copy ownership. If this fails revert to truncate
	and overwrite, unless make_backup is set.
	Ideally we should handle the backup case too, but that
	requires more code.

	Patch from Jesse van den Kieboom.

2009-02-16  Christian Kellner  <gicmo@gnome.org>

	Bug 546256 – Crash in g_vfs_get_file_for_uri()

	* client/httpuri.c: Make sure we never return a non-NULL
	GVfsUriMountInfo with the path component set to NULL, since
	this leads to dead kittens.
	NB: This only fixes the symptom. The real problem is deep in
	the uri parsing logic.

2009-02-16  Christian Kellner  <gicmo@gnome.org>

	536305 – incorrect GError propagation in the htt

	* daemon/gvfsbackenddav.c: Convert soup errors to
	gio errors. Patch from Jesse van den Kieboom

2009-02-16  Alexander Larsson  <alexl@redhat.com>

	Bug 529349 – Redirects with username doesn't work

	* daemon/gvfsbackenddav.c: (redirect_handler):
	Copy username and password when redirecting.
	Patch from Mads Chr. Olesen

2009-02-16  Alexander Larsson  <alexl@redhat.com>

	Bug 566452 – Error when creating folder on webdav share

	* daemon/gvfsbackenddav.c:
	(redirect_handler):
	Don't intercept "201 Created" return as a redirection
	Patch from Mads Chr. Olesen

2009-02-13  Cosimo Cecchi  <cosimoc@gnome.org>

	Bug 570533 – use g_set_error_literal

	* daemon/gvfsbackendobexftp.c: (_push_single_file_helper):
	* daemon/gvfsbackendtrash.c: (trash_backend_get_file),
	(trash_backend_open_for_read), (trash_backend_delete),
	(trash_backend_pull):
	* daemon/trashlib/trashitem.c: (trash_item_delete):
	use g_set_error_literal() when appropriate.
	Patch by Christian Persch.

2009-02-13  Cosimo Cecchi  <cosimoc@gnome.org>

	Bug 531705 – Won't build with libarchive 1.3.1

	* configure.ac: check for archive_entry_filetype() instead of
	archive_read_open(). Patch from Tom Parker.

2009-02-05  Bastien Nocera  <hadess@hadess.net>

	Bug 563788 – GNOME Goal: Clean up GLib and GTK+ includes

	* client/gvfsuriutils.h:
	* daemon/gvfsbackendburn.c:
	* daemon/gvfsbackendcomputer.c:
	* daemon/gvfsbackenddnssd.c:
	* daemon/gvfsbackendnetwork.c:
	* daemon/gvfsdaemonutils.c:
	* daemon/mount.c: Fix build for single GTK+ include, patch
	from Luis Menina <liberforce@freeside.fr> (Closes: #563788)

2009-02-04  Ryan Lortie  <desrt@desrt.ca>

	Bug 570481 – Please add translator comments

	* daemon/gvfsbackendtrash.c: use clearer language to make it easier to
	translate (not to mention, easier to understand in English).

2009-02-03  Bastien Nocera  <hadess@hadess.net>

	Bug 570193 – Mounting phone connected via Bluetooth fails

	* daemon/gvfsbackendobexftp.c (_get_bluetooth_device_properties):
	Use a private connection to connect to the system D-Bus, thanks
	to Alexander Larsson

2009-02-03  Bastien Nocera  <hadess@hadess.net>

	* daemon/gvfsbackendobexftp.c (do_mount): Fix
	possible double-free when the display name is freed
	Avoid errors when the icon name couldn't be gathered

2009-02-02  Alexander Larsson  <alexl@redhat.com>

	* configure.ac:
	Post release version bump

=== gvfs 1.1.5 ===

2009-02-02  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

2009-02-02  Bastien Nocera  <hadess@hadess.net>

	Bug 511671 - Make obex-ftp work over usb connections

	* configure.ac: Require HAL for the ObexFTP backend
	* daemon/Makefile.am:
	* daemon/gvfsbackendobexftp.c (_get_numbers_from_usb_path),
	(_is_nokia_3650), (_get_bluetooth_name_and_icon),
	(_get_bluetooth_device_properties), (_is_same_path),
	(_find_ods_usb_intfnum), (_get_usb_intfnum_and_properties),
	(do_mount): Add support for USB ObexFTP devices, original
	patch from Alexander Kanavin <ak@sensi.org>, requires
	current obex-data-server trunk

2009-01-28  Ryan Lortie  <desrt@desrt.ca>

	Bug 512144 – symlinks to folders are deleted recursively

	* desrt: place a paper bag over my face
	* daemon/trashlib/trashexpunge.c: try a lot harder to not follow
	symlinks.

2009-01-29  Alexander Larsson  <alexl@redhat.com>

	* common/gvfsicon.c:
	(g_vfs_icon_to_tokens):
	Dup string to avoid double free later.

2009-01-28  Ryan Lortie  <desrt@desrt.ca>

	Bug 569480 – trash backend crashes due to invalid write

	* daemon/trashlib/trashitem.c (trash_item_escape_name): correct
	extremely silly mistake.

	Problem caught by Seb's heroic valgrinding :)

2009-01-28  Cosimo Cecchi  <cosimoc@gnome.org>

	* daemon/gvfsbackendobexftp.c: (_invalidate_cache_helper),
	(do_mount), (push_transfer_started_cb),
	(push_transfer_completed_cb), (push_transfer_progress_cb),
	(push_data_free), (_push_single_file_helper), (do_push),
	(do_make_directory), (g_vfs_backend_obexftp_class_init):
	* daemon/obexftp-marshal.list:
	Implement write support for the ObexFTP backend (#519071).

2009-01-21  A. Walton  <awalton@gnome.org>

	* daemon/gvfsdaemon.c (daemon_schedule_exit):
	* daemon/gvfsjobcreatemonitor.c (create_reply):
	Use g_timeout_add_seconds() instead of g_timeout_add() to save
	some power.

2009-01-20  Bastien Nocera  <hadess@hadess.net>

	* daemon/gvfsbackenddnssd.c: Some devices/systems
	advertise SMB through zeroconf instead of NetBios,
	displays Apple Time Capsules in nautilus (Closes: #568147)

2009-01-20  Ryan Lortie  <desrt@desrt.ca>

	* daemon/gvfsbackendtrash.c: nail a couple of leaks

2009-01-20  Sebastien Bacher  <seb128@ubuntu.com>

	* common/Makefile.am: use glib where it is required

2009-01-19  Alexander Larsson  <alexl@redhat.com>

	* configure.ac:
	Post release version bump

=== gvfs 1.1.4 ===

2009-01-19  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

2009-01-13  Hans Petter Jansson  <hpj@novell.com>

	* client/gvfsfusedaemon.c (getattr_for_file)
	(vfs_open)
	(vfs_create)
	(vfs_rmdir)
	(vfs_access): Get only the attributes we require. This speeds up
	directory listings in particular, since we don't need to probe
	individual files to determine their MIME types.

2009-01-12  Ryan Lortie  <desrt@desrt.ca>

	* daemon/trashlib/trashitem.c: don't insta-thaw deletes
	* daemon/gvfsbackendtrash.c: use a timeout to only call thaw() once
	per batch of delete method calls.

2009-01-12  Matthias Clasen  <mclasen@redhat.com>

	* daemon/Makefile.am: Dist the dav+sd.mount.in file

2009-01-07  Tomas Bzatek  <tbzatek@redhat.com>

	* daemon/gvfsbackendnetwork.c: (recompute_files):
	Remove unnecessary GError

2009-01-06  Tomas Bzatek  <tbzatek@redhat.com>

	* configure.ac:
	Post release version bump

=== gvfs 1.1.3 ===

2009-01-06  Tomas Bzatek  <tbzatek@redhat.com>

	* NEWS:
	Update for release

2009-01-06  Tomas Bzatek  <tbzatek@redhat.com>

	* daemon/gvfsbackendnetwork.c:
	* daemon/gvfsbackendsmbbrowse.c:
	* daemon/smb-browse.mount.in:
	SMB browsing authentication support (#524485)
	Make smb-browse backend not automounted
	Mount smb root on network backend automount

2009-01-05  Ryan Lortie  <desrt@desrt.ca>

	* daemon/trashlib/COPYING: include text of GPL3 by request of Vincent.

2008-12-30  Benjamin Otte  <otte@gnome.org>

	Bug 565504 - limited number of connections causes commands to fail

	* daemon/gvfsbackendftp.c: (g_vfs_backend_ftp_pop_connection):
	really fix this bug by not calling g_vfs_job_succeeded() on the error
	path.

2008-12-30  Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsbackendftp.c: (g_vfs_backend_ftp_pop_connection):
	remove fixme for max connection tracking, by remembering the max
	connections on the stack.

2008-12-30  Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsbackendftp.c: (ftp_connection_prepare),
	(ftp_connection_use), (ftp_connection_ensure_data_connection_epsv),
	(ftp_connection_ensure_data_connection_pasv),
	(ftp_connection_try_cd), (g_vfs_backend_ftp_pop_connection),
	(do_mount), (resolve_symlink), (do_enumerate):
	introduce ftp_connection_clear_error() for clarity

2008-12-30  Benjamin Otte  <otte@gnome.org>

	Bug 565504 - limited number of connections causes commands to fail

	* daemon/gvfsbackendftp.c: (g_vfs_backend_ftp_pop_connection):
	clear connection error before popping job, so that the error isn't
	propagated to the job

2008-12-16  Ryan Lortie  <desrt@desrt.ca>

	* daemon/trashlib/trashexpunge.c: set files to mode 700 before
	deleting to deal with users trashing read-only directories

2008-12-16  Ryan Lortie  <desrt@desrt.ca>

	Bug 562955 – parallel build doesn't work

	* common/Makefile.am: use non-absolute path for libgvfscommon.la so
	that automake can see the dependency

2008-12-16  Ryan Lortie  <desrt@desrt.ca>

	* daemon/gvfsbackendtrash.c (trash_backend_add_info): add
	trash::orig-path and trash::deletion-date info

2008-12-15  Alexander Larsson  <alexl@redhat.com>

	* configure.ac:
	Post release version bump

=== gvfs 1.1.2 ===

2008-12-15  Ryan Lortie  <desrt@desrt.ca>

	* daemon/gvfsbackendtrash.c:
	* daemon/gvfsbackendtrash.h: relicense to LGPLv2+

2008-12-15  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendtrash.c:
	* daemon/trashlib/Makefile.am:
	Fix dist issues

2008-12-15  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

2008-12-12  Ryan Lortie  <desrt@desrt.ca>

	Fix memory leaks on trash backend

	* daemon/trashlib/trashdir.c:
	* daemon/trashlib/trashexpunge.c:
	* daemon/trashlib/trashitem.c:
	* daemon/trashlib/trashwatcher.c: fix memory leaks
	* daemon/gvfsbackendtrash.c: fix leaks; split enumerate into two
	functions (one for the root, one for the non-root case)

2008-12-12  Andreas Henriksson <andreas@fatal.se>

	reviewed by: Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsbackendftp.c:
	(ftp_connection_ensure_data_connection_pasv):
	Fix successful PASV connections (don't try to apply workaround).
	(fixes #564027)

2008-12-11  Ryan Lortie  <desrt@desrt.ca>

	Implement pull support on trash backend.

	* daemon/trashlib/trashitem.[ch]: add support for restoring items
	* daemon/gvfsbackendtrash.c: implement pull

2008-12-11  Ryan Lortie  <desrt@desrt.ca>

	New trash:/ backend.

	* daemon/trashlib: implementation of the reader side of the fd.o
	trash specification
	* daemon/gvfsbackendtrash.[ch]: rewrite based on trashlib
	* configure.ac: add daemon/trashlib/Makefile to output
	* daemon/Makefile.am: add trashlib/ subdir and include in trash
	backend libraries

2008-12-11  Dan Winship  <danw@gnome.org>

	* configure.ac: require libsoup-gnome, for SoupProxyResolverGNOME

	* daemon/gvfsbackendhttp.c (g_vfs_backend_http_init): add a
	SoupProxyResolverGNOME to the sessions, to automatically handle
	proxies. #522985

2008-12-11  Dan Winship  <danw@gnome.org>

	* daemon/soup-input-stream.c (read_async_done)
	(soup_input_stream_read_async, soup_input_stream_close_async):
	don't leak GSimpleAsyncResults. #551075.

	* daemon/gvfsbackendhttp.c (try_open_for_read): set_accumulate to
	FALSE on the response body to avoid extra allocating+freeing.
	Patch from Peter Christoffersen, part of #551075.
	(open_for_read_ready): unref the stream on error.

2008-12-09  Bastien Nocera  <hadess@hadess.net>

	* daemon/gvfsbackendobexftp.c (_query_file_info_helper): Fix icon
	for the root directory of an obexftp server (Closes: #542687)

2008-12-09  Bastien Nocera  <hadess@hadess.net>

	* monitor/gphoto2/Makefile.am:
	* monitor/gphoto2/ggphoto2volumemonitor.c (get_stores_for_camera),
	(update_cameras): For each camera discovered, create shadow mounts
	for each one of the top-level storage heads, makes each of the
	device's stores appear separately

	* daemon/gvfsbackendgphoto2.c (monitors_emit_internal),
	(release_device), (split_filename), (file_get_info), (do_mount),
	(do_open_for_read_real), (do_query_info), (try_query_info),
	(do_enumerate), (try_enumerate), (do_make_directory),
	(do_set_display_name), (do_delete), (do_create_internal),
	(do_replace), (do_append_to), (do_move), (do_create_dir_monitor),
	(do_create_file_monitor): Remove all the hacks to handle
	a single storage head differently from multiple storage heads,
	this makes photo directories detection and the likes work
	for multiple storage-heads

	(Closes: #520123)

2008-12-01  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonmount.c:
	* client/gdaemonvolumemonitor.c:
	* monitor/proxy/Makefile.am:
	* monitor/proxy/gproxydrive.c:
	* monitor/proxy/gproxymount.c:
	* monitor/proxy/gproxyvolume.c:
	* monitor/proxy/gproxyvolume.h:
	* monitor/proxy/gproxyvolumemonitor.c:
	* monitor/proxy/gproxyvolumemonitor.h:
	* monitor/proxy/remote-volume-monitor-module.c:
	* monitor/proxy/gproxyshadowmount.[ch]:
	Use the new support for shadow mounts instead
	of g_volume_monitor_adopt_orphan_mount

	Patch from David Zeuthen (#555332)

	* programs/gvfs-mount.c:
	Add support to monitor volume monitor events

2008-12-01  Alexander Larsson  <alexl@redhat.com>

	* configure.ac:
	Post release version bump

=== gvfs 1.1.1 ===

2008-12-01  Alexander Larsson  <alexl@redhat.com>

	* daemon/Makefile.am (mount_in_files):
	Dist dav+sd.mount

	* NEWS:
	Update for release

2008-12-01  Bastien Nocera  <hadess@hadess.net>

	* configure.ac: Update bluez requirements, we
	can't really require the 4.x API without the 4.x
	libraries...

2008-12-01  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonmount.c:
	* common/gmounttracker.[ch]:
	* daemon/gvfsbackend.[ch]:
	Make mounts/backends have a GIcon not a icon name

	* daemon/gvfsbackendsftp.c:
	Support /etc/favicon.png

	* daemon/gvfsbackendsmbbrowse.c:
	Simplify some code with the new GIcon support

	Patch from David Zeuthen (#557540)

2008-12-01  Alexander Larsson  <alexl@redhat.com>

	* common/Makefile.am:
	* common/gvfsdnssdresolver.c: Added.
	* common/gvfsdnssdresolver.h: Added.
	* common/gvfsdnssdutils.c: Added.
	* common/gvfsdnssdutils.h: Added.
	* daemon/Makefile.am:
	* daemon/dav+sd.mount.in: Added.
	* daemon/dav.mount.in:
	* daemon/gvfsbackenddav.c:
	* daemon/gvfsbackenddnssd.c:
	* daemon/gvfsbackendnetwork.c:
	For references to dns-sd dav services, use a
	dav+sd: uri, since this is stable over e.g.
	port changes and as such work better in e.g.
	bookmarks.

	Patch from David Zeuthen (#555436)

2008-11-18  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendsftp.c:
	Better name for the has-username case.

2008-11-18  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendsftp.c:
	If user is specified, add to name too, so we get a unique fuse path

2008-11-17  Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsbackendftp.c: (ftp_connection_parse_features):
	use g_ascii_is_space() (thanks Wouter)

2008-11-17  Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsbackendftp.c:
	document what the workarounds do

2008-11-17  Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsbackendftp.c: (ftp_connection_prepare),
	(ftp_connection_use):
	If feat before login fails, try it again after login. (fixes bug
	#556786, researched by Oliver Joos) So we're now "better than gftp and
	filezilla together". Take that gnome-vfs!

2008-11-17  Andreas Henriksson <andreas@fatal.se>

	reviewed by: Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsbackendftp.c: (ftp_connection_parse_features):
	Deal with "\n" vs "\r\n" in FEAT responses. Researched by Oliver Joos.

2008-11-17  Andreas Henriksson <andreas@fatal.se>

	reviewed by: Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsbackendftp.c: (ftp_connection_parse_features):
	Be less strict in leading spaces of FEAT reply.
	Researched by Oliver Joos. Apparently common, one affected ftp server
	visible in bug #556809.

2008-11-17  Andreas Henriksson <andreas@fatal.se>

	reviewed by: Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsbackendftp.c: (ftp_connection_prepare),
	(ftp_connection_use), (g_vfs_backend_ftp_pop_connection),
	(do_mount):
	Do FEAT and OPTS UTF8 ON before login. This mirros behavior of lftp.

2008-11-17  Andreas Henriksson <andreas@fatal.se>

	reviewed by: Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsbackendftp.c:
	(ftp_connection_ensure_data_connection_epsv),
	(ftp_connection_ensure_data_connection_pasv):
	Add workarounds for EPSV/PASV data connection failures.
	- don't use EPSV if we get successful return codes but fails to
	connect.
	- don't use address in PASV response if we fail to connect to it
	 (use the same address as the command connection is established to).

2008-11-17  Andreas Henriksson <andreas@fatal.se>

	reviewed by: Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsbackendftp.c:
	(_ftp_connection_ensure_data_connection),
	(ftp_connection_ensure_data_connection_epsv),
	(ftp_connection_ensure_data_connection_pasv),
	(ftp_connection_ensure_data_connection):
	Restructure ..._ensure_data_connection and fall back on PASV when EPSV
	fails.
	- split up ..._ensure_data_connection in subroutines
	- make a full attempt to connect instead of relying on response
	  code from EPSV command.
	- when EPSV data connection fails, try PASV.

2008-11-17  Andreas Henriksson <andreas@fatal.se>

	reviewed by: Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsbackendftp.c: (ftp_connection_use):
	 Disable usage of "EPSV ALL". (fixes #547855). See in-source comment
	 for the reasons.

2008-11-17  Andreas Henriksson <andreas@fatal.se>

	reviewed by: Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsbackendftp.c: (ftp_connection_use):
	Use UTF8 when available.

2008-11-17  Andreas Henriksson <andreas@fatal.se>

	reviewed by: Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsbackendftp.c: (ftp_connection_parse_features):
	Add UTF8 to feature parsing.

2008-11-10  Tomas Bzatek  <tbzatek@redhat.com>

	* daemon/gvfsbackendsmb.c:
	* daemon/libsmb-compat.h:
	Timestamp (mtime) setting support

2008-11-06  Hans Petter Jansson  <hpj@novell.com>

	* gconf/gapplookupgconf.c (get_default_for_uri_scheme): Free command
	string after use. Fixes a leak.

2008-11-04  Tomas Bzatek  <tbzatek@redhat.com>

	* client/gdaemonmount.c: (g_daemon_mount_guess_content_type_sync):
	Return an empty array on success when no content type matches

2008-10-28  Cosimo Cecchi  <cosimoc@gnome.org>

	* daemon/gvfsbackendftp.c: (dir_default_iter_process):
	Convert stuct tm from what ParseFTPList gives to what mktime expects.
	Fixes wrong date/time parsing for FTP files.
	Patch by Andreas Henriksson (#550837).

2008-10-28  Cosimo Cecchi  <cosimoc@gnome.org>

	* daemon/gvfsbackendftp.c: (dir_default_init_data):
	Use LIST -a instead of LIST on UNIX ftp sites.
	Patch by Andreas Henriksson (#551822).

2008-10-24  Tomas Bzatek  <tbzatek@redhat.com>

	* daemon/gvfsbackendsmb.c:
	Don't ask for credentials twice when the password dialog was cancelled

2008-10-24  Alexander Larsson  <alexl@redhat.com>

	* programs/gvfs-info.c (show_attributes):
	Don't show fallback setting for GThemedIcon (this is a construct only property).
	List icons on same line.

2008-10-23  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendsftp.c:
	* daemon/gvfsbackendsmb.c:
	* daemon/gvfsdaemonutils.c:
	Don't return fallback icons, since that gives problems
	with custom mime icons (#528320)

2008-10-21  Alexander Larsson  <alexl@redhat.com>

	Patch from David Zeuthen (#557182)

	* common/Makefile.am:
	* common/gvfsicon.[ch]:
	Added GVfsIcon object for GVfs backend specific icons.

	* common/gmountspec.[ch]:
	Make sure to/from string works correctly to roundtrip GMountSpec:s
	Make GMountSpec a boxed type

	* common/gvfsdaemonprotocol.h:
	Add OpenIconForRead operation

	* client/Makefile.am:
	* client/gvfsiconloadable.[ch]:
	In gvfs client side, implement GLoadableIcon for GVfsIcon type.

	* client/gdaemonvfs.c:
	Make sure that we add the GLoadableIcon interface for GVfsIcon on load

	* daemon/Makefile.am:
	* daemon/gvfsbackend.[ch]:
	* daemon/gvfsjobopeniconforread.[ch]:
	Add new job type for OpenIconForRead op

	* daemon/gvfsbackendgphoto2.c:
	Implement OpenIconForRead for icon previews.

2008-10-21  Alexander Larsson  <alexl@redhat.com>

	* configure.ac:
	Require glib 2.19.1 for GIcon serialization support

	* common/gvfsdaemonprotocol.c:
	Use g_icon_to_string & co instead of home-brewed serialization

	* monitor/proxy/gproxydrive.c:
	* monitor/proxy/gproxymount.c:
	* monitor/proxy/gproxyvolume.c:
	* monitor/proxy/gproxyvolumemonitor.c:
	* monitor/proxy/gproxyvolumemonitor.h:
	* monitor/proxy/gvfsproxyvolumemonitordaemon.c:
	Use g_icon_to_string & co instead of home-brewed serialization

2008-10-20  Richard Hughes  <richard@hughsie.com>

	reviewed by: Christian Kellner <ck@xatom.net>

	* programs/gvfs-info.c: (show_attributes):
	Whilst debugging an icon theme bug, I wanted to know what icon
	would be chosen for a file. It turns out gvfs-info gets all the
	properties and prints them, but for an icon prints:
	  standard::icon: GThemedIcon:0x8df7200
	This isn't very helpful. I've fixed this to print out the icons and
	the order they should be chosen like:
	  standard::icon: (fallbacks: FALSE)
	   1. name:application-x-cd-image
	   2. name:gnome-mime-application-x-cd-image
	   3. name:application-x-generic
	   4. name:text-x-generic

2008-10-20  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonfileinputstream.c:
	(run_sync_state_machine):
	Revert debug spew from recent commit now that the core
	issue is fixed (by the fuse race condition fix).

2008-10-20  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendcomputer.c (try_create_dir_monitor):
	Always fail the job when we don't support monitoring.

	* client/gvfsfusedaemon.c (getattr_for_file):
	Correct st_blocks rounding in previous commit

2008-10-17  Alexander Larsson  <alexl@redhat.com>

	* common/gdbusutils.c (append_escaped_name):
	Fix uninitialized memory read.

2008-10-17  Hans Petter Jansson  <hpj@novell.com>

	Attempt to prevent potential race conditions in the FUSE backend
	when file handles get closed while still in use in another thread,
	if that ever happens.

	* client/gvfsfusedaemon.c (file_handle_new): Insert new file
	handles in global hash table of active file handles.
	(file_handle_unref): Clarify the code and comments a little.
	(file_handle_free): Remove file handle from global table of
	active handles.
	(reindex_file_handle_for_path)
	(get_file_handle_for_path)
	(get_or_create_file_handle_for_path): global_fh_table ->
	global_path_to_fh_map.
	(get_file_handle_from_info): New function that recovers our file
	handle from a fuse_file_info struct, but only if it exists in
	the global table of valid handles.
	(vfs_getattr): Remove code that acquired and locked the file handle
	for the path we operate on. No locking is required here.
	(vfs_open): Assign file handle to fuse_file_info while holding lock.
	Purely a formality that makes code easier to read.
	(vfs_create): Ditto.
	(vfs_release): Use get_file_handle_from_info () so the file handle
	is validated.
	(vfs_read): Hold a ref to the file handle while it's in use. If
	handle is invalid, raise EINVAL.
	(vfs_ftruncate): Ditto.
	(vfs_write): Ditto.
	(vfs_rename): Cosmetic change.
	(vfs_unlink): Ditto.
	(vfs_truncate): Add helpful comment.
	(vfs_init): Create global table of active file handles.

2008-10-16  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendftp.c:
	(do_mount):
	Show username in auth dialog if specified in uri (#554156)

2008-10-16  Alexander Larsson  <alexl@redhat.com>

	* client/gvfsfusedaemon.c (getattr_for_file):
	Set st_blocks & co so that du works (#554682)
	Patch from Andreas Henriksson

2008-10-09  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonfileinputstream.c:
	(run_sync_state_machine):
	Add some debug spew and avoid crashing in case of code not properly
	setting the GError, as reported on the list.

2008-10-06  Alexander Larsson  <alexl@redhat.com>

	Patch from Andreas Henriksson

	* daemon/gvfsbackendftp.c:
	(dir_default_iter_new):
	(dir_default_iter_process):
	Don't read past start of filename. (#545971)

2008-10-03  Bastien Nocera  <hadess@hadess.net>

	* daemon/gvfsbackendobexftp.c (get_name_and_icon): Use
	the Alias instead of the Name, so we automatically fallback
	if the name isn't available

2008-10-03  David Zeuthen  <davidz@redhat.com>

	* daemon/gvfsbackendgphoto2.c: Remove misleading comment about the
	license (#554811)

2008-10-02  Bastien Nocera  <hadess@hadess.net>

	* daemon/gvfsbackendobexftp.c: Re-add bluetooth.h include,
	we still use bachk right now

2008-10-02  Bastien Nocera  <hadess@hadess.net>

	* client/test-uri-utils.c: Add a few more test URIs

2008-09-29  David Zeuthen  <davidz@redhat.com>

	* monitor/proxy/gproxyvolume.c (mount_cb): Complete the mounting
	operation in idle to ensure we've processed pending dbus messages
	for creating the new mount object

2008-09-29  David Zeuthen  <davidz@redhat.com>

	* monitor/hal/ghalvolume.c:
	* monitor/hal/ghalvolumemonitor.[ch]:
	Make sure we emit 'mount-added' when forcing an update for
	completing a mount operation (#552168)

2008-09-29  Bastien Nocera  <hadess@hadess.net>

	* daemon/gvfsbackendobexftp.c (_is_nokia_3650),
	(get_name_and_icon), (_get_device_properties),
	(g_vfs_backend_obexftp_finalize), (g_vfs_backend_obexftp_init),
	(_query_file_info_helper), (session_connect_error_cb),
	(session_connected_cb), (do_mount),
	(g_vfs_backend_obexftp_class_init):
	* daemon/obexftp-marshal.list:
	Port to BlueZ 4.x API and obex-data-server SVN API,
	use the "Icon" property to get the icon, instead of parsing the
	device class ourselves (#552356)

2008-09-26  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonvfs.[ch]:
	* common/gvfsdaemonprotocol.h:
	* daemon/mount.c:
	Reverse map fuse paths to gvfs uris in
	g_file_new_for_path().

2008-09-25  Alexander Larsson  <alexl@redhat.com>

	* common/gvfsdaemonprotocol.c:
	(_g_dbus_get_file_attribute):
	Free returned strv with g_strfreev, not dbus_free_string_array. (#529596)

2008-09-23  Alexander Larsson  <alexl@redhat.com>

	* configure.ac:
	Bump version of unstable branch to 1.1.1

2008-09-23  Alexander Larsson  <alexl@redhat.com>

	* monitor/proxy/gproxyvolumemonitor.[ch]:
	* monitor/proxy/gproxyvolumemonitor.h:
	* monitor/proxy/remote-volume-monitor-module.c:
	Only call the IsSupported dbus call when the class
	is actually needed instead of on gio init.
	Don't integrate internal session bus with mainloop
	during is_support code, as that is not necessary yet, and
	it caused problem if done in a thread.

	This fixes the trash crash issue in bug #547568.

2008-09-23  Alexander Larsson  <alexl@redhat.com>

	* client/Makefile.am:
	* common/Makefile.am:
	* common/gmountsource.c:
	* common/gmounttracker.c:
	* monitor/gphoto2/Makefile.am:
	* monitor/hal/Makefile.am:
	* monitor/proxy/Makefile.am:
	Link all modules against the installed libgvfscommon instead
	of duplicating the statically linked one. This is safe wrt
	namespace conflicts, because the modules are opened RTLD_LOCAL
	so the dependencies will not pollute the global namespace.

	* client/gdaemonvfs.c:
	Make the gvfsdbus module persistant. This means we will never
	unload it, and thus not unload libgvfscommon which could
	be problematic. This is not a huge problem, as:
	 + The gio modules will not be loaded anyway unless you use gio
	 + The gvfsdbus module will be persistent anyway as soon as
	   the app references the GVfs object, which likely all gio apps do
	 + The module load order doesn't matter wrt unload order, because
	   all gio modules are loaded before any one is unloaded.

2008-09-16  Tomas Bzatek  <tbzatek@redhat.com>

	* daemon/gvfsbackendsmb.c:
	Kerberos authentication fixes. Fixes #524498
	Inspired by the smb-browse patch from Steve Langasek

2008-09-15  Tomas Bzatek  <tbzatek@redhat.com>

	* client/smburi.c:
	Encode username and domain into the URI

2008-09-15  Tomas Bzatek  <tbzatek@redhat.com>

	* daemon/gvfsbackendsmb.c:
	Revert commit #1772.
	Set the information on the mount spec from the original URI

2008-09-15  Christian Kellner  <gicmo@gnome.org>

	* client/gdaemonfile.c:
	Don't leak the GSimpleAsyncResult in find_enclosing_mount_async.
	Patch by Matthias Clasen <mclasen@redhat.com) (#552295)

2008-09-15  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonfile.c:
	* client/gdaemonfileenumerator.c:
	Add proper implementation of async file enumeration.
	This avoids the problem with the default thread based ones
	that could cause callbacks in the non-mainloop thread. (#551337)

2008-09-15  Christian Kellner  <gicmo@gnome.org>

	* configure.ac: Fix gnome-keyring configure switch
	Patch by Rémi Cardona  <remi@gentoo.org> (#552126)

2008-09-09  Hans Petter Jansson  <hpj@novell.com>

	* configure.ac: Post-release version bump to 0.99.8.

=== gvfs 0.99.7 ===

2008-09-09  Hans Petter Jansson  <hpj@novell.com>

	* NEWS: Update for 0.99.7.

2008-09-05  Bastien Nocera  <hadess@hadess.net>

	* daemon/gvfsbackendcdda.c (track_free), (release_metadata),
	(fetch_metadata), (g_vfs_backend_cdda_finalize), (do_mount),
	(do_unmount), (set_info_for_track), (do_query_info):
	Export CD-Text metadata via xattrs (Closes: #550858)

2008-09-02  David Zeuthen  <davidz@redhat.com>

	* monitor/hal/ghaldrive.c: (g_hal_drive_eject_do):
	* monitor/hal/ghalmount.c: (unmount_cb), (unmount_do),
	(eject_wrapper_callback), (g_hal_mount_eject):
	* monitor/proxy/gproxymount.c: (eject_wrapper_callback),
	(g_proxy_mount_eject):
	* monitor/proxy/gproxyvolume.c: (eject_wrapper_callback):
	Remember to refcount objects (#546971).

2008-09-02  David Zeuthen  <davidz@redhat.com>

	* monitor/hal/ghalvolume.c (format_size_for_display): Add docs
	explaining why powers of 10 are used.

2008-09-02  David Zeuthen  <davidz@redhat.com>

	* monitor/hal/ghalvolume.c (do_update_from_hal): Revert patch from
	bug 550100 - we really don't want to show "61.7MB Volume" instead
	of "64M Volume".

2008-09-01  Hans Petter Jansson  <hpj@novell.com>

	* configure.ac: Post-release version bump to 0.99.7.

=== gvfs 0.99.6 ===

2008-09-01  Hans Petter Jansson  <hpj@novell.com>

	* NEWS: Update for 0.99.6.

2008-09-01  Christian Kellner  <gicmo@gnome.org>

	* configure.ac:
	Require libsoup >= 2.23.91

2008-09-01  Christian Kellner  <gicmo@gnome.org>

	* daemon/gvfsjobpull.c:
	* daemon/gvfsjobpull.h:
	New daemon method to pull files from daemons to the local
	file system.

	* daemon/gvfsjobpush.c:
	* daemon/gvfsjobpush.h:
	New daemon method to push local files to daemons. (Replaces
	Upload)

	* daemon/gvfsjobupload.c:
	* daemon/gvfsjobupload.h:
	Replaced by Push.

	* common/gvfsdaemonprotocol.h:
	* daemon/Makefile.am:
	* daemon/gvfsbackend.c:
	* daemon/gvfsbackend.h:
	Add Push and Pull. Remove Upload.

	* client/gdaemonfile.c:
	New transfer logic. In case of move try push/pull (with
	remove_source set to TRUE) first then fallback. In case of copy
	try push/pull first then fallback. Use the same logic for
	both cases.

	* daemon/gvfsbackendburn.c:
	Port Upload to Push.

	* daemon/gvfsbackendtrash.c:
	Implement the Pull method. That should fix bug #529971

2008-09-01  Christian Kellner  <gicmo@gnome.org>

	* monitor/hal/ghalvolume.c: (do_update_from_hal):
	Use g_format_size_for_display for consistency.
	Patch from Christian Persch <chpe@gnome.org>
	Fixes bug #550100

2008-08-30  Matthias Clasen  <mclasen@redhat.com>

	* common/gmountspec.c (g_mount_spec_from_dbus): Plug a tiny
	memory leak.

2008-08-28  David Zeuthen  <davidz@redhat.com>

	* monitor/proxy/gproxyvolume.c: (g_proxy_volume_mount):
	* monitor/proxy/gvfsproxyvolumemonitordaemon.c:
	(handle_volume_mount): Make sure we really read mount_flags and
	use_mount_operation. Fixes RH bug 460223.

2008-08-27  Bastien Nocera  <hadess@hadess.net>

	* client/gdaemonvfs.c (get_mountspec_from_uri),
	(_g_daemon_vfs_get_uri_for_mountspec): Don't drop
	query and fragment portions of the URI when decoding
	it and the URI scheme isn't handled by any backends
	(Closes: #549553)

2008-08-25  Matthias Clasen  <mclasen@redhat.com>

	Bug 549253 – error path leaks

	* common/gmountoperationdbus.c:
	* common/gdbusutils.c:
	* daemon/gvfsbackendgphoto2.c:
	* daemon/gvfsbackendtrash.c:
	* daemon/gvfsjobsetattribute.c: Plug some leaks on
	error paths.

2008-08-25  Bastien Nocera  <hadess@hadess.net>

	* daemon/gvfsbackenddav.c (ms_response_to_file_info):
	Same as below but for the webdav's getlastmodified
	response (Closes: #538573)

2008-08-22  Bastien Nocera  <hadess@hadess.net>

	* daemon/gvfsbackendhttp.c (query_info_ready): Use
	libsoup to parse the "Last-Modified" header, not
	the ISO-8601 parsing functions (Closes: #547133)
	Requires libsoup trunk

2008-08-21  Hans Petter Jansson  <hpj@novell.com>

	* daemon/gvfsbackendgphoto2.c (ensure_ignore_prefix)
	(do_mount)
	(do_enumerate): Improve various user- and translator-
	unfriendly error messages.

2008-08-21  Hans Petter Jansson  <hpj@novell.com>

	* configure.ac: Late post-release version bump to 0.99.6.

2008-08-21  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	* daemon/gvfsbackendgphoto2.c (do_unmount):
	Handle plural forms correctly. Fixes bug #548841.

=== gvfs 0.99.5 ===

2008-08-16  Jesse van den Kieboom  <jesse@icecrew.nl>

	* daemon/gvfsbackenddav.c:
	Fixed using display_name property getting overwritten

2008-08-16  Christian Neumair  <cneumair@gnome.org>

	* daemon/gvfsbackendtrash.c (add_extra_trash_info):
	Correctly set copy name to original file name. Fixes #41852.

2008-08-07  Jesse van den Kieboom  <jesse@icecrew.nl>

	* client/gdaemonfileoutputstream.c:
	Fixed crash in gio because error was not properly
	being set in the query_info noop

2008-08-05  Jesse van den Kieboom  <jesse@icecrew.nl>

	* daemon/gvfsbackendsftp.c:
	Added restoring file permissions when replacing a file.

2008-08-05  Christian Kellner  <gicmo@gnome.org>

	* client/gdaemonfile.c:
	Remove wrong dbus reply struct checks for replace_async,
	create_async and append_async that would live to (false)
	invalid reply errors.

2008-08-05  Jesse van den Kieboom  <jesse@icecrew.nl>

	* client/gdaemonfile.c:
	Set etag to "" when supplied to g_daemon_file_replace_async
	with NULL. Bug #546300

2008-08-05  Christian Kellner  <gicmo@gnome.org>

	* configure.ac: Post-release bump to 0.99.5.

=== gvfs 0.99.4 ===

2008-08-05  Christian Kellner  <gicmo@gnome.org>

	* NEWS: Update for release

2008-08-05  Christian Kellner  <gicmo@gnome.org>

	* configure.ac:
	Require glib 2.17.6 (cause by GEmblemedIcon changes)

2008-08-05  Christian Kellner  <gicmo@gnome.org>

	* monitor/hal/ghaldrive.c:
	Various ref counting fixes.

	* monitor/hal/ghalvolume.c:
	Report error in idle to avoid calling a callback with the
	volume lock held.
	Use volume lock in hhal_volume_get_activation_root. Various
	ref counting fixes.

	Bug #545489. Based on a patch from Matthias Clasen.

2008-08-04  Christian Kellner  <gicmo@gnome.org>

	* client/gdaemonfile.c: (g_daemon_file_replace_async):
	Correctly set the mode to 2 resulting in the replace vfunc being
	called inside the backends.
	Bug #544008. Patch by Jesse van den Kieboom <jesse@icecrew.net>

2008-08-04  Matthias Clasen  <mclasen@redhat.com>

	* monitor/proxy/gvfsproxyvolumemonitordaemon.c:
	* monitor/proxy/gproxyvolumemonitor.c: Update the GIcon serialization
	code to work with GEmblem.

2008-08-03  Christian Kellner  <gicmo@gnome.org>

	* client/gvfsfusedaemon.c:
	Avoid a race between the subthread and the main thread in the case
	of dbus going bye-bye.
	Bug #543552. Patch from Austin Lund <austin.lund@gmail.com>

2008-08-02  Christian Kellner  <gicmo@gnome.org>

	* client/gdaemonvfs.c:
	Make sure we handle URI schemes case insensitive, so that File://
	and other versions also work. Bug #528891

2008-08-02  Christian Kellner  <gicmo@gnome.org>

	* daemon/gvfsbackendtrash.c: Don't include internal mounts
	while building up the list of trash directories. Bug #525779
	Patcg from A. Walton  <awalton@svn.gnome.org>

2008-08-02  Christian Kellner  <gicmo@gnome.org>

	* daemon/gvfsbackenddav.c: (parse_xml): Free the xml doc in
	error cases. Plug the leaks, fix bug #545968, thanks to
	Christian Persch <chpe@gnome.org> again!

2008-08-02  Christian Kellner  <gicmo@gnome.org>

	* daemon/gvfsbackenddav.c:
	Use XML_PARSE_NONET with xmlReadMemory when parsing the webdav
	responses to disallow net access of the parser. Bug #545966
	Patch by Christian Persch <chpe@gnome.org>

2008-08-02  Christian Kellner  <gicmo@gnome.org>

	* daemon/gvfsbackendtrash.c: (list_trash_dirs):
	Create the home trash directory if it doesn't already exist,
	so that we can monitor it for changes. Part two of bug #509740;
	Patch by Hans Petter Jansson <hpj@novell.com>

2008-08-02  Christian Kellner  <gicmo@gnome.org>

	* autogen.sh: Allow libtool 2.2.

2008-08-02  Christian Persch <chpe@gnome.org>

	* ChangeLog
	* client/gdaemonfile.c
	* client/gdaemonfileinputstream.c
	* client/gdaemonfileoutputstream.c
	* client/gvfsdaemondbus.c
	* common/gdbusutils.c
	* common/gvfsdaemonprotocol.c
	* daemon/gvfsbackendarchive.c
	* daemon/gvfsbackendcdda.c
	* daemon/gvfsbackenddav.c
	* daemon/gvfsbackendftp.c
	* daemon/gvfsbackendgphoto2.c
	* daemon/gvfsbackendobexftp-cap-parser.c
	* daemon/gvfsbackendobexftp-fl-parser.c
	* daemon/gvfsbackendobexftp.c
	* daemon/gvfsbackendsftp.c
	* daemon/gvfsbackendsmb.c
	* daemon/gvfsbackendsmbbrowse.c
	* daemon/gvfsjob.c
	* daemon/gvfsjobopenforwrite.c
	* daemon/gvfsreadchannel.c
	* daemon/gvfswritechannel.c
	* daemon/mount.c
	* daemon/soup-input-stream.c
	* daemon/soup-output-stream.c: Use g_set_error_literal where
	appropriate. Bug #539167.

2008-07-29  David Zeuthen  <davidz@redhat.com>

	* client/gdaemonmount.c:
	* common/gmounttracker.c:
	* common/gmounttracker.h:
	* daemon/gvfsbackend.c:
	* daemon/gvfsbackend.h:
	* daemon/gvfsbackendcdda.c:
	* daemon/gvfsbackendgphoto2.c:
	* daemon/mount.c:
	Add x-content/* support to daemon mounts. Right now a backend
	can only set the x-content/* type ahead of time. We might want
	to add support dynamically obtaining it too (e.g. support
	force_rescan).

	* monitor/hal/ghalmount.c:
	* monitor/hal/ghalvolume.c:
	* monitor/hal/ghalvolumemonitor.c:
	* monitor/hal/hal-utils.c:
	* monitor/hal/hal-utils.h:
	Add x-content/* support to the HAL volume monitor.

	* monitor/proxy/gproxymount.c:
	* monitor/proxy/gproxymount.h:
	* monitor/proxy/gproxyvolumemonitor.c:
	* monitor/proxy/gproxyvolumemonitor.h:
	* monitor/proxy/gvfsproxyvolumemonitordaemon.c:
	Add x-content/* support to proxy volume monitor. Also fix
	a number of bugs the initial implementation had.

	* programs/gvfs-mount.c:
	Print out x-content-types.

2008-07-28  Matthias Clasen  <mclasen@redhat.com>

	Bug 528848 – [PATCH] statfs lies

	* client/gvfsfusedaemon.c (vfs_statfs): Don't call
	statvfs on /. Patch by Bill Nottingham.

2008-07-28  Matthias Clasen  <mclasen@redhat.com>

	Bug 518284 – need to add i18n on module branching

	* daemon/gvfsbackendcdda.c:
	* daemon/gvfsbackendgphoto2.c:
	* daemon/gvfsbackendobexftp.c: Now is later.
	Remove the I18N_LATER hack.

2008-07-28  Matthias Clasen  <mclasen@redhat.com>

	* monitor/proxy/gvfsproxyvolumemonitordaemon.c (append_mount):
	Don't pass a NULL uuid to dbus_message_iter_append_basic. Fixes
	a crash with bind mounts.

2008-07-28  Matthias Clasen  <mclasen@redhat.com>

	Bug 545068 – use standard icon names

	* daemon/gvfsbackendburn.c:
	* daemon/gvfsbackendcomputer.c:
	* daemon/gvfsbackenddnssd.c: Use standard icon names.

2008-07-28  Matthias Clasen  <mclasen@redhat.com>

	* configure.ac: Bump GLib requirement to 2.17.5 (for GEmblemedIcon)
	* gproxyvolumemonitor.c: Handle GEmblemedIcon in deserialization code.
	* gvfsproxyvolumemonitordaemon.c: Handle GEmblemedIcon in
	serialization code.

2008-07-23  Hans Petter Jansson  <hpj@novell.com>

	* configure.ac: Post-release bump to 0.99.4.

=== gvfs 0.99.3 ===

2008-07-23  Hans Petter Jansson  <hpj@novell.com>

	* NEWS: 0.99.3 update.

2008-07-23  David Zeuthen  <davidz@redhat.com>

	* monitor/proxy/gproxyvolumemonitor.c
	(g_proxy_volume_monitor_finalize): Fix crasher (#544399)

2008-07-22  Matthias Clasen  <mclasen@redhat.com>

	* configure.ac: Post-release bump

=== gvfs 0.99.2 ===

2008-07-22  Matthias Clasen  <mclasen@redhat.com>

	* Makefile.am: Fix up intltool mess
	* configure.ac: Bump glib requirement to 2.17.4
	* NEWS: Updates

2008-07-21  David Zeuthen  <davidz@redhat.com>

	* monitor/gphoto2/ggphoto2volume.c (do_update_from_hal_for_camera):
	* daemon/gvfsbackendgphoto2.c (compute_icon_name):
	(find_udi_for_device):
	Use 'camera-photo' rather than just 'camera' since gnome-icon-theme
	in 2.23/2.24 no longer ships 'camera'. Now the icons look fine again.

2008-07-21  David Zeuthen  <davidz@redhat.com>

	* configure.ac:
	* monitor/Makefile.am:
	* monitor/hal/*:
	* monitor/gphoto2/*:
	Separate the hal and gphoto2 volume monitors - this is in part
	needed to solve bug #520123.

2008-07-21  David Zeuthen  <davidz@redhat.com>

	* monitor/proxy/gproxyvolumemonitor.c
	(g_proxy_volume_monitor_setup_session_bus_connection): Use the
	correct hash functions for the hash table of existing proxy
	volume monitors

2008-07-21  Kjartan Maraas  <kmaraas@gnome.org>

	* monitor/proxy/gvfsproxyvolumemonitordaemon.c:
	#include <locale.h> to fix the build.

2008-07-19  Hans Petter Jansson  <hpj@novell.com>

	* client/gdaemonfile.c (g_daemon_file_set_attribute): Don't leak
	D-Bus messages.

2008-07-18  Hans Petter Jansson  <hpj@novell.com>

	* client/gvfsfusedaemon.c (vfs_open)
	(vfs_create): Hold the file handle lock while opening the stream.
	Second part of fix for #536614.

2008-07-17  Hans Petter Jansson  <hpj@novell.com>

	* client/gvfsfusedaemon.c (reindex_file_handle_for_path): Steal the
	old file handle record from the global hash table before replacing
	its path, not after. Part of fix for #536614.

2008-07-16  David Zeuthen  <davidz@redhat.com>

	* monitor/proxy/gproxyvolumemonitor.c:
	* monitor/proxy/gproxyvolumemonitor.h:
	* monitor/proxy/remote-volume-monitor-module.c:
	Avoid setting up proxy volume monitors if no session bus is
	available. Fixes a crasher with the Fedora NetworkManager system
	settings plug-in that is now using GIO to do file monitoring.

2008-07-08  David Zeuthen  <davidz@redhat.com>

	* monitor/hal/Makefile.am: Fix 'make distcheck'.

2008-07-08  David Zeuthen  <davidz@redhat.com>

	* configure.in:
	* Makefile.am:
	* hal/*:
	* monitor/Makefile.am:
	* monitor/hal/*:
	Move hal/ to monitor/hal/.

2008-07-08  David Zeuthen  <davidz@redhat.com>

	Provide infrastructure for out of process volume monitors and
	port the hal volume monitor to use it (#520132).

	* Makefile.am:
	* configure.ac:
	Add the monitor and monitor/proxy directories.

	* hal/Makefile.am:
	Don't build a gio module for the hal volume monitor; instead
	build a volume monitor daemon.

	* hal/ghaldrive.[ch]:
	* hal/ghalmount.[ch]:
	* hal/ghalvolume.[ch]:
	* hal/ghalvolumemonitor.[ch]:
	* hal/hal-device.[ch]:
	* hal/hal-device.[ch]:
	* hal/hal-pool.[ch]:
	Make all types static and implement g_volume_get_activation_root()
	added to gio (#541793). Also emit the drive-eject-button
	signal (#541794).

	* hal/hal-module.c:
	Removed since the monitor is being moved out of process.

	* hal/hal-volume-monitor-daemon.c:
	* hal/hal.monitor:
	* hal/org.gtk.Private.HalVolumeMonitor.service.in:
	New files for remote volume monitor.

	* monitor/Makefile.am:
	New file.

	* monitor/proxy/*:
	Add proxy volume monitor gio module (the D-Bus client side of
	out-of-process volume monitors) and a static library for providing
	the D-Bus server side of out of process volume monitors.

	* programs/gvfs-mount.c:
	Print activation uri for a volumes and icons for drives.
	Also unref volume monitor when no longer in use.

2008-07-01  Christian Kellner  <gicmo@gnome.org>

	* configure.ac: Correctly check the right libhal for hal features.
	Patch from Andreas Rottmann <a.rottmann@gmx.at> (#537149)

2008-06-16  Ross Burton  <ross@burtonini.com>

	Bug 536252 – GFileEnumerator should allow access to the containing
	GFile

	* client/gdaemonfile.c:
	* client/gdaemonfileenumerator.c:
	* client/gdaemonfileenumerator.h:
	Pass the GFile to the file enumerator constructor and use it to
	set the container property.  (Requires glib r7044)

2008-06-11  Ross Burton  <ross@burtonini.com>

	* programs/gvfs-mkdir.c:
	Add -p to create parents (using
	g_file_make_directory_with_parents, just landed in glib).  Patch
	from A Walton (#511367)

2008-06-11  A. Walton  <awalton@gnome.org>

	* daemon/gvfsbackendtrash.c (escape_pathname), (unescape_pathname):
	Use hex escapes in the trash backend.
	Patch by Andreas Henriksson.
	Fixes bug #523139.

2008-06-11  Tomas Bzatek  <tbzatek@redhat.com>

	* daemon/gvfsbackendftp.c:
	Fix recursive copy of directories (#522933)
	Introduce new error 550 handling framework

2008-06-10  Cosimo Cecchi  <cosimoc@gnome.org>

	* daemon/gvfsbackendarchive.c: (gvfs_archive_pop_job):
	* daemon/gvfsbackenddav.c: (stat_location), (write_ready),
	(close_write_ready), (do_make_directory), (do_delete):
	* daemon/gvfsbackendftp.c:
	(ftp_connection_set_error_from_response):
	* daemon/gvfsbackendhttp.c: (g_vfs_job_failed_from_http_status),
	(open_for_read_ready), (read_ready), (try_seek_on_read),
	(close_read_ready):
	* daemon/gvfsbackendobexftp.c: (_query_file_info_helper),
	(error_occurred_cb), (do_delete):
	Fix build warnings with GCC 4.3.0 (#537588).
	* daemon/gvfsjob.c: (g_vfs_job_failed), (g_vfs_job_failed_literal):
	* daemon/gvfsjob.h:
	Add g_vfs_job_failed_literal ().

2008-06-09  Bastien Nocera  <hadess@hadess.net>

	* daemon/gvfsbackendobexftp-fl-parser.c (fl_parser_start_node_cb):
	Patch from Tomáš Bžatek <tbzatek@redhat.com> to fix the fugly icons
	when the mime-type of a file isn't known to us. See:
	https://bugzilla.redhat.com/show_bug.cgi?id=450453

2008-06-04  Bastien Nocera  <hadess@hadess.net>

	* hal/ghalvolumemonitor.c (update_cameras): Don't add
	devices that are both audio players and cameras twice,
	as it causes 1) error messages when plugging in (it tries to
	mount the device another time) 2) weird behaviour in
	nautilus' computer:/ (See #536601)

2008-06-03  Hans Petter Jansson  <hpj@novell.com>

	* configure.ac: Post-release bump to 0.99.2.

=== gvfs 0.99.1 ===

2008-06-03  Hans Petter Jansson  <hpj@novell.com>

	* NEWS: Prepare for 0.99.1 release.

2008-06-03  Hans Petter Jansson  <hpj@novell.com>

	* configure.ac: Fix definition of giomodulesdir, so we install
	GIO modules to the libdir specified by the user. Fixes distcheck.

2008-05-28  Tomas Bzatek  <tbzatek@redhat.com>

	* daemon/gvfsbackendsmb.c: (do_open_for_read):
	Return G_IO_ERROR_IS_DIRECTORY when attempting
	to read a directory (fixes #522933 for SMB)

2008-05-27  Tomas Bzatek  <tbzatek@redhat.com>

	* daemon/gvfsbackendsmb.c: (do_mount):
	Don't set domain to mountspec when not setting username

2008-05-27  Tomas Bzatek  <tbzatek@redhat.com>

	* common/gmountspec.c: (add_item):
	Don't allow setting a null parameter in mountspec (coming
	from broken backend)

2008-05-22  Hans Petter Jansson  <hpj@novell.com>

	Fix fuse daemon locking and file handle life-cycle issues that
	were causing frequent crashes.

	* client/gvfsfusedaemon.c (file_handle_new): Add a "path" field
	pointing to a string representing the path this file handle is
	associated with, for reverse mapping.
	(file_handle_unref): Is now responsible for decrementing the ref
	count and freeing the handle if it reaches 0. Note that we need
	to check the ref count again after obtaining the global mutex.
	(file_handle_free): The new path member is freed here.
	(get_file_handle_for_path): Ref the obtained handle.
	(get_or_create_file_handle_for_path): Ditto, and hold the lock the
	whole time.
	(reindex_file_handle_for_path): Steal the old entry to avoid
	buildup of stale handles.
	(free_file_handle_for_path): Remove.
	(vfs_getattr): Unref the handle when we're done with it.
	(vfs_rename): Ditto.
	(vfs_unlink): Ditto.
	(vfs_truncate): Ditto.
	(vfs_open): Don't ref the obtained handle; it's done in the helper.
	(vfs_create): Ditto.
	(vfs_release): Let file_handle_unref() free the handle if
	appropriate. Note that the old logic here was inverted, meaning we'd
	try to free the handle if the ref count was non-zero.
	(vfs_init): The hash table no longer owns the path key strings -
	the file handle does.

2008-05-22  Hans Petter Jansson  <hpj@novell.com>

	A more complete fix for GNOME bug #531516.

	* client/gvfsfusedaemon.c (subthread_main): Send SIGHUP to the
	main thread just before subthread exits.
	(dbus_filter_func): When gvfsd goes away, exit the subthread's
	main loop instead of immediately sending SIGHUP to parent thread.
	Do the same when the session bus goes away.
	(shutdown_on_idle): Remove, no longer needed.
	(shutdown_signal): Remove, no longer needed.
	(vfs_init): Tell dbus to not exit when session bus goes down.
	Don't catch signals anymore, since Fuse does this for us.

2008-05-22  Tomas Bzatek  <tbzatek@redhat.com>

	* daemon/gvfsbackendarchive.c:
	Improve error handling allowing to mount non-standard ISO images

2008-05-22  Hans Petter Jansson  <hpj@novell.com>

	* client/gvfsfusedaemon.c (shutown_on_idle)
	(shutdown_signal)
	(vfs_init): When the process receives one of the HUP, TERM or
	INT signals, shut down gracefully. Fixes GNOME bug #531516.

2008-05-21  Tomas Bzatek  <tbzatek@redhat.com>

	* daemon/gvfsbackendsmb.c: (do_mount):
	Fix username & domain tests while setting mount spec

2008-05-21  Christian Kellner  <gicmo@gnome.org>

	* daemon/gvfsbackendsmb.c (do_mount):
	Add GVFS_SMB_DEBUG env variable to control smb debugging.

2008-05-21  Christian Kellner  <gicmo@gnome.org>

	* daemon/gvfsbackendsmb.c (do_mount):
	Set the information on the mount spec *after* having asked
	the user for credentials since username and domain can be
	changed by the user.

2008-05-21  Christian Kellner  <gicmo@gnome.org>

	* configure.ac:
	Check for gphoto2 versions greaten then 2.4.0. Patch from
	Tom Parker <palfrey@tevp.net>. Fixes #531702

2008-05-20  Christian Kellner  <gicmo@gnome.org>

	* configure.ac:
	* programs/Makefile.am:
	Allow to disable the installation of the bash completion
	scripts. Also make it possible to choose the directory
	where the file gets installed. Fixes #530772

2008-05-20  Bastien Nocera  <hadess@hadess.net>

	* daemon/gvfsbackendobexftp-fl-parser.c (fl_parser_fill_file_info):
	Fill in the display name, even if layers above should be able to do
	without (Closes: #523699)

2008-05-11  Hans Petter Jansson  <hpj@novell.com>

	* client/gvfsfusedaemon.c: Fix erroneous copyright header and
	provide a better description of the source file.

2008-05-09  Federico Mena Quintero  <federico@novell.com>

	http://bugzilla.gnome.org/show_bug.cgi?id=532375 - Fix strdup() /
	g_free() confusion.

	* hal/hal-device.c (hal_device_new_from_udi_and_properties):
	g_strdup() the UDI.  We can't just steal it, since it comes from
	libhal, which uses strdup() (and we do g_free() in our finalizer).

	* hal/hal-pool.c (hal_pool_new): Free the actual device strings here.

2008-04-22  Benjamin Otte  <otte@gnome.org>

	* */*.[ch]: get rid of modelines
	The modelines were inconsistent and caused issues when used in
	different editors.

2008-04-21  Sebastien Bacher  <seb128@ubuntu.com>

	* daemon/gvfsbackendftp.c: (do_enumerate_directory):
	remove trailing '\r', that workarounds a parser issue causing
	some filenames to not be listed (#524880)

2008-04-21  Matthias Clasen  <mclasen@redhat.com>

	* client/gdaemonvfs.c:
	* hal/hal-pool.c: Set exit-on-disconnect to FALSE on private
	dbus connections to prevent unexpected exits.  (#528785)

2008-04-21  David Zeuthen  <davidz@redhat.com>

	* client/gvfsfusedaemon.c: Fix some reference issues, see
	http://mail.gnome.org/archives/gvfs-list/2008-April/msg00017.html

2008-04-20  David Zeuthen  <davidz@redhat.com>

	* daemon/gvfsbackendarchive.c: some minor fixes (#528950)

2008-04-16  David Zeuthen  <davidz@redhat.com>

	* hal/ghalvolumemonitor.c: (should_mount_be_ignored),
	(should_volume_be_ignored), (update_mounts):

	Avoid having GVolume and GMount objects for mounts for which the
	mount point will make g_unix_mount_guess_should_display() return
	FALSE. This fixes a problem where e.g. live cd installers mounts
	some file system somewhere (e.g. a /boot partition at
	/mnt/installer_boot).

2008-04-16  Matthias Clasen  <mclasen@redhat.com>

	Bug 526793 – unmount hangs with some backends

	* daemon/gvfsbackendgphoto2.c: Set exit-on-disconnect to FALSE
	on the private dbus connection to prevent unexpected exit before
	the job is done.

2008-04-16  Christian Kellner  <gicmo@gnome.org>

	* daemon/gvfsbackenddav.c:
	Set mount prefix on the mount_spec (again). Fixes #528218

2008-04-16  Christian Kellner  <gicmo@gnome.org>

	* daemon/gvfsbackendhttp.c:
	Add logging for soup so we can get easy network traces even
	if we are doing https.

2008-04-15  Matthias Clasen  <mclasen@redhat.com>

	Bug 526454 – too early use of dbus session bus

	* client/gdaemonvfs.c (g_io_module_load): Refuse to load if
	there is no session bus.

2008-04-14  Matthias Clasen  <mclasen@redhat.com>

	* client/gvfsfusedaemon.c: You cannot store pointers in integers.
	Fixes a crash on 64bit systems.

2008-04-14  Matthias Clasen  <mclasen@redhat.com>

	* common/gmounttracker.c (g_mount_tracker_finalize): Only free
	lock if it is non-NULL. Pointed out by Denis Leroy.

2008-04-07  David Zeuthen  <davidz@redhat.com>

	* hal/ghalvolume.c (g_hal_volume_new): Unbreak the gphoto2 backend
	by allowing automounting.

	* programs/gvfs-mount.c (main, unmount_all_with_scheme): Add a
	new option --unmount-scheme

	* AUTHORS: Add cdda and gphoto2 backends

2008-04-05  Christian Kellner  <gicmo@gnome.org>

	* client/httpuri.c:
	Only set a port in the mount spec if it is not the default
	port for the scheme.

	* daemon/gvfsbackenddav.c:
	Cleanup mount function a bit.

2008-04-04  Christian Kellner  <gicmo@gnome.org>

	* daemon/gvfsbackenddav.c:
	Implement set_display_name. (#525980)
	With this patch we also do our own redirection handling which
	alyways allows redirects from /a/b -> /a/b/ (trainling slashes)
	even for non safe methods. Also some code was cleaned up.

2008-04-02  Christian Kellner  <gicmo@gnome.org>

	* hal/hal-utils.h:
	* hal/hal-utils.c:
	Create new files for utility functions and move get_disc_icon()
	and get_disc_name() here.
	Also create get_themed_icon_with_fallbacks() to create
	GThemedIcons with default fallbacks but with the ability to
	pass in another name to create the fallbacks from then the
	icon name.

	* hal/ghalmount.c:
	* hal/ghalvolume.c:
	Use newly created get_themed_icon_with_fallbacks () and pass
	in custom fallback name for encrypted mounts/volumes (#525153).

	* hal/Makefile.am:
	Add hal-utils.[hc]

	* programs/gvfs-mount.c:
	Display the icon names for mounts/volumes if the icon is
	a GThemedIcon.

	[Merged from gnome-2-22]

2008-04-01  Sebastien Bacher  <seb128@ubuntu.com>

	* hal/ghalmount.c: (format_size_for_display), (do_update_from_hal):
	Use consistent translatable strings for mounts and volume (#525286)

2008-03-31  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendsftp.c:
	Get the right size of the command messages.
	Actually send file attributes in mkdir request.

2008-03-31  Christian Kellner  <gicmo@gnome.org>

	* daemon/gvfsbackendsftp.c: Make sure we send (error)
	replies to all outstanding jobs and unmount the mount
	in case of an error occures while reading data from
	the pipe to the ssh agent (e.g. if the ssh process died).

2008-03-31  Alexander Larsson  <alexl@redhat.com>

	* client/gvfsdaemondbus.[ch]:
	In call_sync, on stale cache errors due to a
	mount daemon disappearing, invalidate caches and
	return G_VFS_ERROR_RETRY so that the caller can
	retry with fresh caches.

	* client/gdaemonfile.c:
	Retry calls on G_VFS_ERROR_RETRY.

2008-03-28  Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsbackendftp.c: (ftp_connection_pop_job):
	fix race that could cause uploads to stop

2008-03-28  Alexander Larsson  <alexl@redhat.com>

	* configure.ac:
	Bump version to 0.99.1 for unstable development
	Stable branch is gnome-2-22

2008-03-28  Paolo Borelli  <pborelli@katamail.com>

	* daemon/gvfsbackendsftp.c:
	* daemon/gvfsjobclosewrite.c:
	Plug some more minor memory leaks.

2008-03-28  Alexander Larsson  <alexl@redhat.com>

	* configure.ac:
	Post release version bump

=== gvfs 0.2.2 ===

2008-05-09  Federico Mena Quintero  <federico@novell.com>:ChangeLog

2008-03-28  Alexander Larsson  <alexl@redhat.com>

	* daemon/Makefile.am (gvfsd_smb_SOURCES):
	Dist libsmb-compat.h.

	* NEWS:
	Update for release

2008-03-28  Christian Kellner  <gicmo@gnome.org>

	* configure.ac: Silence out libtool if
	make is invoked with --silence.

2008-03-28  Paolo Borelli  <pborelli@katamail.com>

	* daemon/gvfsbackendtrash.c: plug some minor memory leaks.

2008-03-28  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonfileenumerator.c (g_daemon_file_enumerator_next_file):
	Actually increment count so that timeouts works.
	Pointed out by Joe Marcus Clarke

2008-03-27  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendsftp.c:
	Handle all target exists errors correctly
	in move. This should make us not silently
	overwrite files.

	* daemon/gvfsjobmove.[ch]:
	Add g_vfs_job_move_progress_callback

2008-03-27  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendsftp.c:
	Introduce helpers for multi-request ops.
	Use it for query_info.

2008-03-26  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonfile.c:
	Implement true async query_filesystem_info

2008-03-26  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonfileenumerator.c:
	(g_daemon_file_enumerator_next_file):
	Avoid hanging forever and not sending any async messages.
	This could happen if we raced and missed the done check.

2008-03-26  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsmonitor.c:
	Send replies to subscribe and unsubscribe messages.

2008-03-26  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendsftp.c:
	Pass id via the command object, not via out parameter.
	Removes a bunch of code to pass the id around.

2008-03-25  Carlos Garcia Campos  <carlosgc@gnome.org>

	* daemon/gvfschannel.c: (got_request), (send_reply_cb):
	Do not create new read/write jobs if the gvfschannel has been
	cancelled. Fixes a crash in sftp backend (#522192).

2008-03-25  Paolo Borelli  <pborelli@katamail.com>

	* daemon/gvfsbackendtrash.c (add_extra_trash_info):
	Make sure the display name is correct even for subdirectories
	inside the trash. (#523127)

2008-03-25  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendarchive.c (archive_file_set_info_from_entry):
	Better mount icons and root display name.

2008-03-24  A. Walton  <awalton@svn.gnome.org>

	* configure.ac:
	The CDDA backend requires HAL to build.
	Closes bug #524062.

2008-03-22  Christian Kellner  <gicmo@gnome.org>

	* client/Makefile.am:
	* configure.ac:
	* gconf/Makefile.am:
	* hal/Makefile.am:
	Respect the giomoduledir provided in gio's package config
	file. (#523852 and maybe #523039)

2008-03-20  Tomas Bzatek  <tbzatek@redhat.com>

	* daemon/gvfsbackendsmb.c:
	* daemon/gvfsbackendsmbbrowse.c:
	* daemon/libsmb-compat.h:
	Port to new smbclient API introduced in samba-3.2.0pre2

2008-03-19  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsjobenumerate.c (send_reply):
	* daemon/gvfsjobdbus.c (send_reply):
	Add job pointer to output spew to make it possible
	to match lines.

2008-03-19  Sebastian Dröge  <slomo@circular-chaos.org>

	* daemon/gvfsbackendsftp.c: (handle_login): Make the sftp backend
	work when pam_krb5 is used on the server side.

2008-03-18  Christian Kellner  <gicmo@gnome.org>

	* configure.ac: Post release version bump.

=== gvfs 0.2.1 ===

2008-03-17  Christian Kellner  <gicmo@gnome.org>

	* NEWS: Update for release

2008-03-17  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendftp.c (do_mount):
	Correctly handle username in mountspec. Only set it if
	it was in the requested mountspec (and only to that value).
	Fixes #522449

2008-03-17  Christian Kellner  <gicmo@gnome.org>

	* client/gdaemonfile.c: (find_enclosing_mount_cb): Don't unref
	mount_info since we don't one a ref. (#522919)

2008-03-17  Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsbackendftp.c:
	return G_IO_ERROR_NOT_EMPTY if we're trying to delete a non-empty
	directory.
	* hal/ghalvolumemonitor.c: (get_mount_point_for_device):
	remove unused variable

2008-03-16  Christian Kellner  <gicmo@gnome.org>

	* AUTHORS: Forgot to mention A. Walton. Correct that.

2008-03-16  Christian Kellner  <gicmo@gnome.org>

	* client/gdaemonfile.c:  Don't free up the error that
	we don't own (#522566). Thanks Cosimo Cecchi for helping
	to debug the issue.

2008-03-16  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	* programs/gvfs-rename.c (main): Fix wording of error
	messages. Don't include "Error renaming file" since
	that's what the error->message might contain as well.

2008-03-14  Christian Kellner  <gicmo@gnome.org>

	* programs/Makefile.am:
	* programs/gvfs-rename.c:
	Add a little helper program that renames files
	by calling g_file_set_display_name ().

2008-03-14  Christian Kellner  <gicmo@gnome.org>

	* AUTHORS: Update, add a lot of people and I am
	sure I have forgotten a few.

	* MAINTAINERS: Add myself

2008-03-14  Hans Petter Jansson  <hpj@novell.com>

	Implement most of the GDaemonFile async functions.

	* client/gdaemonfile.c (stream_open_cb): Implement.
	(append_to_async_cb): Implement.
	(g_daemon_file_append_to_async): Implement.
	(g_daemon_file_append_to_finish): Implement.
	(create_async_cb): Implement.
	(g_daemon_file_create_async): Implement.
	(g_daemon_file_create_finish): Implement.
	(enumerate_children_async_cb): Implement.
	(g_daemon_file_enumerate_children_async): Implement.
	(g_daemon_file_enumerate_children_finish): Implement.
	(find_enclosing_mount_cb): Implement.
	(g_daemon_file_find_enclosing_mount_async): Implement.
	(g_daemon_file_find_enclosing_mount_finish): Implement.
	(replace_async_cb): Implement.
	(g_daemon_file_replace_async): Implement.
	(g_daemon_file_replace_finish): Implement.
	(set_display_name_async_cb): Implement.
	(g_daemon_file_set_display_name_async): Implement.
	(g_daemon_file_set_display_name_finish): Implement.
	(g_daemon_file_file_iface_init): Hook up new async functions.

2008-03-14  Alexander Larsson  <alexl@redhat.com>

	* daemon/main.c:
	Don't autostart fuse backend if the GVFS_DISABLE_FUSE
	env var is set

2008-03-14  Alexander Larsson  <alexl@redhat.com>

	* hal/ghalvolume.c (g_hal_volume_new):
	Respect storage.automount_enabled_hint hal property (#520736)
	Patch from Martin Pitt

2008-03-14  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendsmb.c:
	(set_info_from_stat):
	Mark files with an initial dot to be hidden.
	This handles unix smb shares, and should not affect
	windows shares much, since they generally don't use dot
	for extensions so its not used otherwise in filenames.

2008-03-14  Christian Kellner  <gicmo@gnome.org>

	* client/httpuri.c:
	Make sure we set the port to -1 in case when no port
	is specified on the url so the port will be omiited
	when we convert the url to a string

2008-03-13  Alexander Larsson  <alexl@redhat.com>

	* daemon/archive.mount.in:
	Actually add the mount file for archive

2008-03-12  Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsbackendftp.c:
	fix enumerating to do the right thing

2008-03-12  Alexander Larsson  <alexl@redhat.com>

	* configure.ac:
	* daemon/Makefile.am:
	* daemon/gvfsbackendarchive.[ch]:
	Added archive backend from Benjamin Otte
	Requires libarchive

2008-03-12  Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsbackendftp.c:
	invalidate the cache of directories that we modified ourselves.
	* daemon/Makefile.am:
	allow 10 threads in parallel

2008-03-12  Hans Petter Jansson  <hpj@novell.com>

	* client/gdaemonfile.c (do_async_path_call): We were testing the
	wrong cancellable pointer for non-NULL-ness, which broke cancellation
	for all async operations. Fix that.

2008-03-11  Alexander Larsson  <alexl@redhat.com>

	* common/gsysutils.c:
	* configure.ac:
	OpenBSB portability fixes.
	Patch from Jasper Lievisse Adriaanse <jasper@humppa.nl>

2008-03-11  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendsftp.c (spawn_ssh):
	Use GError->message, not GError->msg.
	Patch from Jasper Lievisse Adriaanse <jasper@humppa.nl>

2008-03-10  Alexander Larsson  <alexl@redhat.com>

	* configure.ac:
	Post release version bump

=== gvfs 0.2.0.1 ===

2008-03-10  Alexander Larsson  <alexl@redhat.com>

	* configure.ac:
	Bump version to 0.2.0.1 (minor release
	last translation changes)

2008-03-10  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

	* configure.ac:
	Bump version to 0.2.0

2008-03-10  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonvfs.c:
	Free strings with g_free, not dbus_free (#521269)

2008-03-08  Christian Kellner  <gicmo@gnome.org>

	* hal/ghalmount.c:
	Use dgettext instead of gettext as we are a library.

	* hal/ghalvolume.c:
	Translate disc names (using dgettext).

2008-03-07  Alexander Larsson  <alexl@redhat.com>

	* hal/ghalvolumemonitor.c:
	(get_mount_point_for_device):
	(should_volume_be_ignored):
	Really make sure we ignore stuff outside /media (#520851)

2008-03-07  Alexander Larsson  <alexl@redhat.com>

	* hal/ghalmount.c:
	(get_disc_name):
	Translate disc names.

	* hal/ghalvolume.c:
	(g_hal_volume_new):
	Don't automount gphoto volumes.

2008-03-07  Kjartan Maraas  <kmaraas@gnome.org>

	* programs/gvfs-mount.c: ANSIfication
	* daemon/gvfsbackendnetwork.c: Same.

2008-03-07  Christian Kellner  <gicmo@gnome.org>

	* daemon/soup-input-stream.c: Since G_SEEK_END is not supported
	at the moment immediately return FALSE without aborting the
	the soup message.

2008-03-07  Kjartan Maraas  <kmaraas@gnome.org>

	* daemon/gvfsreadchannel.c,
	* daemon/gvfswritechannel.c:
	Fix format specifiers here.

2008-03-07  Kjartan Maraas  <kmaraas@gnome.org>

	* client/httpuri.c: Remove unused vars.
	* daemon/gvfsbackenddav.c: Remove a couple
	of unused variables.

2008-03-07  Christian Kellner  <gicmo@gnome.org>

	* daemon/gvfsbackenddav.c:
	Initialize error variable to NULL. (#519035)

2008-03-06  David Zeuthen  <davidz@redhat.com>

	* hal/ghalvolumemonitor.c:
	(_g_unix_mount_point_guess_should_display),
	(should_be_hidden_according_to_etc_fstab),
	(should_volume_be_ignored), (should_drive_be_ignored),
	(update_drives), (update_volumes):
	Avoid showing volumes from /etc/fstab if the mount point is one
	that should not be displayed to the user (#520851)

2008-03-07  Christian Kellner  <gicmo@gnome.org>

	* daemon/gvfsbackenddav.c:
	Only ask for common properties and don't use allprop.

2008-03-06  Christian Kellner  <gicmo@gnome.org>

	* daemon/gvfsbackenddav.c:
	Correctly set the content types and the icon correclty. (#518679)
	Also don't add the If-None-Matcher header for now since
	early apache versions don't like it. We need to be smart about
	that later.

2008-03-06  Alexander Larsson  <alexl@redhat.com>

	* common/gsysutils.c:
	Include <sys/types.h> also (#520307)

2008-03-06  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendsftp.c:
	* daemon/gvfsbackendsmb.c:
	Use g_content_type_get_icon() instead of open
	coding it. Also picks up more icons since
	that has been fixed. (#520742)

2008-03-06  Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsbackendftp.c: (ftp_connection_create),
	(ftp_connection_ensure_data_connection),
	(g_vfs_backend_ftp_pop_connection), (do_mount):
	timeout I/O or g_cond_wait after 30 seconds

2008-03-06  Alexander Larsson  <alexl@redhat.com>

	* common/gsysutils.c:
	* configure.ac:
	Include sys/uio.h if availible (#520307)

2008-03-06  Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsbackendftp.c: (do_mount):
	fail early if there's no ftp server where we connect

2008-03-06  Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsbackendftp.c: (ftp_connection_parse_system),
	(ftp_connection_use), (dir_default_iter_process):
	parse the ftp server's system. Using that information, mark dot-files
	as hidden.
	Fixes #520203

2008-03-05  A. Walton  <awalton@svn.gnome.org>

	* programs/gvfs-cat.c (main):
	* programs/gvfs-copy.c (main):
	* programs/gvfs-info.c (main):
	* programs/gvfs-ls.c (main):
	* programs/gvfs-move.c (main):
	* programs/gvfs-open.c (main):
	* programs/gvfs-save.c (main):
	* programs/gvfs-tree.c (main):
	Error out if the user passes invalid flags and warn the user.
	Fixes bug #520086.

2008-03-06  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendsftp.c:
	Allow setting unix mode on sftp (#520571)
	Patch from Carlos Garcia Campos

2008-03-06  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackenddav.c:
	(do_mount):
	Set display name for dav mount (#519588)

2008-03-06  Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsbackendftp.c: (do_move):
	fail if file exists

2008-03-06  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonmount.c:
	(foreign_volume_removed):
	Avoid deadlock when foreign volume is removed.

2008-03-05  Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsbackendftp.c: (dir_default_iter_process),
	(do_enumerate):
	don't list "." and ".." directories.

2008-03-05  Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsbackendftp.c: (do_create):
	fail if the file to be created already exists

2008-03-05  Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsbackendftp.c: (do_mount):
	set anonymous login to FALSE, no uninitialized variables please.
	* hal/ghalvolumemonitor.c: (adopt_orphan_mount):
	fix warning due to glib changes

2008-03-05  Bastien Nocera  <hadess@hadess.net>

	* INSTALL: Add mention of obex-data-server

2008-03-05  Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsbackendftp.c: (dir_default_get_root):
	the proper icon name is folder-remote, not remote-folder.
	really fixed #520189

2008-03-05  Bastien Nocera  <hadess@hadess.net>

	* configure.ac: Disable gphoto2 building when
	HAL is disabled as well (Closes: #519872)

2008-03-05  Bastien Nocera  <hadess@hadess.net>

	* client/gvfsuriutils.c (g_vfs_decode_uri):
	Fix parsing of IPv6-style hostnames to not find the
	port in the path section of the URI, fixes browing
	browsing ObexFTP on Nokia Series 60 phones which show
	drive letters as directories in the root (eg. "C:")
	(Closes: #520314)

	* client/test-uri-utils.c (main): Add test for the above,
	and another test for the IPv4-style URIs

2008-03-05  Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsdaemonutils.c:
	(gvfs_file_info_populate_content_types):
	add text-x-generic mime type as a last fallback option.
	Fixes #520189

2008-03-05  Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsbackendftp.c:
	rewrite file info construction and directory listing. It should now
	correctly resolve symlinks and be fast enough for general use.

2008-03-05  Bastien Nocera  <hadess@hadess.net>

	* daemon/gvfsbackendobexftp.c (do_enumerate):
	Better error message for Nokia 3650 phones

2008-03-05  Bastien Nocera  <hadess@hadess.net>

	* daemon/gvfsbackendobexftp.c (_get_icon_from_type),
	(_get_type_from_class), (_is_nokia_3650), (_get_device_properties),
	(g_vfs_backend_obexftp_finalize), (do_mount), (do_open_for_read),
	(do_query_info), (do_query_fs_info), (do_enumerate), (do_delete):
	Error out cleanly from do_mount() if we somehow lose connection
	to the device, Show a meaningful error when browsing broken
	Nokia 3650 phones (Closes: #519733)

2008-03-05  Alexander Larsson  <alexl@redhat.com>

	* common/gmountsource.c:
	(ask_password_reply):
	Always set password to non-NULL, but keep
	user/domain as NULL if not specified by user.
	Fixes #520317 (smb auth crash)

2008-03-05  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonmount.c:
	(g_daemon_mount_eject_finish):
	Initialize drive variable not access
	undefined memory (#520388)

2008-03-04  A. Walton  <awalton@svn.gnome.org>

	* daemon/ParseFTPList.c (ParseFTPList):
	Trivial C89 patch, fixes #520339.
	Patch from Jens Granseuer.

2008-03-04  Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsbackendftp.c: (do_mount):
	set the right GError here. Makes gvfsd-ftp run fine manually again.

2008-03-04  Benjamin Otte  <otte@gnome.org>

	* common/gmountspec.c: (g_mount_spec_set_with_len):
	add g_return_if_fail here - I had SEGVs sometime later due to values
	being NULL here. So better catch em early

2008-03-04  Sebastien Bacher  <seb128@ubuntu.com>

	* configure.ac: New version update

=== gvfs 0.1.11 ===

2008-03-04  Sebastien Bacher  <seb128@ubuntu.com>

	* NEWS: Update for 0.1.11

2008-03-04  Alexander Larsson  <alexl@redhat.com>

	* hal/ghalvolumemonitor.c:
	(g_hal_volume_monitor_finalize):
	Free mounts with g_unix_mount_free, not g_object_unref.

2008-03-04  Alexander Larsson  <alexl@redhat.com>

	* client/gvfsfusedaemon.c:
	(debug_print):
	Actually disable debug log by default

2008-03-04  Alexander Larsson  <alexl@redhat.com>

	* configure.ac:
	Post release version bump

=== gvfs 0.1.10 ===

2008-03-04  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

2008-03-04  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonvfs.c (_g_daemon_vfs_get_mount_info_async):
	Bump timeout to standard gvfs time.
	Patch from Matthias Clasen

2008-03-04  Alexander Larsson  <alexl@redhat.com>

	* hal/ghalvolumemonitor.c:
	(update_all):
	Actually emit changes for volumes and mounts too

2008-03-04  Alexander Larsson  <alexl@redhat.com>

	* configure.ac:
	Post release version bump

=== gvfs 0.1.9 ===

2008-03-04  Alexander Larsson  <alexl@redhat.com>

	* daemon/Makefile.am (gvfsd_ftp_SOURCES):
	Use correct case for ParseFTPList.h

2008-03-04  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonvfs.c:
	(_g_daemon_vfs_get_uri_for_mountspec):
	Fix crash with NULL host (like "ftp://")

2008-03-04  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonmount.c (g_daemon_mount_get_icon):
	Use fallbacks for mount icon.

	* NEWS:
	Update for release.

2008-03-04  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendcomputer.c:
	(mount_volume_from_drive):
	Avoid crash when mounting drive
	Fix leak.

2008-03-04  Alexander Larsson  <alexl@redhat.com>

	* hal/ghalmount.c:
	Fix deadlock when looking for cdrom icons.

2008-03-04  Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsbackendftp.c: (run_list_command):
	don't require \r as line ending for LIST commands. Fixes ftp.netbsd.org
	* hal/ghalvolumemonitor.c: (adopt_orphan_mount):
	unused variable

2008-03-04  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonmount.c:
	* client/gdaemonvolumemonitor.c:
	* hal/ghaldrive.c:
	* hal/ghalmount.c:
	* hal/ghalvolume.c:
	* hal/ghalvolumemonitor.[ch]:
	Properly lock around volume monitors and
	volume monitor objects.
	Emit all events in idles to avoid reentrancy
	issues. Fixed deadlock in #519599.

2008-03-04  Alexander Larsson  <alexl@redhat.com>

	* common/gmountsource.c:
	* common/gmounttracker.c:
	Work around problems with type registering when the common code
	is used in both daemon and client.

2008-03-04  Benjamin Otte  <otte@gnome.org>

	* common/gmountsource.c: (ask_password_reply),
	(g_mount_source_ask_password_finish),
	(g_mount_source_ask_password), (op_ask_password_reply):
	* common/gmountsource.h:
	add an anonymous_out parameter for anonymous logins.
	* daemon/gvfsbackenddav.c: (soup_authenticate_interactive):
	* daemon/gvfsbackendsftp.c: (handle_login):
	* daemon/gvfsbackendsmb.c: (auth_callback):
	make the backends compile with the new parameter. They don't use
	anonymous logins.
	* daemon/gvfsbackendftp.c: (do_mount):
	make login work as users would expect it with anonymous logins.
	Fixes bug #520131

2008-03-04  Carlos Garcia Campos  <carlosgc@gnome.org>

	* common/gmountspec.c: (g_mount_spec_copy):
	* daemon/gvfsdaemon.c: (g_vfs_daemon_initiate_mount):
	* daemon/main.c: (main):
	Fix memory leaks.

2008-03-04  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonvfs.c:
	Avoid duplications in supported_uris.

	* daemon/smb-browse.mount.in:
	* daemon/smb.mount.in:
	Add scheme info so smb is listed in supported_uris again.

2008-03-03  Christian Kellner  <gicmo@gnome.org>

	* daemon/gvfsbackendhttp.c:
	* daemon/gvfsbackendhttp.h:
	Remove unecessary message_new_from_xxx functions. Prefix all
	public utility functions that need the backend with
	http_backend_, i.e. rename g_vfs_backend_uri_for_filename() to
	http_backend_uri_for_filename().
	Create http_backend_send_message(), http_backend_queue_message()
	convenience functions which will pick up the right SoupSession.

	* daemon/gvfsbackenddav.c:
	Port to new utility functions and http_backend_xx namespace.
	Clean up error handling and remove the const keyword from most
	SoupURI variables.

2008-03-03  David Zeuthen  <davidz@redhat.com>

	Add write support to gphoto2 backend. Also performance
	enhancements for querying, enumerating and reading.
	Fixes bug #519651

	* daemon/gvfsbackendgphoto2.c: (monitor_proxy_free), (DEBUG),
	(write_handle_free), (ensure_not_dirty), (dup_for_gphoto2),
	(monitors_emit_internal), (monitors_emit_created),
	(monitors_emit_deleted), (monitors_emit_changed),
	(caches_invalidate_all), (caches_invalidate_free_space),
	(caches_invalidate_dir), (caches_invalidate_file),
	(get_error_from_gphoto2), (release_device),
	(g_vfs_backend_gphoto2_finalize), (_gphoto2_logger_func),
	(g_vfs_backend_gphoto2_init), (find_udi_for_device),
	(_hal_device_removed), (split_filename_with_ignore_prefix),
	(add_ignore_prefix), (file_get_info), (is_directory), (is_regular),
	(is_directory_empty), (ensure_ignore_prefix), (do_mount),
	(try_mount), (do_unmount), (free_read_handle), (do_open_for_read),
	(try_read), (try_seek_on_read), (do_close_read), (do_query_info),
	(try_query_info), (do_enumerate), (try_enumerate),
	(do_query_fs_info), (try_query_fs_info), (do_make_directory),
	(do_slow_file_rename_in_same_dir), (do_file_rename_in_same_dir),
	(do_dir_rename_in_same_dir), (do_set_display_name), (do_delete),
	(do_create_internal), (do_create), (do_replace), (do_append_to),
	(do_write), (do_seek_on_write), (commit_write_handle),
	(do_close_write), (do_move), (vfs_dir_monitor_destroyed),
	(do_create_dir_monitor), (vfs_file_monitor_destroyed),
	(do_create_file_monitor), (g_vfs_backend_gphoto2_class_init):

2008-03-03  Carlos Garcia Campos  <carlosgc@gnome.org>

	* daemon/mount.c: (read_mountable_config):
	Fix memory leak.

2008-03-03  Benjamin Otte  <otte@gnome.org>

	* client/gdaemonvfs.c: (fill_mountable_info):
	properly parse aliases

2008-03-03  Benjamin Otte  <otte@gnome.org>

	* client/gvfsuriutils.c: (g_vfs_decode_uri):
	revert yesterday's commit. It broke the obex and gphoto backends. We
	now parse hostnames different for internet hosts.
	* daemon/ftp.mount.in:
	Parse hostnames different.

2008-03-03  Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsbackendftp.c: (ftp_connection_receive),
	(ftp_connection_sendv), (g_vfs_backend_ftp_pop_connection),
	(do_mount):
	fix server disconnect on timeout. Side effect is that the ftp backend
	just spawned multiple connections support.

2008-03-03  Alexander Larsson  <alexl@redhat.com>

	* common/gdbusutils.[ch]:
	Add _g_dbus_message_iter_append_args_valist and
	_g_dbus_message_iter_append_args.

	* common/gvfsdaemonprotocol.h:
	Add G_VFS_DBUS_MOUNTTRACKER_OP_LIST_MOUNTABLE_INFO

	* client/Makefile.am:
	* client/gdaemonvfs.c:
	Use listMountableInfo to get supported uri schemes
	and information for default uri handling.
	Handle default port in uris and if host_is_inet normalize hostnames,
	including removing ipv6 brackets.

	* client/sftpuri.c:
	Removed, as the previous work replaces it

	* daemon/gvfsdaemonutils.c:
	(gvfs_file_info_populate_content_types):
	Fix uninitialized variable warning.

	* daemon/mount.c:
	Read new mountfile info and implement
	list_mountable_info.

	* daemon/sftp.mount.in:
	Add info for sftp

2008-03-03  Christian Kellner  <gicmo@gnome.org>

	* daemon/gvfsjob.c: (g_vfs_job_try): Make sure the g_object_unref
	call is _before_ the return call.
	Fixes bug #519867

2008-03-03  Cosimo Cecchi  <cosimoc@gnome.org>

	* daemon/gvfsbackendtrash.c: (do_mount):
	Create the root monitor for trash when mounting. (#509740).

2008-03-03  Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsbackendftp.c: (ftp_connection_receive):
	dynamically resize the read buffer. This allows receiving the huge
	welcome messages some ftp servers think are cool.

2008-03-03  Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsbackendftp.c: (ftp_connection_parse_features),
	(ftp_connection_use), (ftp_connection_ensure_data_connection):
	implement EPSV. This should make IPv6 work.

2008-03-03  Bastien Nocera  <hadess@hadess.net>

	* daemon/gvfsbackendobexftp.c (do_mount), (do_open_for_read),
	(do_read), (do_query_info), (do_query_fs_info), (do_enumerate),
	(do_delete), (do_make_directory): Fix a crasher when
	mounting fails, by not freeing the error just before using it
	(duh!) (Closes: #519752), Fix a few error paths leaking errors

2008-03-03  Luca Ferretti  <elle.uca@libero.it>

	* daemon/gvfsbackendftp.c: (do_query_info):
	Make "file don't exist" message conform to other backends;
	no, it isn't a string freeze break, the message yet exists
	elsewhere.

2008-03-02  Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsbackendftp.c: (ftp_filename_construct):
	use g_build_path() to not get excess slashes in paths

2008-03-02  Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsbackendftp.c: (ftp_connection_try_cd), (process_line),
	(do_query_info), (do_move), (g_vfs_backend_ftp_class_init):
	implement move vfunc

2008-03-02  Carlos Garcia Campos  <carlosgc@gnome.org>

	* common/gmountsource.c: (ask_password_reply):
	Treat DBus output paramaters that contain "" as NULL. It fixes the
	sftp backend when a username is provided by the user.

2008-03-02  Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsbackendftp.c: (do_open_for_read), (do_start_write),
	(do_make_directory):
	push back connection if we fail starting a read/write

2008-03-02  Benjamin Otte  <otte@gnome.org>

	* client/gvfsuriutils.c: (g_vfs_decode_uri):
	don't pass the [] when parsing IPv6 addresses

2008-03-02  Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsbackendftp.c: (do_make_directory),
	(g_vfs_backend_ftp_class_init):
	implement make_directory

2008-03-02  Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsbackendftp.c: (do_delete),
	(g_vfs_backend_ftp_class_init):
	implement delete

2008-03-02  Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsbackendftp.c:
	redo error handling: We now store the error and the job in the
	FtpConnection. This way we don't have to handle errors in the outer
	functions and can just "if (conn->error) return FALSE;" in the inner
	functions.

2008-03-01  David Zeuthen  <davidz@redhat.com>

	* daemon/gvfsbackendcdda.c (do_mount): Avoid calling
	cddio_cddap_close() twice on an error path.

2008-03-01  Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsbackendftp.c: (run_list_command):
	close the data connection before trying to receive the OK. Some
	servers send it out only after the connection was closed properly and
	otherwise cause stalls.

2008-03-01  Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsbackendftp.c: (do_mount):
	use 0 as port in the keyring when it's the default ftp port. Stops the
	access dialog fro printing the port name.

2008-03-01  Bastien Nocera  <hadess@hadess.net>

	* daemon/gvfsbackendobexftp.c (_query_file_info_helper):
	Fix another case where the icon name was wrong for the
	root folder (Helps: #519369)

2008-03-01  Benjamin Otte  <otte@gnome.org>

	* daemon/Makefile.am:
	* daemon/ParseFTPList.c:
	* daemon/ParseFTPList.h:
	* daemon/gvfsbackendftp.c: (ftp_connection_cd), (process_line),
	(run_list_command), (do_query_info), (do_enumerate):
	rewrite directory enumeration and query_info by using the LIST parsing
	code from Mozilla. It was the only code I could find that was LGPL
	licensed, even though it looks way out of date.
	Also, error messages are handled way better and the code even copes
	somewhat with symlinks.

2008-02-29  Bastien Nocera  <hadess@hadess.net>

	* daemon/gvfsbackendobexftp.c (_get_icon_from_type):
	Use better icons for the devices

2008-02-29  Bastien Nocera  <hadess@hadess.net>

	* daemon/gvfsbackendobexftp.c (_get_icon_from_type),
	(_get_type_from_class), (_get_device_properties),
	(do_mount): When getting the remote device's name, also get
	its class, so we can use device specific icons instead of the
	standard Bluetooth icon (Closes: #519369)

2008-02-29  Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsbackendftp.c: (ftp_error_set_from_response),
	(ftp_connection_parse_features), (ftp_filename_from_gvfs_path),
	(ftp_filename_to_gvfs_path), (ftp_filename_construct),
	(do_open_for_read), (do_create), (do_append), (do_replace),
	(do_set_display_name), (g_vfs_backend_ftp_class_init):
	introduce a differentiation between gvfs paths and ftp filenames and
	use it. Also implement set_display_name.

2008-02-29  Benjamin Otte  <otte@gnome.org>

	* common/gdbusutils.c: (dbus_source_add_watch):
	* daemon/dbus-gmain.c: (connection_setup_add_watch):
	use the right names for dbus version macros

2008-02-29  Bastien Nocera  <hadess@hadess.net>

	* daemon/gvfsbackendobexftp.c (is_connected), (do_mount),
	(do_open_for_read), (is_busy), (do_read), (do_query_info),
	(do_query_fs_info), (do_enumerate), (do_delete),
	(do_make_directory): Don't use a temporary error to set
	jobs as failed, use g_vfs_job_failed instead
	Error out properly when trying to open a directory for read

2008-02-29  Bastien Nocera  <hadess@hadess.net>

	* daemon/gvfsbackendobexftp.c (g_vfs_backend_obexftp_finalize),
	(_retrieve_folder_listing), (_query_file_info_helper),
	(do_open_for_read), (do_query_info), (do_query_fs_info),
	(do_enumerate), (do_delete): Use a convenience function
	to load directory listings, implement a simple cache there
	that keeps folder listings for 3 seconds (should speed up
	folder enumeration followed by info fetching, as well
	as checking for non-existant files)

2008-02-29  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsdaemonutils.[ch]:
	Rename gvfs_file_info_populate_names() to
	gvfs_file_info_populate_names_as_local() and
	add docs explaining when to use this function
	and when not to.

2008-02-29  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsdaemonutils.c:
	(gvfs_file_info_populate_content_types):
	Use g_content_type_get_icon() for the icon mapping.
	Use folder, not folder-remote for icon. I don't
	think we should use folder-remote for things like
	shares, not normal folders.

2008-02-29  Cosimo Cecchi  <cosimoc@gnome.org>

	* daemon/gvfsbackendcomputer.c: (recompute_files),
	(mount_volume_from_drive), (report_no_media_error),
	(poll_for_media_cb), (try_mount_mountable):
	Implement media polling for Computer backend, handling the case when
	no media is in the drive. Also adds a new string. (#514135)

2008-02-29  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	* daemon/gvfsbackendnetwork.c (g_vfs_network_daemon_init):

	Added another translator comment.

2008-02-29  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	* daemon/gvfsbackendftp.c (do_mount):

	Added translator comment.

2008-02-29  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	* daemon/gvfsbackendftp.c (g_vfs_backend_ftp_pop_connection):

	Reuse existing string to reduce the impact of the string
	freeze breaks.

2008-02-28  Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsbackendftp.c: (do_mount):
	actually translate the display name

2008-02-28  A. Walton  <awalton@svn.gnome.org>

	* daemon/gvfsbackendnetwork.c: (g_vfs_network_daemon_init):
	* daemon/gvfsbackendnetwork.h:
	Set the default name for the network backend to prevent
	possible confusion about "NETWORK Filesystem Service".

2008-02-28  Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsbackendftp.c: (do_mount):
	really check for errors correctly. I need to go to bed.

2008-02-28  Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsbackendftp.c: (do_mount):
	check for errors correctly

2008-02-28  Benjamin Otte  <otte@gnome.org>

	reviewed by: A. Walton  <awalton@svn.gnome.org>

	* daemon/daemon-main-generic.c: (main):
	* daemon/daemon-main.c: (daemon_setup):
	* daemon/daemon-main.h:
	* daemon/gvfsbackendcdda.c: (g_vfs_cdda_daemon_init):
	* daemon/gvfsbackendcdda.h:
	* daemon/gvfsbackendsmb.c: (g_vfs_smb_daemon_init):
	* daemon/gvfsbackendsmb.h:
	* daemon/gvfsbackendsmbbrowse.c: (g_vfs_smb_browse_daemon_init):
	* daemon/gvfsbackendsmbbrowse.h:
	provide default application names for the daemons. This is necessary
	to avoid gnome-keyring from saying "Application" wants access to the
	keyring, which could sound very evil for a casual user.
	Adds some more strings for the poor translators, too!

2008-02-28  Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsbackendftp.c: (do_mount), (try_mount):
	rewrite login code to use the keyring if available. Also fix mount
	specs to be unique and display names to list the user while at it.

2008-02-28  A. Walton  <awalton@svn.gnome.org>

	* daemon/Makefile.am:
	Really disable FTP if we don't HAVE_HTTP.

2008-02-28  A. Walton  <awalton@svn.gnome.org>

	* daemon/gvfsbackendnetwork.c: (recompute_files):
	Fixup DNS-SD exposed links to actually link to the service provided.

2008-02-28  Christian Kellner  <gicmo@gnome.org>

	* daemon/gvfsbackenddav.c (g_vfs_backend_dav_init):
	Mark the dav backend as user visible.

2008-02-28  Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsbackendftp.c: (ftp_connection_create),
	(ftp_connection_login), (ftp_connection_use), (ftp_connection_new):
	split out login code, so we can try multiple auths when some fail.

2008-02-28  Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsdaemonutils.c: (gvfs_file_info_populate_default),
	(gvfs_file_info_populate_names),
	(gvfs_file_info_populate_content_types):
	* daemon/gvfsdaemonutils.h:
	add functions that are supposed to set default values on a remote file
	info structure, so we don't duplicate the code across multiple
	backends.

	* daemon/gvfsbackendftp.c: (ftp_error_set_from_response),
	(ftp_connection_new), (file_info_get_flags), (file_info_query):
	use it.

2008-02-28  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonvolumemonitor.c:
	(mount_added):
	(mount_removed):
	Emit signals outside of the lock to avoid
	deadlocks (#519250)

2008-02-28  Bastien Nocera  <hadess@hadess.net>

	* daemon/gvfsbackendobexftp-fl-parser.c (fl_parser_start_node_cb):
	Fix the content-type of directories (inode/directory, not
	x-directory/normal as in gnome-vfs)
	Set file icons from the content-type

	* daemon/gvfsbackendobexftp.c (_change_directory):
	Add a FIXME, trying to change to a non-existant directory
	errors out with "permission denied", which isn't the case

	(_query_file_info_helper): set the right content-type and icon
	for the root folder

	(is_connected), (do_mount): Wait until we're connected to exit from
	do_mount()

	(do_open_for_read): Fix a crash when opening an inexistant file for
	read

2008-02-28  Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsbackendftp.c: (ftp_error_set_from_response),
	(file_info_query), (do_query_info):
	Set sane error messages for ftp error codes.
	Also remove some excessive debug messages.

2008-02-28  Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsbackendftp.c: (do_mount):
	fix typo (thanks Andre)

2008-02-28  Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsbackendftp.c: (ftp_connection_sendv),
	(ftp_connection_send), (do_start_write), (do_create), (do_append),
	(do_replace), (g_vfs_backend_ftp_class_init):
	implement append

2008-02-28  Benjamin Otte  <otte@gnome.org>

	gcc warning fixes to be able to compile with -Werror:
	* daemon/gvfsbackendburn.c:
	mark virtual_node_ref as unused, because it is
	* test/benchmark-common.c: (benchmark_timeout):
	signal handlers take an int argument.

2008-02-28  Benjamin Otte  <otte@gnome.org>

	* configure.ac:
	list FTP in configuration summary, too

2008-02-28  Benjamin Otte  <otte@gnome.org>

	* daemon/Makefile.am:
	* daemon/gvfsbackendftp.c:
	* daemon/gvfsbackendftp.h:
	drop my current FTP code and continue development in here. Should make
	testing easier for adventurous people.

2008-02-28  Bastien Nocera  <hadess@hadess.net>

	* daemon/gvfsbackendobexftp.c (do_query_info): Add
	missing mutex unlock, duh!

2008-02-28  Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsjobenumerate.c: (g_vfs_job_enumerate_add_infos):
	* daemon/gvfsjobenumerate.h:
	constify list argument, so ownership is apparent.

2008-02-28  Bastien Nocera  <hadess@hadess.net>

	* daemon/gvfsbackendobexftp-fl-parser.c (fl_parser_start_node_cb):
	Set the content-type on files by having a good guess if we didn't
	get a mime-type from the folder listings

2008-02-27  Benjamin Otte  <otte@gnome.org>

	* programs/gvfs-mount.c: (prompt_for):
	don't mess up my terminal when entering passwords

2008-02-27  Bastien Nocera  <hadess@hadess.net>

	* client/test-uri-utils.c: add test for obex URIs
	* configure.ac: Require expat for the obexftp backend
	* daemon/Makefile.am:
	* daemon/gvfsbackendobexftp-cap-parser.c:
	* daemon/gvfsbackendobexftp-cap-parser.h:
	* daemon/gvfsbackendobexftp-fl-parser.c:
	* daemon/gvfsbackendobexftp-fl-parser.h:
	Added ObexFTP folder listing and capability parser from
	gnome-vfs-obexftp, ported to gio

	* daemon/gvfsbackendobexftp.c:
	* daemon/gvfsbackendobexftp.h:
	* daemon/obexftp-marshal.list:
	* daemon/obexftp.mount.in: Add read-only ObexFTP backend

	(Closes: #509621)

2008-02-27  Luca Ferretti  <elle.uca@libero.it>

	* daemon/gvfsbackendcdda.c: (do_query_info):
	Make "file don't exist" message conform to other backends;
	no, it isn't a string freeze break, the message yet exists
	elsewhere.

2008-02-27  Benjamin Otte  <otte@gnome.org>

	* common/gmountsource.c: (g_mount_source_ask_question_finish):
	Set out parameters for questions, too.

2008-02-27  Benjamin Otte  <otte@gnome.org>

	* common/gmountsource.c: (g_mount_source_ask_password_finish):
	Set out parameters even in error case.

2008-02-26  Christian Kellner  <gicmo@gnome.org>

	* daemon/gvfsbackenddav.c: (do_delete):
	Correct error domain in case delete failed.

2008-02-26  Christian Kellner  <gicmo@gnome.org>

	* daemon/gvfsbackenddav.c:
	Redo authentication and implement keyring support. Based
	on a patch by Carlos Garcia Campos.

2008-02-26  Alexander Larsson  <alexl@redhat.com>

	* programs/gvfs-bash-completion.sh:
	* programs/gvfs-ls.c:
	Better completion

2008-02-26  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsjobmount.c (run):
	No need to ref backend specifically now, as
	the core refs the job and the job refs the
	backend. Revert that change.

2008-02-26  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsjob.c:
	(g_vfs_job_run):
	(g_vfs_job_try):
	Ref job while calling out.

	* daemon/gvfsjobmount.c:
	Own ref to backend while job is alive.

2008-02-26  Carlos Garcia Campos  <carlosgc@gnome.org>

	* daemon/gvfsbackendsmb.c: (auth_callback):
	Fix parameters order in keyring lookup call.

2008-02-26  Yanko Kaneti  <yaneti@declera.com>

	* configure.ac: explicitly depend on libxml-2.0
	for building the dav backend.

2008-02-26  Benjamin Otte  <otte@gnome.org>

	* common/gmountsource.c: (ask_password_reply),
	(g_mount_source_ask_password_async), (ask_question_reply),
	(g_mount_source_ask_question_async):
	make errors say "Internal Error" instead of failing

2008-02-26  Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsjobmount.c: (run), (try):
	use ref/unref pair to stop backend from going away when the mount
	fails

2008-02-26  Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsjobmount.c: (mount_failed):
	no g_warning for failed monts, please

2008-02-26  Benjamin Otte  <otte@gnome.org>

	* daemon/gvfsjob.c: (g_vfs_job_failed_from_error):
	* daemon/gvfsjob.h:
	make the error argument const

2008-02-26  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonvolumemonitor.c:
	Use standard lock instead of recursive lock.

2008-02-25  David Zeuthen  <davidz@redhat.com>

	* configure.ac: fix typo in AC_ARG_ENABLE for gphoto2

2008-02-25  Alexander Larsson  <alexl@redhat.com>

	* common/gdbusutils.c:
	* daemon/dbus-gmain.c:
	Only use dbus_watch_get_unix_fd for
	dbus >= 1.1.1

2008-02-25  Alexander Larsson  <alexl@redhat.com>

	* configure.ac:
	Post release version bump

=== gvfs 0.1.8 ===

2008-02-25  Alexander Larsson  <alexl@redhat.com>

	* programs/Makefile.am (EXTRA_DIST):
	Add gvfs-bash-completion.sh

	* NEWS:
	Update for release

2008-02-25  Carlos Garcia Campos  <carlosgc@gnome.org>

	* daemon/gvfsbackendsftp.c:
	* daemon/gvfsbackendsmb.c:
	Update to gvfskeyring api changes

	* daemon/gvfskeyring.c:
	* daemon/gvfskeyring.h:
	Add object, authtype and port parameters for both save and
	lookup.

2008-02-25  Christian Kellner  <gicmo@gnome.org>

	* daemon/gvfsbackenddav.c:
	Initial take on implementing delete.

	* daemon/gvfsbackendhttp.c:
	* daemon/gvfsbackendhttp.h:
	Add http_error_code_from_status helper function.

2008-02-25  Christian Kellner  <gicmo@gnome.org>

	* daemon/gvfsbackenddav.c:
	Also check if the URL is a directory by doing a PROPFIND in
	addition to the OPTIONS. That will also force authentication
	since some servers (e.g. Zope) allow OPTIONS without doing
	authentication.

2008-02-25  Alexander Larsson  <alexl@redhat.com>

	* client/sftpuri.c:
	Make sure both no-port and port 22 refer to the same mount.

	* daemon/gvfsbackendsftp.c:
	Support ports. (#518504)

2008-02-25  Christian Kellner  <gicmo@gnome.org>

	* daemon/gvfsbackenddav.c:
	Keep the SoupMessage around for as long as Multistatus is
	valid.

2008-02-25  Christian Kellner  <gicmo@gnome.org>

	* daemon/gvfsbackenddav.c:
	* daemon/gvfsbackendhttp.c:
	* daemon/gvfsbackendhttp.h:
	Add a SoupSessionAsync to be used for SoupInputStream doesn't
	yet work with SoupSessionSync. Also make sure we share
	authentication.

2008-02-25  Christian Kellner  <gicmo@gnome.org>

	* daemon/gvfsbackenddav.c:
	- Port the mount operation to use the sync i/op.
	- Keep the auth information around so we can use them again in
	the case that a subpath requires different authentication. This
	is needed since libsoup will forgot all auth after a 401.
	- Ignore trailing slashes in ms_response_is_target ().
	- Add an initial version of make_directory ().
	* daemon/gvfsbackendhttp.c:
	* daemon/gvfsbackendhttp.h:
	Add message_new_from_filename_full which will add a trailing "/"
	if is_dir is true. (Saves uneccesary redirects in some cases)

	Various bits and pieces came from Yann Rouillard.

2008-02-25  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendsmb.c:
	Support gnome-keyring (#511517)
	Patch from Carlos Garcia Campos

2008-02-25  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendnetwork.c (recompute_files):
	Fix spelling inconsistency "Network" vs "network" (#518487)

2008-02-25  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonvfs.c (get_mountspec_from_uri):
	g_uri_get_scheme -> g_uri_parse_scheme

2008-02-25  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	* hal/ghalvolume.c (do_update_from_hal_for_camera): Add
	two translator comments.

2008-02-24  David Zeuthen  <davidz@redhat.com>

	* client/gdaemonfile.c:
	* client/gdaemonvolumemonitor.c:
	* client/gdaemonvolumemonitor.h: Prefer to return a GDaemonMount
	from an existing GDaemonVolumeMonitor rather than rolling our own
	for GDaemonFile's g_file_find_enclosing_mount()
	implementation. This is to ensure that g_mount_get_volume() will
	work properly with mounts that are adopted by GVolume objects from
	other volume monitors.

	* configure.ac: Check for libgphoto2

	* daemon/Makefile.am:
	* daemon/gvfsbackendcdda.c: Use HAL to detect when the disc is
	removed and then forcibly unmount the mount. Report size of
	disc. Hint the file manager to preview files.

	* hal/ghaldrive.c:
	* hal/ghalmount.c:
	* hal/ghalvolume.c:
	* hal/ghalvolumemonitor.c:
	* hal/ghalvolumemonitor.h:
	* hal/hal-pool.c: Ensure that audio and blank CD's are
	displayed (#514139).  Read info.desktop.[icon|name] properties
	from hal and use these if found. Use proper icon for audio players
	and make the gphoto2 detection support it as well. Also check for
	subsystem when filtering on hal capabilities. Also revert the
	commit to ignore NFS mounts as gio will now only report an user
	visible mount if it's in /media or $HOME. Make LUKS encrypted
	volumes work.

	* daemon/Makefile.am:
	* daemon/gphoto2.mount.in:
	* daemon/gvfsbackendgphoto2.c:
	Land the gphoto2 backend.

	* programs/Makefile.am:
	* programs/gvfs-ls.c: Make the --hidden option work. Default
	to short listing and add a --long option. Implement new options
	--show-completions and --show-mounts that can be used for
	shell completions.
	* programs/gvfs-tree.c: New program
	* programs/gvfs-bash-completion.sh: Bash completion for gvfs;
	uses the new --show-completions and --show-mounts options in
	gvfs-ls.

2008-02-25  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendnetwork.c:
	Add monitoring of inlined locations. (#509600)
	Patch from A. Walton

2008-02-22  A. Walton  <awalton@svn.gnome.org>

	* daemon/gvfsbackendnetwork.c: (recompute_files):
	Make network:// really add extra domain links.

2008-02-22  A. Walton  <awalton@svn.gnome.org>

	* daemon/gvfsbackendnetwork.c: (recompute_files):
	Fix typo so we generate correct dns-sd links.

2008-02-22  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendnetwork.c:
	(g_vfs_backend_network_init):
	Fix up dns-sd method name and gconf directory.

2008-02-22  Alexander Larsson  <alexl@redhat.com>

	* daemon/dns-sd.mount.in:
	Correct type and exec name

2008-02-22  Alexander Larsson  <alexl@redhat.com>

	* common/gmounttracker.c:
	Unlock lock if returning early.

2008-02-22  Alexander Larsson  <alexl@redhat.com>

	* configure.ac:
	* daemon/Makefile.am:
	* daemon/dns-sd.mount.in:
	* daemon/gvfsbackenddnssd.[ch]:
	Landed initial version of dns-sd backend.

2007-02-22  Christian Neumair  <cneumair@gnome.org>

	* gconf/gconf-module.c: (g_io_module_load):
	* gconf/Makefile.am:
	* hal/hal-module.c: (g_io_module_load):
	* hal/Makefile.am:
	* client/gdaemonvfs.c: (g_daemon_vfs_init):
	* client/Makefile.am:
	Bind to GVFS text domain. Fixes #517892.

2008-02-22  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendnetwork.c:
	Fix up network_file_equal.

2008-02-22  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendnetwork.c:
	Update the network backend to use inline files and
	remove the default workgroup link. Also add dns-sd
	support (not used yet). (#509600)
	Patch from A. Walton

2008-02-22  Carlos Garcia Campos  <carlosgc@gnome.org>

	* daemon/gvfsbackendsftp.c: (handle_login), (do_mount):
	Ask for the username in the sftp login when it's not
	provided. (#511509)

2008-02-21  Christian Persch  <chpe@gnome.org>

	* configure.ac: Update hal req to 0.5.10. Bug #515779.

2008-02-21  Carlos Garcia Campos  <carlosgc@gnome.org>

	* daemon/gvfsbackendsftp.c: (handle_login):
	Fix memory leak.

2008-02-21  Carlos Garcia Campos  <carlosgc@gnome.org>

	* daemon/gvfsbackendsftp.c: (handle_login):
	Fix password save flags initialization.

2008-02-21  Alexander Larsson  <alexl@redhat.com>

	* configure.ac (DISTCHECK_CONFIGURE_FLAGS):
	Require latest glib for the contains_file
	change.

2008-02-21  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonfile.c:
	(g_daemon_file_prefix_matches):
	(g_daemon_file_file_iface_init):
	Update for the contains_file rename in gio.

2008-02-20  Alexander Larsson  <alexl@redhat.com>

	* daemon/Makefile.am:
	* daemon/gvfsbackendsmb.c:
	* daemon/gvfsbackendsmbbrowse.c:
	If gconf availible, initialize default workgroup
	from gconf.
	Handle X-GNOME-DEFAULT-WORKGROUP special case
	to list the current workgroup

2008-02-20  Alexander Larsson  <alexl@redhat.com>

	* daemon/daemon-main.c (send_spawned):
	Fix "_" spew.

2008-02-20  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendsftp.c:
	Fix spelling in string

2008-02-20  Alexander Larsson  <alexl@redhat.com>

	* common/gmountsource.[ch]:
	Add ask_question support

	* daemon/gvfsbackendsftp.c:
	Handle host identity changed messages (#517460)

	Patch from Carlos Garcia Campos

2008-02-20  Alexander Larsson  <alexl@redhat.com>

	* daemon/Makefile.am:
	* daemon/gvfsbackendnetwork.[ch]:
	* daemon/network.mount.in:
	Initial network backend work (#509600)

2008-02-19  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendsftp.c:
	Authentication fixups (#511517)
	Patch from Carlos Garcia Campos

2008-02-19  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendsftp.c:
	* daemon/gvfsbackendtrash.c:
	* gconf/gapplookupgconf.c:
	* test/benchmark-common.c:
	Some more cleanup.

2008-02-19  Alexander Larsson  <alexl@redhat.com>

	* lots of *.c files:
	Code cleanup from Kjartan:
	Removes unused code/variables.
	Uses right printf types
	Uses non-deprecated dbus calls.
	Removes spurious ; and ,
	deleted extra checks for NULL for g_free

2008-02-18  Alexander Larsson  <alexl@redhat.com>

	* hal/ghalmount.c:
	Cleanups of case insensitive search. (#154549)
	patch from John Millikin.

2008-02-18  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsjobenumerate.c (g_vfs_job_enumerate_add_info):
	Ensure we're using "/" as separator for uris.
	This only affects win32, which probably doesn't work atm, but
	still its nice to be explicit.

2008-02-18  Alexander Larsson  <alexl@redhat.com>

	* configure.ac:
	Detect gnome-keyring

	* common/gmountsource.[ch]:
	Add password out to ask_password

	* daemon/Makefile.am:
	* daemon/gvfskeyring.[ch]:
	Helper code for keyring support

	* daemon/gvfsbackendsftp.c:
	Add keyring support

	* daemon/gvfsbackenddav.c:
	* daemon/gvfsbackendsmb.c:
	Update to api changes

	This is the initial work on keyring support (#511517)
	Patch from Carlos Garcia Campos

2008-02-16  Christian Kellner  <gicmo@gnome.org>

	* daemon/gvfsbackenddav.c:
	* daemon/gvfsbackendhttp.c:
	* daemon/soup-input-stream.c:
	* daemon/soup-output-stream.c:
	Use SoupSessionSync instead of SoupSessionAsync and
	convert SoupStreams and authentication logic.

2008-02-15  Christian Kellner  <gicmo@gnome.org>

	* daemon/gvfsjobenumerate.c:
	Fix a little crasher (NULL terminate g_build_filename) that
	was introduced by the optional uri addition change to enumerate.

2008-02-15  Christian Kellner  <gicmo@gnome.org>

	* daemon/gvfsbackenddav.c:
	Completly redo Multistatus parsing.

2008-02-15  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonfile.c:
	Pass uri in query_info_async too.

2008-02-15  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonfile.c:
	Pass an optional uri to query_info and enumerate

	* daemon/gvfsbackend.[ch]:
	Add automatic info filling, implement thumbnail
	checking if uri passed in.

	* daemon/gvfsjobenumerate.[ch]:
	* daemon/gvfsjobqueryinfo.[ch]:
	Get optional uri argument.
	Call automatic backend info filling.

2008-02-15  Christian Kellner  <gicmo@gnome.org>

	* daemon/gvfsbackendhttp.c: (g_vfs_backend_uri_for_filename):
	Escape the filename.

2008-02-14  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendcomputer.c:
	If lookup returns NULL it already set the error.
	Handle this in all callers.

2008-02-14  Alexander Larsson  <alexl@redhat.com>

	* daemon/Makefile.am:
	Disable install of ftp.mount for now

2008-02-14  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfschannel.c:
	Fix case where current_job has died (NULL) but
	the current_job_seq_nr was left and matched
	a sent cancel op. (#515959)

2008-02-13  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendsmb.c (do_read):
	Limit smb reads to 65535 bytes to avoid issues on
	large reads.

2008-02-13  Ryan Lortie  <desrt@desrt.ca>

	* daemon/gvfsbackendtrash.c:
	Keep track of the number of top level items in the trash.
	Expose this value via the trash::item-count attribute.

2008-02-13  Alexander Larsson  <alexl@redhat.com>

	* hal/ghalmount.c:
	Don't show nfs mounts (#516036)

2008-02-12  Alexander Larsson  <alexl@redhat.com>

	* hal/ghalvolumemonitor.c (g_hal_volume_monitor_finalize):
	Don't double free list optical disc list.

2008-02-11  Alexander Larsson  <alexl@redhat.com>

	* configure.ac:
	Post release version bump

=== gvfs 0.1.7 ===

2008-02-11  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

2008-02-11  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendtrash.c:
	Set the correct copy name.
	Set description.

2008-02-11  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendsmb.c:
	(do_set_display_name):
	Fix typo: get_dirname, not get_basename.
	Fixes renames on smb (#514126)

2008-02-11  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendsftp.c:
	Set new path in set_display name.

	* daemon/gvfsjobsetdisplayname.c:
	Assert that new_path is set

2008-02-11  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonfile.c:
	* client/gdaemonfileinputstream.c:
	* client/gdaemonfileoutputstream.c:
	* common/gsysutils.c:
	* common/gvfsdaemonprotocol.c:
	* daemon/gvfsbackendburn.c:
	* daemon/gvfsbackendcdda.c:
	* daemon/gvfsbackenddav.c:
	* daemon/gvfsbackendsftp.c:
	* daemon/gvfsbackendsmb.c:
	* daemon/gvfsbackendsmbbrowse.c:
	* daemon/gvfsbackendtest.c:
	* daemon/gvfsdaemonutils.c:
	* daemon/gvfsjob.c:
	* daemon/mount.c:
	* daemon/pty_open.c:
	Save errno befor making other calls.
	Be safe when calling g_set_error()
	Patch from Christian Persch (#514822)

2008-02-11  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonfile.c:
	* daemon/gvfsbackendcomputer.c:
	* hal/ghalvolume.c:
	* programs/gvfs-mount.c:
	Update for the new mount flag argument.

	* hal/ghaldrive.c:
	* programs/gvfs-open.c:
	Fix warnings

2008-02-10  Luca Ferretti  <elle.uca@libero.it>

	* daemon/gvfsbackendburn.c: (g_vfs_backend_burn_init),
	(file_info_from_node):
	Rename burn:// with old "CD/DVD Creator" name.

	* daemon/gvfsbackendtrash.c: (g_vfs_backend_trash_init),
	(do_query_info):
	Rename trash:// with old "Trash" name.

2008-02-08  Alexander Larsson  <alexl@redhat.com>

	* hal/ghalvolume.c:
	Implement g_volume_should_automount.

2008-02-08  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendcomputer.c:
	Add "filesystem" to computer:

	* hal/ghalmount.c:
	Remove spew

2008-02-08  Alexander Larsson  <alexl@redhat.com>

	* hal/ghalmount.c:
	Try to find cdrom icons from autorun.inf.
	Based on patch from John Millikin

2008-02-08  Alexander Larsson  <alexl@redhat.com>

	* common/gvfsdaemonprotocol.c:
	Fix up indentation
	Don't unref file from g_file_icon_get_file().

2008-02-08  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendtrash.c:
	Always set CAN_TRASH to false

2008-02-08  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendtrash.c (unescape_pathname):
	Handle unescaping __ correctly (#514040)

2008-02-06  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendsftp.c:
	* daemon/gvfsbackendsmb.c:
	Ensure name is set in query_info (#511601)
	Clean up setting display name of /

2008-02-05  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonvolumemonitor.c (mount_removed):
	Don't spew warnings when hidden mounts are unmounted.

2008-02-05  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendtrash.c:
	(do_query_info):
	Correctly set the name for toplevel items.

2008-02-04  Tomas Bzatek  <tbzatek@redhat.com>

	* daemon/gvfsjobmakesymlink.c:
	Wrong symlink target passed to backend

2008-02-04  Alexander Larsson  <alexl@redhat.com>

	* README:
	Add some info in README

2008-02-04  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendsftp.c:
	Make name of sftp root be "/ on <host>" (#511515)

2008-02-04  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendsftp.c:
	* daemon/gvfsdaemonutils.c:
	* hal/ghalvolume.c:
	Cleanup i18n strings (#510192)

2008-02-04  Alexander Larsson  <alexl@redhat.com>

	* common/gvfsdaemonprotocol.h:
	* client/gdaemonfileinputstream.c:
	* client/gdaemonfileoutputstream.c:
	* daemon/gvfsreadchannel.c:
	* daemon/gvfswritechannel.c:
	Remove SEEK_CUR from channel protocol. This
	doesn't work with readahead, and can be converted
	to a SEEK_SET since we know the file position on
	the client side.

2008-02-04  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonfileinputstream.c:
	* client/gdaemonfileoutputstream.c:
	Init seq_nr to 1 so that seq_nr 0 is special
	(used for e.g. readahead ops)

	* daemon/gvfschannel.[ch]:
	* daemon/gvfsreadchannel.c:
	Implement readahead.

2008-02-03  Christian Kellner  <gicmo@gnome.org>

	* daemon/gvfsbackenddav.c:
	* daemon/gvfsbackendhttp.c:
	Move write logic (replace, create) to the dav backend.

2008-02-01  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsreadchannel.c:
	Request larger buffers than the client requested
	so for better network efficiency. (#512472)

2008-02-01  Alexander Larsson  <alexl@redhat.com>

	* programs/gvfs-open.c:
	Pass on uris unmodified to avoid roundtripping
	through GFile which can be destructive.

2008-01-31  Alexander Larsson  <alexl@redhat.com>

	Implement uri navigation for http uris (#509341)

	* client/gvfsurimapper.[ch]:
	Add get_mount_info_for_path method for mount types
	like ssh that change MountInfo as the path changes.

	* client/httpuri.c:
	Implement get_mount_info_for_path.
	For http, set the path from the uri.
	The will be removed on i/o by the corresponding
	path being in the mount_prefix.

	* daemon/gvfsbackendhttp.c:
	Set mount_prefix to path from uri.
	Remove unused code in message_new_from_filename

	* client/gdaemonfile.c:
	* client/gdaemonvfs.[ch]:
	Use the new uri mapper function to change GMountInfo
	as the path changes.

2008-01-31  Alexander Larsson  <alexl@redhat.com>

	* common/gmountspec.[ch]:
	Add shared path canonicalization:
	g_mount_spec_canonicalize_path()

2008-01-31  Alexander Larsson  <alexl@redhat.com>

	* daemon/soup-input-stream.c:
	Handle errors in send_finish.

2008-01-30  Tomas Bzatek  <tbzatek@redhat.com>

	* daemon/gvfsbackendlocaltest.c:
	Use read/write operations instead of do_copy ()

2008-01-30  Alexander Larsson  <alexl@redhat.com>

	* client/gvfsfusedaemon.c:
	Set read and execute privs for all directories.
	Fix up type when reading can-read etc attributes.
	Don't use uid/gid in the fuse mount. The
	uid/gid doesn't make sense locally anyway.

2008-01-30  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackend.c:
	(g_vfs_backend_register_mount):
	Correctly detect unset stable name

2008-01-29  Tomas Bzatek  <tbzatek@redhat.com>

	* daemon/gvfsbackendlocaltest.c:
	Fixed error handling in do_enumerate ()
	More cleanup

2008-01-29  Alexander Larsson  <alexl@redhat.com>

	* Makefile.am:
	* configure.ac:
	* gconf/Makefile.am: Added.
	* gconf/gapplookupgconf.[ch]: Added.
	* gconf/gconf-module.c: Added.
	Add gconf based implementation of
	g_app_info_get_default_for_uri_scheme ()

2008-01-29  Alexander Larsson  <alexl@redhat.com>

	* hal/ghalvolumemonitor.c (g_hal_volume_monitor_class_init):
	Remove setting prio/name

2008-01-29  Alexander Larsson  <alexl@redhat.com>

	* configure.ac:
	Require glib 2.15.5 for g_file_query_default_handler ().

	* programs/Makefile.am:
	* programs/gvfs-open.c:
	Added gvfs-open app

2008-01-29  Alexander Larsson  <alexl@redhat.com>

	* configure.ac:
	Post release version bump

=== gvfs 0.1.6 ===

2008-01-29  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

	* daemon/Makefile.am:
	Always dist all .mount.in files

2008-01-28  Alexander Larsson  <alexl@redhat.com>

	* configure.ac:
	Post release version bump

=== gvfs 0.1.5 ===

2008-01-28  Alexander Larsson  <alexl@redhat.com>

	* daemon/daemon-main.c:
	* daemon/main.c:
	Include locate.h for setlocale

2008-01-28  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

2008-01-28  Alexander Larsson  <alexl@redhat.com>

	* hal/hal-device.c:
	Use gi18n-lib.h, not gi18n.h in client side code.

2008-01-28  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonfile.c (g_daemon_file_move):
	Fix typo G_DAEMON_FILE -> G_IS_DAEMON_FILE

	* configure.ac:
	Require glib >= 2.15.4

	* client/gdaemonvfs.c:
	* client/gdaemonvolumemonitor.c:
	* hal/ghalvolumemonitor.c:
	Register with the new extension points API.

2008-01-28  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendlocaltest.c:
	* programs/gvfs-cat.c:
	C89 fixes from Jens Granseuer (#511838)

2008-01-28  Alexander Larsson  <alexl@redhat.com>

	* daemon/Makefile.am:
	* daemon/daemon-main.c:
	* daemon/main.c:
	Enable translations for daemons and some l10n
	fixes. Patch from Luca Ferretti.

2008-01-24  Matthias Clasen  <mclasen@redhat.com>

	* daemon/gvfsbackendsmbbrowse.c
	(get_file_info_from_entry): Replace : by :: in
	smb::comment, too.

2008-01-24  Alexander Larsson  <alexl@redhat.com>

	* configure.ac:
	Update intltool req for po/LINGUAS

2008-01-24  Alexander Larsson  <alexl@redhat.com>

	* hal/ghalvolumemonitor.c:
	Remove debug spew.

	* hal/ghaldrive.c:
	* hal/ghalvolume.c:
	Implement identifier getters

	* programs/gvfs-mount.c:
	Show identifiers

2008-01-24  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsdaemon.c:
	Indentation fix

	* hal/ghaldrive.[ch]:
	* hal/hal-device.c:
	* hal/ghalvolume.c:
	* hal/ghalmount.c:
	Clean up coding style

	* hal/ghalvolumemonitor.[ch]:
	Clean up coding style
	Don't show drives if we're ignoring all their
	volumes (and there are volumes)

	* hal/hal-pool.c:
	Clean up coding style
	Actually look at cap_only.
	Free private dbus_connection on error

2008-01-24  Bastien Nocera  <hadess@hadess.net>

	* programs/Makefile.am:
	* programs/gvfs-mkdir.c: (main): Add a test mkdir program

2008-01-23  Bastien Nocera  <hadess@hadess.net>

	* client/test-uri-utils.c: (main):
	* client/Makefile.am: Add test program for the
	functions in gvfsuriutils.c

	* client/gvfsuriutils.c: (g_vfs_decode_uri):
	Fix parsing of IPv6 URIs where the host is in brackets

2008-01-23  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendtrash.c:
	(add_extra_trash_info):
	Use -, not _ in attribute names

2008-01-23  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendtrash.c:
	(add_extra_trash_info):
	Use :: to delimit namespace for trash attributes

2008-01-22  Gil Forcada  <gforcada@gnome.org>

	* configure.ac: Added ca to ALL_LINUGAS.

2008-01-22  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendsftp.c:
	Ensure we return a IS_DIRECTORY error when
	we open a file for reading (#511225)
	The same needs to happen for writes.

2008-01-21  Alexander Larsson  <alexl@redhat.com>

	* configure.ac:
	Post release version bump

=== gvfs 0.1.4 ===

2008-01-21  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

2008-01-21  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonfile.c:
	* client/sftpuri.c:
	* common/gmounttracker.c:
	* daemon/gvfsmonitor.c:
	* daemon/gvfsbackend.c:
	Fix warnings

	* daemon/gvfsbackendburn.c:
	* daemon/gvfsbackendlocaltest.c:
	* daemon/gvfsbackendtrash.c:
	Update to latest gio API (removal of
	duplicate GSeekable calls).

2008-01-21  Alexander Larsson  <alexl@redhat.com>

	* configure.ac:
	Post release version bump

=== gvfs 0.1.3 ===

2008-01-21  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

	* daemon/Makefile.am:
	* daemon/main.c:
	Autospawn fuse on daemon start.

	* daemon/mount.c:
	(read_mountable_config):
	Remove debug spew

2008-01-21  Alexander Larsson  <alexl@redhat.com>

	* client/gvfsfusedaemon.c:
	Fix error with the names of the root items the
	fuse mount.

2008-01-21  Alexander Larsson  <alexl@redhat.com>

	* daemon/mount.c:
	Reload the list of mountables on SIGUSR1

2008-01-21  Christian Kellner  <gicmo@gnome.org>


	* daemon/gvfsbackenddav.c:
	Small cleanups.

	* daemon/gvfsbackendhttp.c:
	* daemon/gvfsbackendhttp.h:
	Implement query_info for plain http.

2008-01-21  Alexander Larsson  <alexl@redhat.com>

	* client/Makefile.am:
	* client/gdaemonvfs.c:
	* client/sftpuri.c: Added.
	Added sftp uri mapper that aliases ssh: to sftp: (#509860)

	* client/smburi.c:
	(smb_from_uri):
	Fix leak.

2008-01-21  Alexander Larsson  <alexl@redhat.com>

	* common/gmounttracker.c:
	Do the initial mount tracker call sync so that
	the volume monitor is populated with the current
	status after construction. This is more in-line
	with what apps expect.

2008-01-18  Alexander Larsson  <alexl@redhat.com>

	* common/gmountspec.c:
	(g_mount_spec_new_from_data):
	Ensure that mount_prefix is never NULL. It
	should be "/" in that case.

2008-01-18  Luca Ferretti  <elle.uca@libero.it>

	* programs/Makefile.am:
	* programs/gvfs-cat.c: (cat), (main):
	Add i18n/l10n to gvfs-cat, plus indentation. For details see
	http://mail.gnome.org/archives/gnome-vfs-list/2008-January/msg00020.html

2008-01-18  David Zeuthen  <davidz@redhat.com>

	The volume monitor bits of gphoto2 support. The actual backend
	will follow later. Right now the code is only enabled on Linux,
	need trivial changes to work on other operating systems.

	* hal/ghalvolume.c: (do_update_from_hal_for_camera),
	(update_from_hal), (g_hal_volume_new):
	* hal/ghalvolumemonitor.c: (get_hal_pool),
	(g_hal_volume_monitor_finalize), (get_volumes),
	(mountpoints_changed), (mounts_changed),
	(g_hal_volume_monitor_force_update), (hal_changed),
	(g_hal_volume_monitor_constructor), (find_camera_volume_by_udi),
	(update_cameras):
	* hal/ghalvolumemonitor.h:
	* hal/hal-pool.c: (hal_pool_finalize), (has_cap_only),
	(hal_pool_add_device_by_udi),
	(hal_pool_add_device_by_udi_and_properties), (hal_pool_new):
	* hal/hal-pool.h:

2008-01-17  Christian Kellner  <gicmo@gnome.org>

	* daemon/gvfsbackenddav.c:
	Disconnect signal handler, since the data struct we pass
	into the signal handler will be invalid after the mount
	is finished.

2008-01-17  Christian Kellner  <gicmo@gnome.org>

	* common/gmountsource.c:
	* common/gmountsource.h:
	Make g_mount_source_ask_password_async () public and add
	g_mount_source_ask_password_finish ().

	* daemon/gvfsbackenddav.c:
	Use g_mount_source_ask_password_async instead of the sync
	version so we don't hang during auth. Few cleanups.

	* programs/gvfs-mount.c:
	Don't echo the password, if possible.

2008-01-17  Alexander Larsson  <alexl@redhat.com>

	* hal/ghalvolume.c:
	* hal/ghalvolumemonitor.c:
	Initial work on LUKS, from david.

2008-01-17  Alexander Larsson  <alexl@redhat.com>

	* common/gvfsdaemonprotocol.h:
	* client/gdaemonfile.c:
	Add upload operation (requires latest glib)

	* daemon/gvfsbackend.[ch]:
	* daemon/gvfsjobupload.[ch]: Added.
	Implement upload in daemon

	* daemon/Makefile.am:
	* daemon/burn.mount.in: Added.
	* daemon/gvfsbackendburn.[ch]: Added.
	Added initial burn:/// implementation.
	Not fully implemented, but read works.

	* daemon/gvfsbackendcomputer.c:
	Ensure we set right mimetype for dirs

2008-01-16  Christian Kellner  <gicmo@gnome.org>

	* daemon/gvfsbackenddav.c:
	* daemon/gvfsbackendhttp.c:
	* daemon/gvfsbackendhttp.h:
	A few cleanups.

2008-01-16  Christian Kellner  <gicmo@gnome.org>

	* daemon/gvfsbackenddav.c:
	* daemon/gvfsbackendhttp.c:
	* daemon/gvfsbackendhttp.h:
	* daemon/soup-input-stream.c:
	* daemon/soup-output-stream.c:
	Port to libsoup-2.4.

	* configure.ac:
	* daemon/Makefile.am:
	Make building of http optional (and depend on wether
	libsoup is found or not)
	Patch from Dan Winship.

2008-01-16  Frederic Crozat  <fcrozat@mandriva.com>

	* Makefile.am: Only build hal module when hal support is
	enabled (#509693).

2008-01-15  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonfile.c:
	* daemon/daemon-main.c:
	* daemon/gvfsbackendcdda.c:
	* daemon/gvfsbackendcomputer.c:
	* daemon/gvfsbackendftp.c:
	* daemon/gvfsbackendlocaltest.c:
	* daemon/gvfsbackendsftp.c:
	* daemon/gvfsbackendsmb.c:
	* daemon/gvfsbackendsmbbrowse.c:
	* daemon/gvfsbackendtrash.c:
	* daemon/gvfsjobsetattribute.c:
	* hal/ghaldrive.c:
	Clean up strings and add translator comments

2008-01-15  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendcomputer.c:
	(recompute_files):
	Fix crash (#508236)
	Patch from Joe Marcus Clarke

2008-01-15  David Zeuthen  <davidz@redhat.com>

	* hal/ghaldrive.c: (_eject_unmount_mounts_cb),
	(_eject_unmount_mounts), (g_hal_drive_eject):
	* hal/ghalvolume.c: (g_hal_volume_new), (g_hal_volume_can_mount),
	(g_hal_volume_has_device_path), (g_hal_volume_mount),
	(g_hal_volume_eject):
	* hal/ghalvolume.h:
	* hal/ghalvolumemonitor.c:
	(g_hal_volume_monitor_lookup_volume_for_device_path),
	(update_volumes), (update_mounts), (update_discs):
	Fix debug spew and use try device path before mount path to tie
	volume and mount objects together. Also fix some issues with
	mounting and unmounting.

2008-01-15  Daniel Nylander <po@danielnylander.se>

	* configure.ac: Added sv to ALL_LINGUAS.

2008-01-14  Alexander Larsson  <alexl@redhat.com>

	* configure.ac:
	Post release version bump

=== gvfs 0.1.2 ===

2008-01-14  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

2008-01-14  Alexander Larsson  <alexl@redhat.com>

	* configure.ac (DISTCHECK_CONFIGURE_FLAGS):
	Require glib 2.15.2

2008-01-14  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonfile.c:
	* daemon/gvfsbackendlocaltest.c:
	* daemon/gvfsbackendtrash.c:
	* programs/gvfs-monitor-dir.c:
	* programs/gvfs-monitor-file.c:
	Update to new gio API

2008-01-14  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonfile.c:
	(match_prefix):
	Handle root correctly in g_file_get_relative_path (#508719)

2008-01-14  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsdaemon.c:
	Don't translate g_warning strings

2008-01-14  Alexander Larsson  <alexl@redhat.com>

	* client/httpuri.c:
	(http_from_uri):
	Only set "ssl" key in dav case.

2008-01-14  Alexander Larsson  <alexl@redhat.com>

	* client/httpuri.c:
	(http_to_uri_scheme):
	Fix some crashes

2008-01-13  Dan Winship  <danw@gnome.org>

	* client/httpuri.c (http_from_uri): fix

	* daemon/soup-output-stream.c: Initial SoupOutputStream; still
	works like gnome-vfs http did, by storing all the writes in memory
	until close.

	* daemon/gvfsbackendhttp.c (try_create, try_replace): Implement.
	For now we need to do HEAD-then-PUT, but we may later be able to
	do a single PUT with "Expect: 100-continue".
	(try_write, try_close_write): Implement.

2008-01-13  Christian Kellner <gicmo@gnome.org>

	* client/httpuri.c:
	Also handle dav uris in the http mapper.

	* daemon/dav.mount.in:
	* daemon/Makefile.am:
	Add the new dav backend.

	* daemon/gvfsbackendhttp.c:
	* daemon/gvfsbackendhttp.h:
	Implement a utility function so dav and http
	backend can share uri from filename creation.

	* daemon/gvfsbackenddav.c:
	First attempt to write the dav backend as a subclass of http.
	Mount, QueryInfo, Enumerate should work and Read is provided
	by the base class.

2008-01-12  Leonid Kanter <leon@asplinux.ru>

	* configure.ac: Added "ru" (Russian) to ALL_LINGUAS.

2008-01-12  Alexander Larsson  <alexl@redhat.com>

	* daemon/Makefile.am:
	Set the http daemon dbus busname so that multiple mounts
	work in the same process.

2008-01-11  Dan Winship  <danw@gnome.org>

	* daemon/soup-input-stream.c: implement GSeekable (a bit hackishly
	due to a bug in libsoup 2.2.x)

	* daemon/gvfsbackendhttp.c (try_seek_on_read): implement

2008-01-11  Dan Winship  <danw@gnome.org>

	* daemon/gvfsbackendhttp.c (g_vfs_backend_http_finalize): cleanup
	(g_vfs_backend_http_init): move session creation here. Don't
	explicitly set ASYNC_CONTEXT to g_main_context_default() because
	that trips up SoupInputStream.
	(uri_for_filename): create a SoupUri corresponding to a filename.
	In particular, "/" corresponds to mount_base, not the result of
	combining mount_base with "/".
	(try_open_for_read): use uri_for_filename, free the result.

2008-01-11  Dan Winship  <danw@gnome.org>

	* daemon/soup-input-stream.c (soup_input_stream_send)
	(wrapper_callback, soup_input_stream_send_async): Fix for changes
	to g_input_stream_set_pending() since I wrote this.

	* client/gdaemonfile.c (g_daemon_file_hash): x86_64 fix.

2008-01-11  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendhttp.c:
	Make http mount not user visible.
	Set backend mount spec in try_mount.

2008-01-11  Christian Kellner  <gicmo@gnome.org>

	* client/gdaemonvfs.c:
	Fix the double use of a counter variable inside nested loops.

	* client/Makefile.am:
	* client/httpuri.c:
	UriMapper added, which is needed for plain http method.

	* configure.ac:
	Check for libsoup version >= 2.2.104

	* daemon/gvfsbackendhttp.c:
	Initial implementation of plain http methods.

	* daemon/Makefile.am:
	* daemon/http.mount.in:
	Added.

	* daemon/soup-input-stream.c:
	* daemon/soup-input-stream.h:
	Import of Dan Winship's libsoup based streaming classes.

2008-01-11  Inaki Larranaga Murgoitio  <dooteo@euskalgnu.org>

	* configure.ac: Added "eu" (Basque) to ALL_LINGUAS.

2008-01-11  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendcomputer.c:
	Set can't write info on the root.

2008-01-11  Alexander Larsson  <alexl@redhat.com>

	* programs/gvfs-mount.c (list_volumes):
	Fix crash if no mount in volume.

2008-01-11  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonfile.c:
	* common/gvfsdaemonprotocol.h:
	Implement unmount_mountable and eject_mountable
	on client side.

	* common/gmountoperationdbus.c:
	Fix warnings

	* daemon/gvfsbackend.[ch]:
	* daemon/gvfsjobunmountmountable.[ch]:
	Add unmount_mountable and eject_mountable in daemon.

	* daemon/gvfsbackendcomputer.c:
	Implement unmount_mountable and eject_mountable

	* daemon/gvfsbackendlocaltest.c:
	Update to latest API

	* daemon/gvfsbackendsftp.c:
	Fix indentation

	* daemon/gvfsjobunmount.c:
	Always allow unmount if unmount is not
	implemented.

2008-01-11  Christian Kellner  <gicmo@gnome.org>

	* configure.ac:
	* daemon/Makefile.am:
	* daemon/gvfsbackendhttp.c:
	* daemon/gvfsbackendhttp.h:
	Initial attempt of writing the http backend. Not much
	there yet only a stub.

2008-01-10  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackend.h:
	* daemon/gvfsmonitor.[ch]:
	* daemon/gvfsbackendcomputer.c:
	* daemon/gvfsbackendtrash.c:
	Make GVfsMonitor API simpler for users.

2008-01-10  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsmonitor.c:
	Remove freeing of initial ref after delay.

	* daemon/gvfsjobcreatemonitor.[ch]:
	Set the monitor as result here, not only the obj path.
	Nicer and allows better lifetime handling.
	If returning a obj ref, keep the monitor alive for
	some time to allow a subscribe request.

	* daemon/gvfsbackendcomputer.c:
	* daemon/gvfsbackendtrash.c:
	Update to the new APIs

2008-01-10  Alexander Larsson  <alexl@redhat.com>

	* common/gmounttracker.c:
	Handle error reply from list_mounts.

	* programs/gvfs-mount.c:
	Add option to list mounts.
	Based on patch from nf2@scheinwelt.at

2008-01-09  Alexander Larsson  <alexl@redhat.com>

	* hal/ghaldrive.c:
	* hal/ghalmount.c:
	* hal/ghalvolume.c:
	Use default fallbacks for icons

2008-01-09  Alexander Larsson  <alexl@redhat.com>

	* common/gmountsource.[ch]:
	Add g_mount_source_get_operation() that lets
	you handle a remote GMountSource as if it
	was a GMountOperation.

	* common/gmountoperationdbus.c:
	* programs/gvfs-mount.c:
	Update to new GMountOperation APIs

	* client/gdaemonfile.c:
	* daemon/gvfsjobmountmountable.[ch]:
	Also let you return target by uri, as not all
	targets are from gvfs.

	* daemon/gvfsbackendcomputer.c:
	Initial cut at mount_mountable

2008-01-09  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonvfs.c (_g_daemon_vfs_get_mount_info_sync):
	Better error return on not mounted.

2008-01-09  Luca Ferretti  <elle.uca@libero.it>

	* Makefile.am:
	* autogen.sh:
	* configure.ac:

	Reuse intltool by now, glib-gettext rules seems unable
	to properly remove "[encoding: UTF-8]" generating
	po/POTFILES.

	* mkinstalldirs:

	Removed, autogenerated by intltool

2008-01-08  Alexander Larsson  <alexl@redhat.com>

	* configure.ac:
	Post release version bump

=== gvfs 0.1.1 ===

2008-01-08  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

2008-01-08  Alexander Larsson  <alexl@redhat.com>

	* configure.ac:
	Require glib 2.15.1

2008-01-08  Alexander Larsson  <alexl@redhat.com>

	* daemon/Makefile.am:
	* daemon/computer.mount.in:
	* daemon/gvfsbackendcomputer.[ch]:
	Add initial computer backend

	* daemon/gvfsbackend.h:
	* daemon/gvfsjobunmountmountable.[ch]:
	Add umount_mountable calls

2008-01-07  Alexander Larsson  <alexl@redhat.com>

	* client/Makefile.am:
	* client/gdaemondirectorymonitor.[ch]:
	* client/gdaemonfile.c:
	* daemon/gvfsbackendtrash.c:
	* programs/gvfs-monitor-dir.c:
	Update to handle removed GDirectoryMonitor from
	API.

	* daemon/gvfsbackendsftp.c:
	Fix warnings

2008-01-07  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendsftp.c:
	Remove debug spew

2008-01-07  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendsftp.c:
	Update to new gio API

2008-01-04  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendsftp.c:
	(make_reply_stream):
	Update to new gio API

2008-01-03  Matthias Clasen  <mclasen@redhat.com>

	* daemon/Makefile.am: Install the .mount files
	in /usr/share/gvfs/mounts, not in /etc/gvfs/mounts

2008-01-03  Alexander Larsson  <alexl@redhat.com>

	* hal/ghalvolumemonitor.c:
	Handle pool finalizing on unloads of hal module
	(#507037)

2008-01-03  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendsftp.c:
	Return icons

2008-01-03  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendsftp.c:
	Use right types for file times (#506494)

2008-01-03  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendsftp.c:
	Don't return errors on EOF (#506493)

2008-01-03  Alexander Larsson  <alexl@redhat.com>

	* Makefile.am:
	* mkinstalldirs: Added.
	Added mkinstalldirs to svn and EXTRA_DIST ase
	we now don't gettextize in autogen.

2008-01-03  Alexander Larsson  <alexl@redhat.com>

	* hal/ghaldrive.c:
	(_drive_get_description):
	Fix plus/minus utf8 string.
	Patch from Luca Ferretti.

2007-12-20  Alexander Larsson  <alexl@redhat.com>

	* configure.ac:
	Post release version bump

=== gvfs 0.1.0 ===

2007-12-20  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

	* configure.ac:
	Bump version to 0.1.0

2007-12-20  Alexander Larsson  <alexl@redhat.com>

	* autogen.sh:
	Don't run gettextize

	* programs/Makefile.am:
	dist gvfs-less

2007-12-20  Alexander Larsson  <alexl@redhat.com>

	* daemon/main.c:
	Fix translated "".

	* hal/ghaldrive.c:
	Encode +/- as utf8 c escapes

2007-12-20  Alexander Larsson  <alexl@redhat.com>

	* configure.ac:
	Require glib 2.15.0

2007-12-20  Alexander Larsson  <alexl@redhat.com>

	* client/gvfsfusedaemon.c:
	* daemon/gvfsbackendsftp.c:
	* daemon/gvfsbackendsmb.c:
	* daemon/gvfsbackendsmbbrowse.c:
	* daemon/gvfsbackendtrash.c:
	* daemon/gvfsjobqueryinfo.c:
	* programs/gvfs-copy.c:
	* programs/gvfs-ls.c:
	* programs/gvfs-move.c:
	* test/benchmark-gvfs-big-files.c:
	* test/benchmark-gvfs-small-files.c:
	Update to new file attribute names

2007-12-20  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonmount.c:
	* hal/ghaldrive.c:
	* hal/ghalmount.c:
	* hal/ghalvolume.c:
	* programs/gvfs-mount.c:
	Update to new unmount flag api

2007-12-20  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonfileinputstream.c:
	* client/gdaemonfileoutputstream.c:
	* client/gdaemonvfs.c:
	* client/gvfsfusedaemon.c:
	Fix warnings

2007-12-20  Alexander Larsson  <alexl@redhat.com>

	* daemon/Makefile.am:
	Build without cdda.
	Patch from nf2@scheinwelt.at

2007-12-19  David Zeuthen  <davidz@redhat.com>

	Add missing files from previous patch.

	* daemon/cdda.mount.in:
	* daemon/gvfsbackendcdda.c: (g_vfs_backend_cdda_finalize),
	(g_vfs_backend_cdda_init), (do_mount), (try_mount), (do_unmount),
	(get_track_num_from_name), (free_read_handle), (create_header),
	(do_open_for_read), (paranoia_callback), (do_read),
	(do_seek_on_read), (do_close_read), (set_info_for_track),
	(do_query_info), (do_enumerate), (g_vfs_backend_cdda_class_init):
	* daemon/gvfsbackendcdda.h:
	* programs/gvfs-less:

2007-12-19  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonvfs.[ch]:
	* client/gdaemonvolumemonitor.c:
	* hal/ghalvolumemonitor.c:
	* hal/hal-module.c:
	Remove spew
	Update for new APIs
	Don't use GDaemonVolumeMonitor if not using GDaemonVfs.

	* hal/hal-pool.c:
	Close custom dbus connection before unrefing

2007-12-19  David Zeuthen  <davidz@redhat.com>

	Add the cdda:// backend for Compact Disc Digital Audio discs.

	Allow a backend to specify the fuse name directly instead of
	using the display name

	Make GDaemonVolumeMonitor and GDaemonMount use the new
	adopt_orphan_mount() function on GVolumeMonitor in gio. Also,
	since a GMount now can be associated with a GVolume, implement
	eject().

	Add a new gvfs-less program.

	Make gvfs-mount capable of unmounting as well.

	HAL backend changes: attempt to unmount all mounts from
	enclosing volumes and fail the ejection if one of the unmount
	operations fails. Use new adopt_orphan_mount() from gio to
	adopt cdda:// volumes for audio discs. Emit the 'eject-button'
	signal on GDrive. Various other fixes.

	* client/gdaemonfile.c: (g_daemon_file_find_enclosing_mount):
	* client/gdaemonmount.c: (g_daemon_mount_finalize),
	(g_daemon_mount_new), (g_daemon_mount_get_volume),
	(g_daemon_mount_get_drive), (g_daemon_mount_can_eject),
	(foreign_volume_removed), (g_daemon_mount_set_foreign_volume),
	(eject_wrapper_callback), (g_daemon_mount_eject),
	(g_daemon_mount_eject_finish), (g_daemon_mount_mount_iface_init):
	* client/gdaemonmount.h:
	* client/gdaemonvolumemonitor.c: (mount_added), (mount_removed),
	(g_daemon_volume_monitor_init):
	* client/gvfsfusedaemon.c: (file_handle_close_stream),
	(free_file_handle_for_path), (mount_record_new):
	* common/gmounttracker.c: (g_mount_info_dup), (g_mount_info_unref),
	(g_mount_info_from_dbus):
	* common/gmounttracker.h:
	* configure.ac:
	* daemon/Makefile.am:
	* daemon/gvfsbackend.c: (g_vfs_backend_finalize),
	(g_vfs_backend_init), (g_vfs_backend_set_fuse_name),
	(g_vfs_backend_get_fuse_name), (g_vfs_backend_register_mount):
	* daemon/gvfsbackend.h:
	* daemon/gvfsjobunmount.c: (unregister_mount_callback),
	(send_reply):
	* daemon/mount.c: (vfs_mount_free), (vfs_mount_to_dbus),
	(register_mount), (list_mounts):
	* hal/ghaldrive.c: (g_hal_drive_finalize), (hal_condition),
	(g_hal_drive_new), (spawn_cb), (g_hal_drive_eject_do),
	(free_unmount_mounts_op), (_eject_unmount_mounts_cb),
	(_eject_unmount_mounts), (g_hal_drive_eject):
	* hal/ghalmount.c: (g_hal_mount_finalize), (unmount_cb),
	(unmount_read_error), (unmount_do), (g_hal_mount_unmount),
	(eject_wrapper_callback), (g_hal_mount_eject),
	(g_hal_mount_eject_finish):
	* hal/ghalvolume.c: (g_hal_volume_finalize), (do_update_from_hal),
	(g_hal_volume_new), (g_hal_volume_get_mount),
	(foreign_mount_unmounted), (g_hal_volume_adopt_foreign_mount),
	(g_hal_volume_has_foreign_mount_root), (spawn_cb),
	(mount_foreign_callback), (g_hal_volume_mount),
	(g_hal_volume_mount_finish), (eject_wrapper_callback),
	(g_hal_volume_eject), (g_hal_volume_eject_finish):
	* hal/ghalvolume.h:
	* hal/ghalvolumemonitor.c: (adopt_orphan_mount),
	(g_hal_volume_monitor_class_init), (update_volumes),
	(update_mounts), (update_discs):
	* hal/hal-device.c: (hal_device_class_init),
	(_hal_device_hal_condition):
	* hal/hal-device.h:
	* hal/hal-marshal.list:
	* hal/hal-pool.c: (hal_pool_class_init), (_hal_condition),
	(hal_pool_new):
	* hal/hal-pool.h:
	* programs/Makefile.am:
	* programs/gvfs-mount.c: (unmount_done_cb), (unmount), (main):

2007-12-18  Luca Ferretti  <elle.uca@libero.it>

	* configure.ac: Add ALL_LINGUAS and definition for GVFS_LOCALEDIR;
	the second one is unused by now, but could be needed, so all
	l10n stuff in this file should be OK.

2007-12-17  David Zeuthen  <davidz@redhat.com>

	* hal/ghalvolumemonitor.c (update_mounts): g_get_unix_mounts()
	was renamed to g_unix_mounts_get() in gio

	* hal/hal-pool.c, Makefile.am: Instead of dbus-glib-1, use the
	function _g_dbus_connection_integrate_with_main() for mainloop
	integration.

	* hal/ghalmount.h, hal/ghalvolume.h, hal/ghaldrive.h: Use a weak
	pointer for the volume monitor

	* configure.ac: Don't require dbus-glib-1 for the hal vm backend

2007-12-17  David Zeuthen  <davidz@redhat.com>

	* client/gdaemonmount.c (g_daemon_mount_mount_iface_init): Fix typo
	with setting the can_eject() function

2007-12-17  Bastien Nocera  <hadess@hadess.net>

	* daemon/gvfsbackendtrash.c: (list_trash_dirs):
	Fix build, renamed g_get_unix_mounts to g_unix_mounts_get

2007-12-17  Alexander Larsson  <alexl@redhat.com>

	* hal/ghaldrive.[ch]:
	* hal/ghalmount.[ch]:
	* hal/ghalvolume.[ch]:
	* hal/ghalvolumemonitor.[ch]:
	* hal/hal-device.[ch]:
	* hal/hal-module.c:
	* hal/hal-pool.[ch]:
	Make types dynamic and update to support volume monitor
	backend name and is_supported().

2007-12-17  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonmount.c (g_daemon_mount_mount_iface_init):
	Eject not supported. Make vtable NULL.

2007-12-14  David Zeuthen  <davidz@redhat.com>

	* Makefile.am:
	* client/gdaemonmount.c: (g_daemon_mount_get_uuid),
	(g_daemon_mount_can_eject), (g_daemon_mount_eject),
	(g_daemon_mount_eject_finish), (g_daemon_mount_mount_iface_init):
	* client/gdaemonvolumemonitor.c: (get_volume_for_uuid),
	(get_mount_for_uuid), (g_daemon_volume_monitor_class_init):
	* configure.ac:
	* hal/*: new files

	Update to latest gio API changes and add the HAL backend for
	volume monitoring.

2007-12-14  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonfile.c:
	* client/gdaemonfileinputstream.c:
	* client/gvfsfusedaemon.c:
	* common/gvfsdaemonprotocol.c:
	* common/gvfsdaemonprotocol.h:
	* daemon/gvfsbackend.h:
	* daemon/gvfsjobsetattribute.c:
	* daemon/gvfsjobsetattribute.h:
	* programs/gvfs-info.c:
	* programs/gvfs-ls.c:
	Update for gio API changes (removal of GFileAttributeValue).

2007-12-14  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonfile.c:
	* common/gmountsource.c:
	* common/gmountsource.h:
	* daemon/gvfsbackendsftp.c:
	* daemon/gvfsbackendsmb.c:
	* programs/gvfs-info.c:
	* programs/gvfs-monitor-dir.c:
	* programs/gvfs-monitor-file.c:
	* programs/gvfs-mount.c:
	* programs/gvfs-save.c:
	* test/benchmark-gvfs-big-files.c:
	* test/benchmark-gvfs-small-files.c:
	Update to new gio flag enum types/values

2007-12-14  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemondirectorymonitor.c:
	* client/gdaemondirectorymonitor.h:
	* client/gdaemonfile.c:
	* client/gdaemonfile.h:
	* client/gdaemonfileenumerator.c:
	* client/gdaemonfileenumerator.h:
	* client/gdaemonfileinputstream.c:
	* client/gdaemonfileinputstream.h:
	* client/gdaemonfilemonitor.c:
	* client/gdaemonfilemonitor.h:
	* client/gdaemonfileoutputstream.c:
	* client/gdaemonfileoutputstream.h:
	* client/gdaemonmount.c:
	* client/gdaemonmount.h:
	* client/gdaemonvfs.c:
	* client/gdaemonvfs.h:
	* client/gdaemonvolumemonitor.h:
	* client/gvfsdaemondbus.c:
	* client/gvfsdaemondbus.h:
	* client/gvfsfusedaemon.c:
	* client/gvfsurimapper.h:
	* client/smburi.c:
	* common/gdbusutils.c:
	* common/gdbusutils.h:
	* common/gmountoperationdbus.c:
	* common/gmountoperationdbus.h:
	* common/gmountsource.c:
	* common/gmountsource.h:
	* common/gsysutils.c:
	* common/gvfsdaemonprotocol.c:
	* common/gvfsdaemonprotocol.h:
	* daemon/gvfsbackend.h:
	* daemon/gvfsbackendftp.c:
	* daemon/gvfsbackendsftp.c:
	* daemon/gvfsbackendsmb.c:
	* daemon/gvfsbackendsmbbrowse.c:
	* daemon/gvfsbackendtest.c:
	* daemon/gvfsbackendtrash.c:
	* daemon/gvfsdaemonutils.c:
	* daemon/gvfsjob.c:
	* daemon/gvfsjob.h:
	* daemon/gvfsjobcopy.h:
	* daemon/gvfsjobcreatemonitor.h:
	* daemon/gvfsjobdelete.h:
	* daemon/gvfsjobenumerate.h:
	* daemon/gvfsjobmakedirectory.h:
	* daemon/gvfsjobmakesymlink.h:
	* daemon/gvfsjobmount.h:
	* daemon/gvfsjobmountmountable.h:
	* daemon/gvfsjobmove.h:
	* daemon/gvfsjobqueryattributes.h:
	* daemon/gvfsjobqueryfsinfo.h:
	* daemon/gvfsjobqueryinfo.h:
	* daemon/gvfsjobsetattribute.h:
	* daemon/gvfsjobsetdisplayname.h:
	* daemon/gvfsjobtrash.h:
	* daemon/gvfsjobunmount.h:
	* daemon/gvfsmonitor.h:
	* daemon/mount.c:
	* daemon/mount.h:
	* programs/gvfs-cat.c:
	* programs/gvfs-copy.c:
	* programs/gvfs-info.c:
	* programs/gvfs-ls.c:
	* programs/gvfs-monitor-dir.c:
	* programs/gvfs-monitor-file.c:
	* programs/gvfs-mount.c:
	* programs/gvfs-move.c:
	* programs/gvfs-rm.c:
	* programs/gvfs-save.c:
	* programs/gvfs-trash.c:
	* test/benchmark-gvfs-big-files.c:
	* test/benchmark-gvfs-small-files.c:
	* test/benchmark-posix-big-files.c:
	* test/benchmark-posix-small-files.c:
	Only use <gio/gio.h> include

2007-12-13  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonfile.c:
	* programs/gvfs-mount.c:
	Update for g_mount_for_location to g_file_mount_enclosing_volume change.

2007-12-11  David Zeuthen  <davidz@redhat.com>

	Update for API changes in gio trunk.

	* client/Makefile.am:
	* client/gdaemonfile.c: (g_daemon_file_find_enclosing_mount),
	(g_daemon_file_file_iface_init):
	* client/gdaemonvolumemonitor.c: (get_mounts), (get_volumes),
	(find_mount_by_mount_info), (mount_added), (mount_removed),
	(g_daemon_volume_monitor_init), (g_daemon_volume_monitor_finalize),
	(g_daemon_volume_monitor_class_init):
	* client/gdaemonvolumemonitor.h:
	* client/gvfsfusedaemon.c: (mount_record_new),
	(mount_record_for_mount_exists), (mount_list_update),
	(mount_tracker_mounted_cb), (mount_tracker_unmounted_cb),
	(subthread_main):
	* daemon/gvfsbackendtrash.c: (list_trash_dirs):

2007-12-05  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonvfs.c:
	(g_daemon_vfs_init):
	Use the new API to load the modules

2007-12-05  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonfile.c:
	* client/gdaemonfileenumerator.c:
	* client/gdaemonfileinputstream.c:
	* client/gdaemonfileoutputstream.c:
	Update to gio API change

2007-11-27  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonfileinputstream.c:
	* client/gdaemonfileoutputstream.c:
	* client/gdaemonvfs.c:
	* client/gvfsfusedaemon.c:
	* client/gvfsuriutils.h:
	* daemon/gvfsbackend.c:
	* daemon/gvfsbackendsftp.c:
	* daemon/gvfsbackendtrash.c:
	* daemon/gvfschannel.c:
	* daemon/gvfsmonitor.c:
	* daemon/mount.c:
	Update to build with the latest glib included
	gio

2007-11-27  Alexander Larsson  <alexl@redhat.com>

	* Makefile.am:
	* configure.ac:
	* programs/Makefile.am:
	* programs/gvfs-cat.c:
	* programs/gvfs-copy.c:
	* programs/gvfs-info.c:
	* programs/gvfs-ls.c:
	* programs/gvfs-monitor-dir.c:
	* programs/gvfs-monitor-file.c:
	* programs/gvfs-mount.c:
	* programs/gvfs-move.c:
	* programs/gvfs-rm.c:
	* programs/gvfs-save.c:
	* programs/gvfs-trash.c:
	Moved the gio tools from gio-standalone

2007-11-20  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendsftp.c:
	Add comment

	* daemon/gvfsbackendsmb.c:
	Support new WOULD_MERGE error code

2007-11-16  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonfile.c:
	* client/gdaemonfileinputstream.c:
	* client/gdaemonfileoutputstream.c:
	* client/smburi.c:
	* common/gdbusutils.c:
	* common/gmountsource.c:
	* daemon/gvfsbackendftp.c:
	* daemon/gvfsbackendtrash.c:
	* daemon/gvfsdaemon.c:
	* daemon/gvfsjob.c:
	* daemon/gvfsjobdbus.c:
	* daemon/gvfsjobopenforwrite.h:
	* daemon/mount.c:
	* daemon/pty_open.c:
	* test/benchmark-gvfs-big-files.c:
	* test/benchmark-gvfs-small-files.c:
	* test/benchmark-posix-small-files.c:
	Code cleanups from Kjartan Maraas.

2007-11-15  Alexander Larsson  <alexl@redhat.com>

	* configure.ac:
	Post release version bump

=== gvfs 0.0.2 ===

2007-11-15  Alexander Larsson  <alexl@redhat.com>

	* configure.ac:
	Require gio 0.1.2

	* NEWS:
	Update for release

2007-11-15  Alexander Larsson  <alexl@redhat.com>

	* daemon/Makefile.am:
	* daemon/ftp.mount.in:
	* daemon/gvfs-daemon.service.in:
	* daemon/sftp.mount.in:
	* daemon/smb-browse.mount.in:
	* daemon/smb.mount.in:
	* daemon/trash.mount.in:
	Rename gvfs daemon processes to start
	with "gvfsd". This is shorter and nicer.

2007-11-14  Alexander Larsson  <alexl@redhat.com>

	* common/gvfsdaemonprotocol.h:
	Add unmount operation and
	unregister mount mounttracker call

	* client/gdaemonvolume.c:
	Implement client side of unmount

	* daemon/Makefile.am:
	* daemon/gvfsjobunmount.[ch]: Added.
	Add unmount job type

	* daemon/gvfsbackend.[ch]:
	Implement unmount

2007-11-14  Alexander Larsson  <alexl@redhat.com>

	* common/gdbusutils.c:
	Handle NULL callback in _g_dbus_connection_call_async

	* daemon/gvfsdaemon.c:
	Re-register backends with new main daemons

2007-11-14  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonvfs.[ch]:
	* client/gvfsdaemondbus.c:
	Make sure we somewhat cleanly handle the
	various dbus daemons going down. By somewhat
	I mean that no problem should be persistant
	even if you might get some transient error
	messages.

	Unfortunately the only way to be able to cleanly
	handle this involves globally ignoring SIGPIPE.
	What can I say, unix sucks.

	* common/gsysutils.c:
	(_g_socket_receive_fd):
	Handle errors if e.g. the fd is closed

2007-11-13  Alexander Larsson  <alexl@redhat.com>

	* common/gsysutils.c:
	* daemon/gvfschannel.c:
	* daemon/gvfsdaemonutils.c:
	* daemon/gvfsjobcopy.c:
	* daemon/gvfsmonitor.c:
	* daemon/gvfswritechannel.c:
	Add required includes for solaris
	Patch from Damien Carbery

2007-11-12  Alexander Larsson  <alexl@redhat.com>

	* client/gvfsurimapper.[ch]:
	Make this class dynamic

	* client/Makefile.am:
	* client/gdaemonvfs.c:
	* client/smburi.c:
	Build smb uri mapper into module
	(this avoids extra .so files)

2007-11-12  Alexander Larsson  <alexl@redhat.com>

	* common/gmountspec.[ch]:
	(g_mount_spec_new_from_data):
	(g_mount_spec_set_with_len):
	Add new functions

	* client/Makefile.am:
	* common/Makefile.am:
	Update for moved files
	Build non-shared version of common libs.
	Ups non-shared common libs in client module.

	* common/gvfsuriutils.[ch]: Removed.
	* client/gvfsuriutils.[ch]: Added.
	Moved uriutils to gvfs (not used by daemon)
	Re-namespace to g_vfs_*

	* common/gvfsurimapper.[ch]: Removed.
	* client/gvfsurimapper.[ch]: Added.
	Move UriMapper to client lib
	Remove/Hide use of GMountSpec

	* client/gdaemonvfs.c:
	* client/smburi.c:
	Update to the new APIs

	* client/gvfsfusedaemon.c:
	* daemon/gvfsbackendtrash.c:
	* daemon/gvfsjobqueryfsinfo.c:
	Fix warnings

2007-11-08  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsdaemon.c:
	* daemon/gvfsjobmove.c:
	* test/benchmark-common.c:
	Fixes for solaris build.
	Patches from Damien Carbery

2007-11-07  Sebastian Dröge  <slomo@circular-chaos.org>

	* daemon/gvfsbackendsftp.c:
	Update g_memory_output_stream_set_free_on_close() to
	g_memory_output_stream_set_free_data().

2007-11-07  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonvfs.c:
	Update to new gvfs construction API

2007-11-07  Alexander Larsson  <alexl@redhat.com>

	* common/gdbusutils.c:
	* daemon/gvfsbackendtest.c:
	* daemon/gvfsbackendtrash.c:
	Ansi C fixes from Jens Granseuer

2007-11-06  Sebastian Dröge  <slomo@circular-chaos.org>

	* configure.ac:
	* daemon/gvfsdaemonutils.c: (dbus_connection_send_fd):
	* daemon/mount.c: (vfs_mount_to_dbus), (dbus_message_function):
	Fix typo: availible -> available.

2007-11-06  Alexander Larsson  <alexl@redhat.com>

	* configure.ac:
	Post release version bump

=== gvfs 0.0.1 ===

2007-11-06  Alexander Larsson  <alexl@redhat.com>

	* client/Makefile.am:
	* daemon/Makefile.am:
	* test/Makefile.am:
	Fix make distcheck

2007-11-06  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonfile.c:
	(g_daemon_file_file_iface_init):
	Actually export get_uri_scheme

	* client/gdaemonfileinputstream.c:
	(g_daemon_file_input_stream_query_info):
	Set NOT_SUPPORTED error

2007-11-06  Alexander Larsson  <alexl@redhat.com>

	* common/gmountoperationdbus.c:
	* common/gmounttracker.c:
	* daemon/gvfsbackend.h:
	* daemon/gvfschannel.h:
	Remove use of old giotypes.h header

2007-11-03  Paolo Borelli  <pborelli@katamail.com>

	* client/gdaemonvfs.c (get_mountspec_from_uri):
	Do not leak the decoded uri.

2007-11-02  Sebastien Bacher  <seb128@ubuntu.com>

	* common/Makefile.am: use the correct gmountoperationdbus.h naming

2007-11-01  Christian Kellner  <gicmo@gnome.org>

	* client/*.[ch]:
	* common/*.[ch]:
	* daemon/*.[ch]:
	* test/*.[ch]:
	Add copyright information to source files.

2007-11-01  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonfile.c:
	* client/gdaemonvfs.[ch]:
	Implement get_uri_scheme

	* daemon/mount.c:
	Add needed includes

2007-10-31  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonfile.c:
	Implement contains_file and get_relative_path

2007-10-31  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackend.[ch]:
	Add g_vfs_backend_get_mount_spec

	* daemon/gvfsjobqueryfsinfo.c:
	Fix indentation

	* daemon/gvfsjobqueryinfo.c:
	Implement id:fs attribute

2007-10-31  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonvolume.c:
	Remove get_platform_id

2007-10-31  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonfile.c:
	Implement find_enclosing_volume

	* client/gdaemonvolume.[ch]:
	* client/gdaemonvolumemonitor.c:
	No need to pass volume monitor when
	createing volumes

2007-10-31  Alexander Larsson  <alexl@redhat.com>

	* common/gmounttracker.[ch]:
	Add all mount info to GMountInfo
	Make it refcounted

	* client/gdaemonvfs.[ch]:
	* client/gdaemonfile.c:
	* client/gdaemonvolumemonitor.c:
	Remove GMountRef, replacing its use with
	GMountInfo

2007-10-31  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsjobqueryfsinfo.c:
	Remove volume name attribute

2007-10-31  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendtrash.c:
	Update to new API

2007-10-30  Alexander Larsson  <alexl@redhat.com>

	* common/gmounttracker.c:
	Handle threads not being initialized

	* daemon/gvfsjobqueryfsinfo.c:
	Set volume name

2007-10-26  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonvolumemonitor.c:
	Don't show not user visible mounts

	* daemon/mount.c:
	Don't give fuse mounts for non visible mounts
	(as they don't get mounted)

	* daemon/gvfsbackendsmbbrowse.c:
	* daemon/gvfsbackendtrash.c:
	Mark as not user visible

2007-10-26  Alexander Larsson  <alexl@redhat.com>

	* common/gvfsdaemonprotocol.h:
	Add registerFuse call

	* client/gvfsfusedaemon.c:
	Register with vfs daemon
	Exit (and unmount) if daemon dies

	* daemon/mount.c:
	Hand out fuse mountpaths when availible.

	* client/gdaemonvfs.[ch]:
	* common/gmounttracker.c:
	Handle sent fuse mountpath

	* client/gdaemonfile.c:
	Implement g_daemon_file_get_path using fuse
	if availible.

2007-10-26  Alexander Larsson  <alexl@redhat.com>

	* client/Makefile.am:
	* client/gvfsfusedaemon.c:
	Update fuse daemon to use the giomodule instead of
	linking to a copy of the code. The old way was
	problematic with the module code being a dynamic
	type in the module and not in the fuse daemon.

2007-10-25  Alexander Larsson  <alexl@redhat.com>

	* client/smburi.c:
	* common/gvfsurimapper.[ch]:
	Make to_uri_scheme return const string.

	* client/gdaemonfile.[ch]:
	* client/gdaemonvfs.[ch]:
	Add _g_daemon_vfs_mountspec_has_uri_scheme and use it to
	implement g_file_has_uri_scheme

2007-10-24  Alexander Larsson  <alexl@redhat.com>

	* common/gmountsource.c:
	(g_mount_source_ask_password):
	Increase password dialog timeout to 30 minutes

2007-10-24  Alexander Larsson  <alexl@redhat.com>

	* common/gmountspec.c:
	(g_mount_spec_set_mount_prefix):
	Actually assign the mount_prefix in the GMountSpec

2007-10-23  Sebastian Dröge  <slomo@circular-chaos.org>

	* client/Makefile.am:
	Change the GIO module dir to $(libdir)/gio/modules as was
	done in GIO.

2007-10-23  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonfile.c:
	* client/gdaemonvfs.c:
	* common/gmountspec.[ch]:
	Ensure GDaemonFile mount specs are actually unique.
	When a non-unique mount spec was finalized any unique
	version of the same was removed from the hashtable.

2007-10-23  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonvfs.c:
	(_g_daemon_vfs_get_uri_for_mountspec):
	Better handling for default types.
	(Handle hostname, port and username)

2007-10-22  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonvfs.c:
	* common/gvfsuriutils.[ch]:
	* daemon/gvfsbackendtrash.c:
	Update to use the gurifuncs.h from gio.
	Fix filename parsing to handle ~/x

2007-10-19  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackend.[ch]:
	Rename set_icon -> set_icon_name
	Add getter for icon_name and display_name

	* daemon/gvfsbackendsmb.c:
	* daemon/gvfsbackendsmbbrowse.c:
	Update for API changes
	Set display name for in fileinfo

	* daemon/gvfsbackendsftp.c:
	* daemon/gvfsbackendtrash.c:
	Update for API changes


2007-10-19  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonfile.c:
	(g_daemon_file_hash): Faster hash, since mount_spec is unique
	(g_daemon_file_equal): Compare mount spec too

	* daemon/gvfsbackendsmb.c:
	* daemon/gvfsbackendsmbbrowse.c:
	Set volume display names and icons
	Set content type and icon for files

2007-10-19  Alexander Larsson  <alexl@redhat.com>

	* common/gmounttracker.[ch]:
	* client/gdaemonvfs.c:
	* daemon/mount.c:
	Add user_visible to mount info
	Reorder args so that new stuff comes at the end

	* daemon/gvfsbackend.[ch]:
	Add user_visible setting
	Fix up various setters that set the wrong variable

	* daemon/gvfsbackendtrash.c:
	Add icon and better display name

2007-10-19  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonvfs.[ch]:
	* client/gdaemonvolume.c:
	* client/gdaemonvolumemonitor.[ch]:
	Implement using DEFINE_DYNAMIC_TYPE
	Actually register GDaemonVolumeMonitor in giomodule

	* common/gmounttracker.c:
	Update to the on-dbus format for mounts

2007-10-19  Alexander Larsson  <alexl@redhat.com>

	* client/smburi.c (smb_to_uri):
	No port by default

2007-10-16  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonfile.c:
	(g_daemon_file_get_parent):
	Fix get_parent to handle files that are in the root directory

2007-10-16  Alexander Larsson  <alexl@redhat.com>

	* common/gvfsdaemonprotocol.[ch]:
	Make sending icons actually work

	* daemon/gvfsbackendtrash.c:
	Set icon for toplevel

	* daemon/gvfsmonitor.c:
	Initialize error before call

2007-10-12  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsdaemon.c:
	Build fixes
	Patch from Milosz Derezynski <internalerror@gmail.com>

2007-10-10  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendtrash.c:
	Support file monitor on trash:/// (for icon)

2007-10-10  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendtrash.c:
	Add support for directory monitor on root dir

2007-10-09  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendtrash.c:
	Correctly handle len arg in unescape_pathname

2007-10-09  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendtrash.c:
	Nicer filenames for things in the home trash.
	This is the common case, so lets make them look nice.

2007-10-09  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendtrash.c:
	Check for trash dirs in fork to avoid getting stuck
	on e.g. hanged nfs dirs

2007-10-09  Alexander Larsson  <alexl@redhat.com>

	* client/Makefile.am:
	* client/gdaemonfile.c:
	* client/gdaemonfilemonitor.[ch]:
	Implement file monitor in client

	* common/gvfsdaemonprotocol.h:
	* daemon/gvfsbackend.c:
	Implement file monitor in daemon

	* daemon/gvfsbackendtrash.c:
	Implement file monitor in trash backend
	Make trash filename escaping nicer

2007-10-09  Alexander Larsson  <alexl@redhat.com>

	* configure.ac:
	Pull in gio-unix-2.0

	* daemon/gvfsbackendtrash.c:
	Use GUnixMounts instead of volume monitor
	This shows *all* mounts and avoids unnecessary stuff

2007-10-08  Alexander Larsson  <alexl@redhat.com>

	* common/gvfsdaemonprotocol.h:
	Add defines for monitoring

	* client/Makefile.am:
	* client/gdaemondirectorymonitor.[ch]:
	* client/gdaemonfilemonitor.[ch]:
	* client/gdaemonfile.c:
	Add daemon directory monitor and initial work on file monitor

	* client/gdaemonfileenumerator.c:
	Make path_counter private
	Return DBUS_HANDLER_RESULT_HANDLED when handling messages.

	* client/gdaemonvfs.[ch]:
	Make _g_mount_ref_ref "public"

	* client/gvfsdaemondbus.c:
	Handle NULL callbacks for async calls

	* daemon/Makefile.am:
	* daemon/gvfsbackend.[ch]:
	* daemon/gvfsjobcreatemonitor.[ch]:
	Add create_dir_monitor and create_file_monitor.
	Add g_vfs_backend_get_daemon

	* daemon/gvfsmonitor.[ch]:
	Helper code for monitors

	* daemon/gvfsbackendtrash.c:
	Implement directory monitor for trash dirs

2007-10-08  Sebastian Dröge  <slomo@circular-chaos.org>

	* client/gdaemonvfs.c: (g_daemon_vfs_finalize),
	(g_daemon_vfs_init), (fill_supported_uri_schemes),
	(g_daemon_vfs_get_supported_uri_schemes),
	(g_daemon_vfs_class_init):
	* client/smburi.c: (smb_to_uri_scheme),
	(g_vfs_uri_mapper_smb_class_init):
	* common/gvfsdaemonprotocol.h:
	* common/gvfsurimapper.c: (g_vfs_uri_mapper_to_uri_scheme):
	* common/gvfsurimapper.h:
	* daemon/mount.c: (list_mount_types), (dbus_message_function):
	Implement get_supported_uri_schemes method and add a GVfsUriMapper
	method to map a mount spec to an URI scheme.

2007-10-05  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendtrash.c:
	Add delete support to trash

2007-10-04  Alexander Larsson  <alexl@redhat.com>

	* common/gvfsuriutils.c:
	(g_uri_unescape_string):
	Allow NULL end pointer

	* daemon/gvfsjob.[ch]:
	Add cancellable to GVfsJob for backends that want one

	* daemon/gvfsjobenumerate.[ch]:
	* daemon/gvfsjobqueryinfo.[ch]:
	Also store attribute in string form.
	Needed if you want to pass it on into gio.

	* daemon/Makefile.am:
	* daemon/gvfsbackendtrash.[ch]:
	* daemon/trash.mount.in: Added.
	Added trash backend

2007-10-04  Alexander Larsson  <alexl@redhat.com>

	* TODO:
	* client/gdaemonfile.c:
	* client/gvfsfusedaemon.c:
	* daemon/gvfsbackend.h:
	* daemon/gvfsbackendftp.c:
	* daemon/gvfsbackendsftp.c:
	* daemon/gvfsbackendsmb.c:
	* daemon/gvfsjobopenforwrite.[ch]:
	* test/benchmark-gvfs-big-files.c:
	* test/benchmark-gvfs-small-files.c:
	Add GFileCreateFlags flag to open for write.
	No actual backend support yet though.

2007-10-02  Sebastian Dröge  <slomo@circular-chaos.org>

	* client/gdaemonfile.c: (g_daemon_file_append_to),
	(g_daemon_file_create), (g_daemon_file_replace):
	* test/benchmark-gvfs-big-files.c: (create_file):
	* test/benchmark-gvfs-small-files.c: (create_file): Update to API
	changes in gio.

	* daemon/gvfschannel.c:
	* daemon/gvfsreadchannel.c:
	* daemon/gvfswritechannel.c:
	* daemon/main.c:
	Drop unecessary includes.

2007-09-29  Sebastian Dröge  <slomo@circular-chaos.org>

	* configure.ac: Revert accidentally included local change.

2007-09-29  Sebastian Dröge  <slomo@circular-chaos.org>

	* configure.ac: Update to the new pkg-config filename.
	* gio-standalone.pc.in: Remove pkg-config file that belongs to gio.

2007-09-27  Sebastian Dröge  <slomo@circular-chaos.org>

	* daemon/gvfsbackendftp.c: (do_replace), (do_query_info),
	(do_query_fs_info), (do_enumerate):
	Update signatures for API changes in gio.

2007-09-25  Alexander Larsson  <alexl@redhat.com>

	* client/gvfsdaemondbus.c:
	Clear VfsConnectionData on creation
	(fixes read of uninitialized data on thread shutdown)

	* daemon/sftp.mount.in:
	Correct the type to "sftp"

2007-09-25  Alexander Larsson  <alexl@redhat.com>

	* daemon/mount.c:
	Return NOT_SUPPORTED error for unsupported uri types

2007-09-25  Alexander Larsson  <alexl@redhat.com>

	* client/gvfsfusedaemon.c:
	* daemon/gvfsbackendsmbbrowse.c:
	Update for G_IO_ERROR_NOT_MOUNTABLE_FILE name change

2007-09-25  Alexander Larsson  <alexl@redhat.com>

	* common/gmountoperationdbus.[ch]:
	* common/gmounttracker.[ch]:
	Pass in DBusConnection to use instead of using default one

	* client/gdaemonfile.c:
	* client/gdaemonvfs.[ch]:
	* client/gvfsdaemondbus.c:
	Use private dbus connection even for async calls, since the
	mainloop integration is conflicting with dbus-glib.
	This is a temporary measure until this is solved in a better way.

	* client/gdaemonvolumemonitor.c:
	* client/gvfsfusedaemon.c:
	* daemon/gvfsbackendsmbbrowse.c:
	Update to the API changes

2007-09-25  Sebastian Dröge  <slomo@circular-chaos.org>

	* client/gdaemonvfs.c: (g_daemon_vfs_finalize):
	Don't unref wrapped_vfs as it's just a pointer to the single instance
	return value of g_vfs_get_local().

2007-09-25  Sebastian Dröge  <slomo@circular-chaos.org>

	* client/gdaemonfile.c: (g_daemon_file_resolve_relative_path),
	(g_daemon_file_file_iface_init):
	* test/benchmark-gvfs-big-files.c: (create_file):
	* test/benchmark-gvfs-small-files.c: (create_file):
	Update for API change in GIO. g_file_resolve_relative was renamed
	to g_file_resolve_relative_path.

2007-09-25  Sebastian Dröge  <slomo@circular-chaos.org>

	* common/gmountspec.c: (g_mount_spec_to_dbus_with_path):
	* common/gvfsdaemonprotocol.c: (_g_dbus_append_file_attribute),
	(_g_dbus_append_file_info), (_g_dbus_append_attribute_info_list):
	* daemon/mount.c: (vfs_mount_to_dbus):
	Don't pass the contained signature when creating a DBus struct. Since
	DBus 1.1.0 this will lead to an assertion. The signature will filled
	automatically while adding values to the struct.

2007-09-17  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonfile.c:
	* client/gdaemonfileinputstream.c:
	* client/gdaemonfileoutputstream.c:
	* client/gvfsfusedaemon.c:
	* common/gvfsdaemonprotocol.h:
	* daemon/Makefile.am:
	* daemon/gvfsbackend.[ch]:
	* daemon/gvfsbackendftp.c:
	* daemon/gvfsbackendsftp.c:
	* daemon/gvfsbackendsmb.c:
	* daemon/gvfsbackendsmbbrowse.c:
	* daemon/gvfsbackendtest.c:
	* daemon/gvfsjobenumerate.h:
	* daemon/gvfsjobgetfsinfo.[ch]: Removed.
	* daemon/gvfsjobgetinfo.[ch]: Removed.
	* daemon/gvfsjobqueryfsinfo.[ch]: Added.
	* daemon/gvfsjobqueryinfo.[ch]: Added.
	* daemon/gvfsjobsetattribute.[ch]:
	* test/benchmark-gvfs-big-files.c:
	* test/benchmark-gvfs-small-files.c:
	Update with the get_info -> query_info rename in gio

2007-09-17  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendsftp.c:
	Update to new GDataInputStream function names

2007-09-14  Alexander Larsson  <alexl@redhat.com>

	* client/gdaemonfileoutputstream.c:
	(g_daemon_file_output_stream_get_etag):
	Update to new get_etag API.

2007-09-14  Alexander Larsson  <alexl@redhat.com>

	* daemon/gvfsbackendsftp.c:
	Add etag support for close on write

I stopped tracked changes here. Look at "git log" instead.

2006-09-28  Alexander Larsson  <alexl@redhat.com>

	* gfilesimple.[ch]:
	Move GFileSimple struct into c file

2006-09-28  Alexander Larsson  <alexl@redhat.com>

	* gfile.[ch]:
	Add follow_symlinks argument to get_info

	* gfileinfo.[ch]:
	Some mask fixes

	* gfilesimple.c:
	More implementation work

	* glocalfileoutputstream.[ch]:
	Implement set_original_mtime and set_create_backup

2006-09-28  Alexander Larsson  <alexl@redhat.com>

	* Makefile:
	Add gfilesimple

	* gfile.[ch]:
	Add g_file_copy()
	Finish rename to parse_name
	Remove set_keep_open for now

	* gfilesimple.[ch]:
	Initial skeleton for GFileSimple
	Handle parse names

	* gvfssimple.c:
	Handle parse names

2006-09-28  Alexander Larsson  <alexl@redhat.com>

	* gfileenumerator.c:
	* gfileinfo.c:
	* gfileinputstream.c:
	* gfileoutputstream.c:
	* ginputstream.c:
	* glocalfileinputstream.c:
	* glocalfileoutputstream.c:
	* goutputstream.c:
	* gvfssimple.c:
	Use macro-created parent_class

2006-09-28  Alexander Larsson  <alexl@redhat.com>

	* gfile.c:
	* gvfs.[ch]:
	* gvfssimple.c:
	Clean up parse_name names.

2006-09-28  Alexander Larsson  <alexl@redhat.com>

	* gfile.[ch]:
	Add request flags & attributes
	Use FileStreams

	* gfileinputstream.h:
	* gfileoutputstream.h:
	Fix G_TYPE_... defines

	* glocalfileoutputstream.c:
	Small cleanups and mention gedit.

2006-09-27  Alexander Larsson  <alexl@redhat.com>

	* gfileinfo.[ch]:
	Added g_file_info_new, g_file_info_set_from_stat

	* glocalfileinputstream.c:
	* glocalfileoutputstream.c:
	Implemented get_file_info.

2006-09-27  Alexander Larsson  <alexl@redhat.com>

	* glocalfileoutputstream.c:
	Update implementation of final mtime

2006-09-27  Alexander Larsson  <alexl@redhat.com>

	* gfileinfo.h:
	* gfileinputstream.[ch]:
	* gfileoutputstream.[ch]:
	Flags & attributes in get_file_info

2006-09-27  Alexander Larsson  <alexl@redhat.com>

	* Makefile:
	* ginputstreamfile.[ch]:
	* goutputstreamfile.[ch]:
	* glocalfileinputstream.[ch]:
	* glocalfileoutputstream.[ch]:
	Rename local file streams and make them
	inherit from FileInput/OutputStream

	* test.c:
	Update

2006-09-27  Alexander Larsson  <alexl@redhat.com>

	* Makefile:
	* gfileinputstream.[ch]:
	* gfileoutputstream.[ch]:
	Add new classes.

	* gfileinfo.[ch]:
	Add flags, symlink_target and edit_name

	* ginputstream.[ch]
	* goutputstream.[ch]:
	Export close/pending state a bit

	* gvfserror.h:
	Add NOT_SUPPORTED

2006-09-27  Alexander Larsson  <alexl@redhat.com>

	* ginputstream.c:
	* goutputstream.c:
	Wrap async callback to automatically handle
	setting of pending, closed and ref/unref of the stream.

2006-09-27  Alexander Larsson  <alexl@redhat.com>

	reviewed by: <delete if not using a buddy>

	* ginputstream.c: (read_async_callback_wrapper),
	(g_input_stream_read_async), (skip_async_callback_wrapper),
	(g_input_stream_skip_async), (close_async_callback_wrapper),
	(g_input_stream_close_async), (read_op_report), (read_op_free),
	(g_input_stream_real_read_async), (skip_op_report), (skip_op_free),
	(g_input_stream_real_skip_async), (close_op_report),
	(close_op_free), (g_input_stream_real_close_async):
	* goutputstream.c: (write_async_callback_wrapper),
	(g_output_stream_write_async), (flush_async_callback_wrapper),
	(g_output_stream_flush_async), (close_async_callback_wrapper),
	(g_output_stream_close_async):

2006-09-27  Alexander Larsson  <alexl@redhat.com>

	* ginputstream.[ch]:
	Update of close and pending handling.

	* goutputstream.[ch]:
	Implement default async version

2006-09-27  Alexander Larsson  <alexl@redhat.com>

	* Makefile:
	Add output file streams

	* ginputstream.c: (g_input_stream_is_cancelled):
	Cleanup

	* ginputstreamfile.[ch]:
	remove get_fd.

	* goutputstream.[ch]:
	Add g_output_stream_is_cancelled
	Add padding
	Add cancel_async

	* goutputstreamfile.[ch]:
	Add new class

	* gvfserror.h:
	Add new errors

	* test.c:
	Some tests

2006-09-26  Alexander Larsson  <alexl@redhat.com>

	* Makefile:
	Add gthread-2.0

	* ginputstream.h:
	add async_skip and is_cancelled.

	* ginputstream.c:
	Implement async fallbacks using thread

	* ginputstreamfile.c:
	Handle cancellation

	* gioscheduler.c:
	Schedule cancelled jobs first
	Fix out-of-lock reads of job
	Add g_io_job_mark_done().

	* gioscheduler.h:
	Add g_io_job_mark_done().

	* test.c:
	Add some stream tests
